# Node.js 10 ChangeLog

 LTS 'Dubnium'
 Current

 10.24.1
10.24.0
10.23.3
10.23.2
10.23.1
10.23.0
10.22.1
10.22.0
10.21.0
10.20.1
10.20.0
10.19.0
10.18.1
10.18.0
10.17.0
10.16.3
10.16.2
10.16.1
10.16.0
10.15.3
10.15.2
10.15.1
10.15.0
10.14.2
10.14.1
10.14.0
10.13.0

 10.12.0
10.11.0
10.10.0
10.9.0
10.8.0
10.7.0
10.6.0
10.5.0
10.4.1
10.4.0
10.3.0
10.2.1
10.2.0
10.1.0
10.0.0

* Other Versions
  * [20.x](CHANGELOG_V20.md)
  * [19.x](CHANGELOG_V19.md)
  * [18.x](CHANGELOG_V18.md)
  * [17.x](CHANGELOG_V17.md)
  * [16.x](CHANGELOG_V16.md)
  * [15.x](CHANGELOG_V15.md)
  * [14.x](CHANGELOG_V14.md)
  * [13.x](CHANGELOG_V13.md)
  * [12.x](CHANGELOG_V12.md)
  * [11.x](CHANGELOG_V11.md)
  * [9.x](CHANGELOG_V9.md)
  * [8.x](CHANGELOG_V8.md)
  * [7.x](CHANGELOG_V7.md)
  * [6.x](CHANGELOG_V6.md)
  * [5.x](CHANGELOG_V5.md)
  * [4.x](CHANGELOG_V4.md)
  * [0.12.x](CHANGELOG_V012.md)
  * [0.10.x](CHANGELOG_V010.md)
  * [io.js](CHANGELOG_IOJS.md)
  * [Archive](CHANGELOG_ARCHIVE.md)

## 2021-04-06, Version 10.24.1 'Dubnium' (LTS), @mylesborins

This is a security release.

### Notable Changes

Vulerabilties fixed:

* **CVE-2021-3450**: OpenSSL - CA certificate check bypass with X509\_V\_FLAG\_X509\_STRICT (High)
  * This is a vulnerability in OpenSSL which may be exploited through Node.js. You can read more about it in <https://www.openssl.org/news/secadv/20210325.txt>
  * Impacts:
    * All versions of the 15.x, 14.x, 12.x and 10.x releases lines
* **CVE-2021-3449**: OpenSSL - NULL pointer deref in signature\_algorithms processing (High)
  * This is a vulnerability in OpenSSL which may be exploited through Node.js. You can read more about it in <https://www.openssl.org/news/secadv/20210325.txt>
  * Impacts:
    * All versions of the 15.x, 14.x, 12.x and 10.x releases lines
* **CVE-2020-7774**: npm upgrade - Update y18n to fix Prototype-Pollution (High)
  * This is a vulnerability in the y18n npm module which may be exploited by prototype pollution. You can read more about it in <https://github.com/advisories/GHSA-c4w7-xm78-47vh>
  * Impacts:
    * All versions of the 14.x, 12.x and 10.x releases lines

### Commits

* \[[`5e526b96ce`](https://github.com/nodejs/node/commit/5e526b96ce)] - **deps**: upgrade npm to 6.14.12 (Ruy Adorno) [#37918](https://github.com/nodejs/node/pull/37918)
* \[[`781cb6df5c`](https://github.com/nodejs/node/commit/781cb6df5c)] - **deps**: update archs files for OpenSSL-1.1.1k (Tobias Nießen) [#37940](https://github.com/nodejs/node/pull/37940)
* \[[`5db0a05a90`](https://github.com/nodejs/node/commit/5db0a05a90)] - **deps**: upgrade openssl sources to 1.1.1k (Tobias Nießen) [#37940](https://github.com/nodejs/node/pull/37940)

## 2021-02-23, Version 10.24.0 'Dubnium' (LTS), @richardlau

This is a security release.

### Notable changes

Vulnerabilities fixed:

* **CVE-2021-22883**: HTTP2 'unknownProtocol' cause Denial of Service by resource exhaustion
  * Affected Node.js versions are vulnerable to denial of service attacks when too many connection attempts with an 'unknownProtocol' are established. This leads to a leak of file descriptors. If a file descriptor limit is configured on the system, then the server is unable to accept new connections and prevent the process also from opening, e.g. a file. If no file descriptor limit is configured, then this lead to an excessive memory usage and cause the system to run out of memory.
* **CVE-2021-22884**: DNS rebinding in --inspect
  * Affected Node.js versions are vulnerable to denial of service attacks when the whitelist includes “localhost6”. When “localhost6” is not present in /etc/hosts, it is just an ordinary domain that is resolved via DNS, i.e., over network. If the attacker controls the victim's DNS server or can spoof its responses, the DNS rebinding protection can be bypassed by using the “localhost6” domain. As long as the attacker uses the “localhost6” domain, they can still apply the attack described in CVE-2018-7160.
* **CVE-2021-23840**: OpenSSL - Integer overflow in CipherUpdate
  * This is a vulnerability in OpenSSL which may be exploited through Node.js. You can read more about it in <https://www.openssl.org/news/secadv/20210216.txt>

### Commits

* \[[`0afcb4f6bb`](https://github.com/nodejs/node/commit/0afcb4f6bb)] - **deps**: update archs files for OpenSSL-1.1.1j (Daniel Bevenius) [#37415](https://github.com/nodejs/node/pull/37415)
* \[[`447be941cd`](https://github.com/nodejs/node/commit/447be941cd)] - **deps**: upgrade openssl sources to 1.1.1j (Daniel Bevenius) [#37415](https://github.com/nodejs/node/pull/37415)
* \[[`3f2e9dc40c`](https://github.com/nodejs/node/commit/3f2e9dc40c)] - **(SEMVER-MINOR)** **http2**: add unknownProtocol timeout (Daniel Bevenius) [nodejs-private/node-private#246](https://github.com/nodejs-private/node-private/pull/246)
* \[[`d1cf6a9b0f`](https://github.com/nodejs/node/commit/d1cf6a9b0f)] - **src**: drop localhost6 as allowed host for inspector (Matteo Collina) [nodejs-private/node-private#244](https://github.com/nodejs-private/node-private/pull/244)

## 2021-02-09, Version 10.23.3 'Dubnium' (LTS), @richardlau

### Notable changes

The update to npm 6.14.11 has been relanded so that npm correctly reports its version.

### Commits

* \[[`953a85035d`](https://github.com/nodejs/node/commit/953a85035d)] - **crypto**: fix crash when calling digest after piping (Tobias Nießen) [#28251](https://github.com/nodejs/node/pull/28251)
* \[[`fe2c98003e`](https://github.com/nodejs/node/commit/fe2c98003e)] - **deps**: upgrade npm to 6.14.11 (Ruy Adorno) [#37173](https://github.com/nodejs/node/pull/37173)
* \[[`7b7fb43b8a`](https://github.com/nodejs/node/commit/7b7fb43b8a)] - _**Revert**_ "**deps**: upgrade npm to 6.14.11" (Richard Lau) [#37278](https://github.com/nodejs/node/pull/37278)
* \[[`1c6fbd6ffe`](https://github.com/nodejs/node/commit/1c6fbd6ffe)] - **test**: add test that verifies crypto stream pipeline (Evan Lucas) [#37009](https://github.com/nodejs/node/pull/37009)

## 2021-01-26, Version 10.23.2 'Dubnium' (LTS), @richardlau

### Notable changes

Release keys have been synchronized with the main branch.

* **deps**:
  * upgrade npm to 6.14.11 (Darcy Clarke) [#36838](https://github.com/nodejs/node/pull/36838)

### Commits

* \[[`cc6b69557a`](https://github.com/nodejs/node/commit/cc6b69557a)] - **deps**: upgrade npm to 6.14.11 (Darcy Clarke) [#36838](https://github.com/nodejs/node/pull/36838)
* \[[`aefb66528a`](https://github.com/nodejs/node/commit/aefb66528a)] - **doc**: update contact information for @BethGriggs (Beth Griggs) [#35451](https://github.com/nodejs/node/pull/35451)
* \[[`08931481d8`](https://github.com/nodejs/node/commit/08931481d8)] - **doc**: update contact information for richardlau (Richard Lau) [#35450](https://github.com/nodejs/node/pull/35450)
* \[[`bc0617f4ea`](https://github.com/nodejs/node/commit/bc0617f4ea)] - **doc**: update release key for Danielle Adams (Danielle Adams) [#36793](https://github.com/nodejs/node/pull/36793)
* \[[`d7c09fcfd3`](https://github.com/nodejs/node/commit/d7c09fcfd3)] - **doc**: add release key for Danielle Adams (Danielle Adams) [#35545](https://github.com/nodejs/node/pull/35545)
* \[[`ac49d415b0`](https://github.com/nodejs/node/commit/ac49d415b0)] - **doc**: add release key for Ruy Adorno (Ruy Adorno) [#34628](https://github.com/nodejs/node/pull/34628)
* \[[`b8426ae3ce`](https://github.com/nodejs/node/commit/b8426ae3ce)] - **doc**: add release key for Richard Lau (Richard Lau) [#34397](https://github.com/nodejs/node/pull/34397)

## 2021-01-04, Version 10.23.1 'Dubnium' (LTS), @richardlau

### Notable changes

This is a security release.

Vulnerabilities fixed:

* **CVE-2020-8265**: use-after-free in TLSWrap (High)
  Affected Node.js versions are vulnerable to a use-after-free bug in its
  TLS implementation. When writing to a TLS enabled socket,
  node::StreamBase::Write calls node::TLSWrap::DoWrite with a freshly
  allocated WriteWrap object as first argument. If the DoWrite method does
  not return an error, this object is passed back to the caller as part of
  a StreamWriteResult structure. This may be exploited to corrupt memory
  leading to a Denial of Service or potentially other exploits
* **CVE-2020-8287**: HTTP Request Smuggling in nodejs
  Affected versions of Node.js allow two copies of a header field in a
  http request. For example, two Transfer-Encoding header fields. In this
  case Node.js identifies the first header field and ignores the second.
  This can lead to HTTP Request Smuggling
  (<https://cwe.mitre.org/data/definitions/444.html>).
* **CVE-2020-1971**: OpenSSL - EDIPARTYNAME NULL pointer de-reference (High)
  This is a vulnerability in OpenSSL which may be exploited through Node.js.
  You can read more about it in
  <https://www.openssl.org/news/secadv/20201208.txt>

### Commits

* \[[`bd44b0ee7f`](https://github.com/nodejs/node/commit/bd44b0ee7f)] - **build,win**: accept Python 3 if 2 is not available (João Reis) [#29236](https://github.com/nodejs/node/pull/29236)
* \[[`d5c9b09bdc`](https://github.com/nodejs/node/commit/d5c9b09bdc)] - **build,win**: find Python in paths with spaces (João Reis) [#29236](https://github.com/nodejs/node/pull/29236)
* \[[`323a6f114a`](https://github.com/nodejs/node/commit/323a6f114a)] - **deps**: update http-parser to http-parser\@ec8b5ee63f (Richard Lau) [nodejs-private/node-private#235](https://github.com/nodejs-private/node-private/pull/235)
* \[[`f08d0fef64`](https://github.com/nodejs/node/commit/f08d0fef64)] - **deps**: upgrade npm to 6.14.10 (Ruy Adorno) [#36571](https://github.com/nodejs/node/pull/36571)
* \[[`b0608b574a`](https://github.com/nodejs/node/commit/b0608b574a)] - **deps**: update archs files for OpenSSL-1.1.1i (Richard Lau) [#36541](https://github.com/nodejs/node/pull/36541)
* \[[`d936e1833f`](https://github.com/nodejs/node/commit/d936e1833f)] - **deps**: upgrade openssl sources to 1.1.1i (Myles Borins) [#36541](https://github.com/nodejs/node/pull/36541)
* \[[`9c4970715c`](https://github.com/nodejs/node/commit/9c4970715c)] - **deps**: upgrade npm to 6.14.9 (Myles Borins) [#36450](https://github.com/nodejs/node/pull/36450)
* \[[`aa6b97fb99`](https://github.com/nodejs/node/commit/aa6b97fb99)] - **http**: add test for http transfer encoding smuggling (Richard Lau) [nodejs-private/node-private#235](https://github.com/nodejs-private/node-private/pull/235)
* \[[`fc70ce08f5`](https://github.com/nodejs/node/commit/fc70ce08f5)] - **http**: unset `F_CHUNKED` on new `Transfer-Encoding` (Fedor Indutny) [nodejs-private/node-private#235](https://github.com/nodejs-private/node-private/pull/235)
* \[[`7f178663eb`](https://github.com/nodejs/node/commit/7f178663eb)] - **src**: use unique\_ptr for WriteWrap (Daniel Bevenius) [nodejs-private/node-private#238](https://github.com/nodejs-private/node-private/pull/238)
* \[[`357e2857c8`](https://github.com/nodejs/node/commit/357e2857c8)] - **test**: add test-tls-use-after-free-regression (Daniel Bevenius) [nodejs-private/node-private#238](https://github.com/nodejs-private/node-private/pull/238)

## 2020-10-27, Version 10.23.0 'Dubnium' (LTS), @richardlau

### Notable changes

* **deps**:
  * upgrade npm to 6.14.8 (Ruy Adorno) [#34834](https://github.com/nodejs/node/pull/34834)
* **n-api**:
  * create N-API version 7 (Gabriel Schulhof) [#35199](https://github.com/nodejs/node/pull/35199)
  * expose napi\_build\_version variable (NickNaso) [#27835](https://github.com/nodejs/node/pull/27835)
* **tools**:
  * add debug entitlements for macOS 10.15+ (Gabriele Greco) [#34378](https://github.com/nodejs/node/pull/34378)

### Commits

* \[[`b83f9a56fc`](https://github.com/nodejs/node/commit/b83f9a56fc)] - **build**: expose napi\_build\_version variable (NickNaso) [#27835](https://github.com/nodejs/node/pull/27835)
* \[[`020ba1a2b8`](https://github.com/nodejs/node/commit/020ba1a2b8)] - **build**: enable backtrace when V8 is built for PPC and S390x (Michaël Zasso) [#32113](https://github.com/nodejs/node/pull/32113)
* \[[`eee9412a8c`](https://github.com/nodejs/node/commit/eee9412a8c)] - **deps**: upgrade npm to 6.14.8 (Ruy Adorno) [#34834](https://github.com/nodejs/node/pull/34834)
* \[[`038593d5ff`](https://github.com/nodejs/node/commit/038593d5ff)] - **deps**: upgrade npm to 6.14.7 (claudiahdz) [#34468](https://github.com/nodejs/node/pull/34468)
* \[[`3564424625`](https://github.com/nodejs/node/commit/3564424625)] - **deps**: V8: cherry-pick eec10a2fd8fa (Stephen Belanger) [#33778](https://github.com/nodejs/node/pull/33778)
* \[[`e9e86e1b60`](https://github.com/nodejs/node/commit/e9e86e1b60)] - **http2**: support non-empty DATA frame with END\_STREAM flag (Carlos Lopez) [#33875](https://github.com/nodejs/node/pull/33875)
* \[[`751820b6c2`](https://github.com/nodejs/node/commit/751820b6c2)] - **http2,doc**: minor fixes (Alba Mendez) [#28044](https://github.com/nodejs/node/pull/28044)
* \[[`54c2bc2e62`](https://github.com/nodejs/node/commit/54c2bc2e62)] - **(SEMVER-MINOR)** **n-api**: create N-API version 7 (Gabriel Schulhof) [#35199](https://github.com/nodejs/node/pull/35199)
* \[[`2eb627301c`](https://github.com/nodejs/node/commit/2eb627301c)] - **src**: allows escaping NODE\_OPTIONS with backslashes (Maël Nison) [#24065](https://github.com/nodejs/node/pull/24065)
* \[[`5170d14b36`](https://github.com/nodejs/node/commit/5170d14b36)] - **test**: fix test-linux-perf flakiness (Matheus Marchini) [#27615](https://github.com/nodejs/node/pull/27615)
* \[[`21b86d7f19`](https://github.com/nodejs/node/commit/21b86d7f19)] - **test,v8**: skip less and stabilize test-linux-perf.js (Refael Ackermann) [#27364](https://github.com/nodejs/node/pull/27364)
* \[[`ee11ab50a7`](https://github.com/nodejs/node/commit/ee11ab50a7)] - **tools**: add debug entitlements for macOS 10.15+ (Gabriele Greco) [#34378](https://github.com/nodejs/node/pull/34378)

## 2020-09-15, Version 10.22.1 'Dubnium' (LTS), @BethGriggs

### Notable changes

This is a security release.

Vulnerabilities fixed:

* **CVE-2020-8252**: fs.realpath.native on may cause buffer overflow (Medium).

### Commits

* \[[`57badcf93e`](https://github.com/nodejs/node/commit/57badcf93e)] - **deps**: libuv: cherry-pick 0e6e8620 (Colin Ihrig) [libuv/libuv#2966](https://github.com/libuv/libuv/pull/2966)

## 2020-07-21, Version 10.22.0 'Dubnium' (LTS), @BethGriggs prepared by @richardlau

### Notable changes

* **deps**:
  * upgrade npm to 6.14.6 (claudiahdz) [#34246](https://github.com/nodejs/node/pull/34246)
  * upgrade openssl sources to 1.1.1g (Hassaan Pasha) [#32982](https://github.com/nodejs/node/pull/32982)
* **n-api**:
  * add `napi_detach_arraybuffer` (legendecas) [#29768](https://github.com/nodejs/node/pull/29768)

### Commits

* \[[`9915774d18`](https://github.com/nodejs/node/commit/9915774d18)] - **build**: log detected compilers in --verbose mode (Richard Lau) [#32715](https://github.com/nodejs/node/pull/32715)
* \[[`145dcc2c1c`](https://github.com/nodejs/node/commit/145dcc2c1c)] - **build**: move doc versions JSON file out of out/doc (Richard Lau) [#32728](https://github.com/nodejs/node/pull/32728)
* \[[`24b927ab66`](https://github.com/nodejs/node/commit/24b927ab66)] - **build**: allow clang 10+ in configure.py (Kamil Rytarowski) [#29541](https://github.com/nodejs/node/pull/29541)
* \[[`97b59527c7`](https://github.com/nodejs/node/commit/97b59527c7)] - **deps**: upgrade npm to 6.14.6 (claudiahdz) [#34246](https://github.com/nodejs/node/pull/34246)
* \[[`84fca3c691`](https://github.com/nodejs/node/commit/84fca3c691)] - **deps**: upgrade npm to 6.14.5 (Ruy Adorno) [#33239](https://github.com/nodejs/node/pull/33239)
* \[[`745b329260`](https://github.com/nodejs/node/commit/745b329260)] - **deps**: update archs files for OpenSSL-1.1.1g (Hassaan Pasha) [#32982](https://github.com/nodejs/node/pull/32982)
* \[[`94702c1560`](https://github.com/nodejs/node/commit/94702c1560)] - **deps**: upgrade openssl sources to 1.1.1g (Hassaan Pasha) [#32982](https://github.com/nodejs/node/pull/32982)
* \[[`ef9413be1a`](https://github.com/nodejs/node/commit/ef9413be1a)] - **deps**: upgrade openssl sources to 1.1.1f (Hassaan Pasha) [#32583](https://github.com/nodejs/node/pull/32583)
* \[[`3acc89f8f2`](https://github.com/nodejs/node/commit/3acc89f8f2)] - **deps**: V8: backport cd21f71f9cb5 (Michaël Zasso) [#33862](https://github.com/nodejs/node/pull/33862)
* \[[`89a306bca9`](https://github.com/nodejs/node/commit/89a306bca9)] - **deps**: fix V8 compiler error with clang++-11 (Sam Roberts) [#33094](https://github.com/nodejs/node/pull/33094)
* \[[`00f04e3b79`](https://github.com/nodejs/node/commit/00f04e3b79)] - **doc**: fix quotes in tls.md (Sparsh Garg) [#33641](https://github.com/nodejs/node/pull/33641)
* \[[`193d1d0e84`](https://github.com/nodejs/node/commit/193d1d0e84)] - **doc**: document fs.watchFile() bigint option (cjihrig) [#32128](https://github.com/nodejs/node/pull/32128)
* \[[`5dab101b03`](https://github.com/nodejs/node/commit/5dab101b03)] - **doc,n-api**: mark napi\_detach\_arraybuffer as experimental (legendecas) [#30703](https://github.com/nodejs/node/pull/30703)
* \[[`069b6e14a4`](https://github.com/nodejs/node/commit/069b6e14a4)] - **http**: disable headersTimeout check when set to zero (Paolo Insogna) [#33307](https://github.com/nodejs/node/pull/33307)
* \[[`aaf2f827c6`](https://github.com/nodejs/node/commit/aaf2f827c6)] - **inspector**: more conservative minimum stack size (Ben Noordhuis) [#27855](https://github.com/nodejs/node/pull/27855)
* \[[`b744ffd586`](https://github.com/nodejs/node/commit/b744ffd586)] - **(SEMVER-MINOR)** **n-api**: implement napi\_is\_detached\_arraybuffer (Denys Otrishko) [#30613](https://github.com/nodejs/node/pull/30613)
* \[[`961598b9be`](https://github.com/nodejs/node/commit/961598b9be)] - **(SEMVER-MINOR)** **n-api**: add `napi_detach_arraybuffer` (legendecas) [#29768](https://github.com/nodejs/node/pull/29768)
* \[[`7a109febc4`](https://github.com/nodejs/node/commit/7a109febc4)] - **test**: remove timers-blocking-callback (Jeremiah Senkpiel) [#32870](https://github.com/nodejs/node/pull/32870)
* \[[`3dbd8cd3a9`](https://github.com/nodejs/node/commit/3dbd8cd3a9)] - _**Revert**_ "**test**: mark empty udp tests flaky on OS X" (Luigi Pinca) [#32489](https://github.com/nodejs/node/pull/32489)
* \[[`543656928c`](https://github.com/nodejs/node/commit/543656928c)] - **test**: flaky test-stdout-close-catch on freebsd (Sam Roberts) [#32849](https://github.com/nodejs/node/pull/32849)
* \[[`74b00cca64`](https://github.com/nodejs/node/commit/74b00cca64)] - **tls**: allow empty subject even with altNames defined (Jason Macgowan) [#22906](https://github.com/nodejs/node/pull/22906)

## 2020-06-02, Version 10.21.0 'Dubnium' (LTS), @BethGriggs

### Notable changes

This is a security release.

Vulnerabilities fixed:

* **CVE-2020-8174**: napi\_get\_value\_string\_\*() allows various kinds of memory corruption (High).
* **CVE-2020-10531**: ICU-20958 Prevent SEGV\_MAPERR in append (High).
* **CVE-2020-11080**: HTTP/2 Large Settings Frame DoS (Low).

### Commits

* \[[`0ad7970256`](https://github.com/nodejs/node/commit/0ad7970256)] - **deps**: fix OPENSSLDIR on Windows (Shigeki Ohtsu) [#29456](https://github.com/nodejs/node/pull/29456)
* \[[`bd78c6ea46`](https://github.com/nodejs/node/commit/bd78c6ea46)] - **deps**: backport ICU-20958 to fix CVE-2020-10531 (Richard Lau) [#33572](https://github.com/nodejs/node/pull/33572)
* \[[`33e9a12241`](https://github.com/nodejs/node/commit/33e9a12241)] - **(SEMVER-MINOR)** **deps**: update nghttp2 to 1.41.0 (James M Snell) [nodejs-private/node-private#204](https://github.com/nodejs-private/node-private/pull/204)
* \[[`881c244a4e`](https://github.com/nodejs/node/commit/881c244a4e)] - **(SEMVER-MINOR)** **http2**: implement support for max settings entries (James M Snell) [nodejs-private/node-private#204](https://github.com/nodejs-private/node-private/pull/204)
* \[[`cd9827f105`](https://github.com/nodejs/node/commit/cd9827f105)] - **napi**: fix memory corruption vulnerability (Tobias Nießen) [nodejs-private/node-private#203](https://github.com/nodejs-private/node-private/pull/203)

## 2020-04-12, Version 10.20.1 'Dubnium' (LTS), @BethGriggs

### Notable changes

Due to release process failures, Node.js v10.20.0 shipped with source
and header tarballs that did not properly match the final release
commit that was used to build the binaries. We recommend that Node.js
v10.20.0 not be used, particularly in any applications using native
add-ons or where compiling Node.js from source is involved.

Node.js v10.20.1 is a clean release with the correct sources and is
strongly recommended in place of v10.20.0.

## 2020-04-08, Version 10.20.0 'Dubnium' (LTS), @BethGriggs

### macOS package notarization and a change in builder configuration

The macOS binaries for this release, and future 10.x releases, are now
being compiled on macOS 10.15 (Catalina) with Xcode 11 to support
package notarization, a requirement for installing .pkg files on macOS
10.15 and later. Previous builds of Node.js 10.x were compiled on macOS
10.10 (Yosemite) with a minimum deployment target of macOS 10.7 (Lion).
As binaries are still being compiled to support a minimum of macOS 10.7
(Lion) we do not anticipate this having a negative impact on Node.js
10.x users with older versions of macOS.

### Notable changes

* **buffer**: add {read|write}Big\[U]Int64{BE|LE} methods (garygsc) [#19691](https://github.com/nodejs/node/pull/19691)
* **build**: macOS package notarization (Rod Vagg) [#31459](https://github.com/nodejs/node/pull/31459)
* **deps**:
  * update npm to 6.14.3 (Myles Borins) [#32368](https://github.com/nodejs/node/pull/32368)
  * upgrade openssl sources to 1.1.1e (Hassaan Pasha) [#32328](https://github.com/nodejs/node/pull/32328)
  * upgrade to libuv 1.34.2 (cjihrig) [#31477](https://github.com/nodejs/node/pull/31477)
* **n-api**:
  * add napi\_get\_all\_property\_names (himself65) [#30006](https://github.com/nodejs/node/pull/30006)
  * add APIs for per-instance state management (Gabriel Schulhof) [#28682](https://github.com/nodejs/node/pull/28682)
  * define release 6 [#32058](https://github.com/nodejs/node/pull/32058)
  * turn NAPI\_CALL\_INTO\_MODULE into a function (Anna Henningsen) [#26128](https://github.com/nodejs/node/pull/26128)
* **tls**:
  * expose keylog event on TLSSocket (Alba Mendez) [#27654](https://github.com/nodejs/node/pull/27654)
  * support TLS min/max protocol defaults in CLI (Sam Roberts) [#27946](https://github.com/nodejs/node/pull/27946)
* **url**: handle quasi-WHATWG URLs in urlToOptions() (cjihrig) [#26226](https://github.com/nodejs/node/pull/26226)

### Commits

* \[[`64744a282e`](https://github.com/nodejs/node/commit/64744a282e)] - **(SEMVER-MINOR)** **buffer**: add {read|write}Big\[U]Int64{BE|LE} methods (garygsc) [#19691](https://github.com/nodejs/node/pull/19691)
* \[[`8a0ed8f1ff`](https://github.com/nodejs/node/commit/8a0ed8f1ff)] - **build**: macOS package notarization (Rod Vagg) [#31459](https://github.com/nodejs/node/pull/31459)
* \[[`42af3b861a`](https://github.com/nodejs/node/commit/42af3b861a)] - **build,win**: fix goto exit in vcbuild (João Reis) [#30931](https://github.com/nodejs/node/pull/30931)
* \[[`b164a2e3bf`](https://github.com/nodejs/node/commit/b164a2e3bf)] - **console**: add trace-events for time and count (James M Snell) [#23703](https://github.com/nodejs/node/pull/23703)
* \[[`04cd67f85e`](https://github.com/nodejs/node/commit/04cd67f85e)] - **deps**: upgrade npm to 6.14.4 (Ruy Adorno) [#32495](https://github.com/nodejs/node/pull/32495)
* \[[`8d85a43d99`](https://github.com/nodejs/node/commit/8d85a43d99)] - **deps**: update term-size with signed version (Rod Vagg) [#31459](https://github.com/nodejs/node/pull/31459)
* \[[`76033c5495`](https://github.com/nodejs/node/commit/76033c5495)] - **deps**: update archs files for OpenSSL-1.1.1e (Hassaan Pasha) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`64c184836b`](https://github.com/nodejs/node/commit/64c184836b)] - **deps**: adjust openssl configuration for 1.1.1e (Hassaan Pasha) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`c8f5ab2089`](https://github.com/nodejs/node/commit/c8f5ab2089)] - **deps**: upgrade openssl sources to 1.1.1e (Hassaan Pasha) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`bf26c44c92`](https://github.com/nodejs/node/commit/bf26c44c92)] - **deps**: remove \*.pyc files from deps/npm (Ben Noordhuis) [#32387](https://github.com/nodejs/node/pull/32387)
* \[[`c2b3cf61ce`](https://github.com/nodejs/node/commit/c2b3cf61ce)] - **deps**: update npm to 6.14.3 (Myles Borins) [#32368](https://github.com/nodejs/node/pull/32368)
* \[[`8cae4dde91`](https://github.com/nodejs/node/commit/8cae4dde91)] - **deps**: upgrade npm to 6.14.1 (Isaac Z. Schlueter) [#31977](https://github.com/nodejs/node/pull/31977)
* \[[`47046aa5a9`](https://github.com/nodejs/node/commit/47046aa5a9)] - **deps**: openssl: cherry-pick 4dcb150ea30f (Adam Majer) [#32002](https://github.com/nodejs/node/pull/32002)
* \[[`098704c85d`](https://github.com/nodejs/node/commit/098704c85d)] - **deps**: upgrade to libuv 1.34.2 (Colin Ihrig) [#31477](https://github.com/nodejs/node/pull/31477)
* \[[`4b1cccc4ce`](https://github.com/nodejs/node/commit/4b1cccc4ce)] - **deps**: upgrade to libuv 1.34.1 (Colin Ihrig) [#31332](https://github.com/nodejs/node/pull/31332)
* \[[`fff6162693`](https://github.com/nodejs/node/commit/fff6162693)] - **(SEMVER-MINOR)** **deps**: upgrade to libuv 1.34.0 (Colin Ihrig) [#30783](https://github.com/nodejs/node/pull/30783)
* \[[`6826ef0568`](https://github.com/nodejs/node/commit/6826ef0568)] - **deps**: upgrade to libuv 1.33.1 (Colin Ihrig) [#29996](https://github.com/nodejs/node/pull/29996)
* \[[`aed7ca4fb0`](https://github.com/nodejs/node/commit/aed7ca4fb0)] - **deps**: upgrade to libuv 1.32.0 (Colin Ihrig) [#29508](https://github.com/nodejs/node/pull/29508)
* \[[`794abbc758`](https://github.com/nodejs/node/commit/794abbc758)] - **deps**: upgrade to libuv 1.31.0 (Colin Ihrig) [#29070](https://github.com/nodejs/node/pull/29070)
* \[[`ed71f55a54`](https://github.com/nodejs/node/commit/ed71f55a54)] - **deps**: upgrade to libuv 1.30.1 (Colin Ihrig) [#28511](https://github.com/nodejs/node/pull/28511)
* \[[`7cde563235`](https://github.com/nodejs/node/commit/7cde563235)] - **deps**: upgrade to libuv 1.30.0 (Colin Ihrig) [#28449](https://github.com/nodejs/node/pull/28449)
* \[[`b53ce6e6c5`](https://github.com/nodejs/node/commit/b53ce6e6c5)] - **deps**: upgrade to libuv 1.29.1 (Colin Ihrig) [#27718](https://github.com/nodejs/node/pull/27718)
* \[[`9b2b66b7d8`](https://github.com/nodejs/node/commit/9b2b66b7d8)] - **deps**: V8: cherry-pick d89f4ef1cd62 (Milad Farazmand) [#31753](https://github.com/nodejs/node/pull/31753)
* \[[`7eac95981e`](https://github.com/nodejs/node/commit/7eac95981e)] - **deps**: upgrade npm to 6.13.7 (Michael Perrotte) [#31558](https://github.com/nodejs/node/pull/31558)
* \[[`db24641fbe`](https://github.com/nodejs/node/commit/db24641fbe)] - **deps**: upgrade npm to 6.13.6 (Ruy Adorno) [#31304](https://github.com/nodejs/node/pull/31304)
* \[[`2e3d511cff`](https://github.com/nodejs/node/commit/2e3d511cff)] - **doc**: correct version metadata for Readable.from (Dave Vandyke) [#32639](https://github.com/nodejs/node/pull/32639)
* \[[`34c1c2a82b`](https://github.com/nodejs/node/commit/34c1c2a82b)] - **doc**: add missing version metadata for Readable.from (Anna Henningsen) [#28695](https://github.com/nodejs/node/pull/28695)
* \[[`aa7d369c72`](https://github.com/nodejs/node/commit/aa7d369c72)] - **doc**: update releaser list in README.md (Myles Borins) [#32577](https://github.com/nodejs/node/pull/32577)
* \[[`05f5b3ecc4`](https://github.com/nodejs/node/commit/05f5b3ecc4)] - **doc**: remove em dashes (Rich Trott) [#32080](https://github.com/nodejs/node/pull/32080)
* \[[`ffa9f9bd1b`](https://github.com/nodejs/node/commit/ffa9f9bd1b)] - **doc**: fix changelog for v10.18.1 (Andrew Hughes) [#31358](https://github.com/nodejs/node/pull/31358)
* \[[`0177464b0e`](https://github.com/nodejs/node/commit/0177464b0e)] - **doc,tools**: get altDocs versions from CHANGELOG.md (Richard Lau) [#27661](https://github.com/nodejs/node/pull/27661)
* \[[`e9c590ea00`](https://github.com/nodejs/node/commit/e9c590ea00)] - **(SEMVER-MINOR)** **n-api**: define release 6 (Gabriel Schulhof) [#32058](https://github.com/nodejs/node/pull/32058)
* \[[`239377b654`](https://github.com/nodejs/node/commit/239377b654)] - **(SEMVER-MINOR)** **n-api**: correct instance data tests (Gabriel Schulhof) [#32488](https://github.com/nodejs/node/pull/32488)
* \[[`ecbb331be0`](https://github.com/nodejs/node/commit/ecbb331be0)] - **(SEMVER-MINOR)** **n-api**: add napi\_get\_all\_property\_names (himself65) [#30006](https://github.com/nodejs/node/pull/30006)
* \[[`f29fb14cf6`](https://github.com/nodejs/node/commit/f29fb14cf6)] - **(SEMVER-MINOR)** **n-api**: add APIs for per-instance state management (Gabriel Schulhof) [#28682](https://github.com/nodejs/node/pull/28682)
* \[[`20177b9946`](https://github.com/nodejs/node/commit/20177b9946)] - **n-api**: turn NAPI\_CALL\_INTO\_MODULE into a function (Anna Henningsen) [#26128](https://github.com/nodejs/node/pull/26128)
* \[[`017909b847`](https://github.com/nodejs/node/commit/017909b847)] - **test**: fix tool path in test-doctool-versions.js (Richard Lau) [#32645](https://github.com/nodejs/node/pull/32645)
* \[[`1ea70d641d`](https://github.com/nodejs/node/commit/1ea70d641d)] - **test**: fix flaky doctool and test (Rich Trott) [#29979](https://github.com/nodejs/node/pull/29979)
* \[[`89692ff19b`](https://github.com/nodejs/node/commit/89692ff19b)] - **test**: end tls connection with some data (Sam Roberts) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`9bd1317764`](https://github.com/nodejs/node/commit/9bd1317764)] - **test**: mark empty udp tests flaky on OS X (Sam Roberts) [#31936](https://github.com/nodejs/node/pull/31936)
* \[[`5484e061b5`](https://github.com/nodejs/node/commit/5484e061b5)] - **test**: scale keepalive timeouts for slow machines (Ben Noordhuis) [#30834](https://github.com/nodejs/node/pull/30834)
* \[[`3f9cec3f51`](https://github.com/nodejs/node/commit/3f9cec3f51)] - **test**: add debugging output to test-net-listen-after-destroy-stdin (Rich Trott) [#31698](https://github.com/nodejs/node/pull/31698)
* \[[`f1a8791316`](https://github.com/nodejs/node/commit/f1a8791316)] - **test**: allow EAI\_FAIL in test-http-dns-error.js (Colin Ihrig) [#27500](https://github.com/nodejs/node/pull/27500)
* \[[`4b9a77909b`](https://github.com/nodejs/node/commit/4b9a77909b)] - **test**: mark tests as flaky (João Reis) [#30848](https://github.com/nodejs/node/pull/30848)
* \[[`a8fd8a1a61`](https://github.com/nodejs/node/commit/a8fd8a1a61)] - **test**: mark http2 tests as flaky on 10.x (AshCripps) [#31887](https://github.com/nodejs/node/pull/31887)
* \[[`2315270cb6`](https://github.com/nodejs/node/commit/2315270cb6)] - **test**: try to stabalize test-child-process-fork-exec-path.js (Refael Ackermann) [#27277](https://github.com/nodejs/node/pull/27277)
* \[[`a2b0e9ef6a`](https://github.com/nodejs/node/commit/a2b0e9ef6a)] - **(SEMVER-MINOR)** **tls**: expose keylog event on TLSSocket (Alba Mendez) [#27654](https://github.com/nodejs/node/pull/27654)
* \[[`1cfb45732a`](https://github.com/nodejs/node/commit/1cfb45732a)] - **(SEMVER-MINOR)** **tls**: support TLS min/max protocol defaults in CLI (Sam Roberts) [#27946](https://github.com/nodejs/node/pull/27946)
* \[[`a175b8d3a7`](https://github.com/nodejs/node/commit/a175b8d3a7)] - **tools**: only fetch previous versions when necessary (Richard Lau) [#32518](https://github.com/nodejs/node/pull/32518)
* \[[`3756be8511`](https://github.com/nodejs/node/commit/3756be8511)] - **tools**: add NODE\_TEST\_NO\_INTERNET to the doc builder (Joyee Cheung) [#31849](https://github.com/nodejs/node/pull/31849)
* \[[`ac1ea7312a`](https://github.com/nodejs/node/commit/ac1ea7312a)] - **tools**: make doctool work if no internet available (Richard Lau) [#30214](https://github.com/nodejs/node/pull/30214)
* \[[`f235eea8b3`](https://github.com/nodejs/node/commit/f235eea8b3)] - **tools**: unify make-v8.sh for ppc64le and s390x (Richard Lau) [#31628](https://github.com/nodejs/node/pull/31628)
* \[[`61e2d4856d`](https://github.com/nodejs/node/commit/61e2d4856d)] - **tools**: use CC instead of CXX when pointing to gcc (Milad Farazmand) [#30817](https://github.com/nodejs/node/pull/30817)
* \[[`4390674624`](https://github.com/nodejs/node/commit/4390674624)] - **url**: handle quasi-WHATWG URLs in urlToOptions() (Colin Ihrig) [#26226](https://github.com/nodejs/node/pull/26226)
* \[[`dc61e09feb`](https://github.com/nodejs/node/commit/dc61e09feb)] - **v8**: fix load elimination liveness checks (Ben Noordhuis) [#31613](https://github.com/nodejs/node/pull/31613)

## 2020-02-06, Version 10.19.0 'Dubnium' (LTS), @BethGriggs

### Notable changes

This is a security release.

Vulnerabilities fixed:

* **CVE-2019-15606**: HTTP header values do not have trailing OWS trimmed.
* **CVE-2019-15605**: HTTP request smuggling using malformed Transfer-Encoding header.
* **CVE-2019-15604**: Remotely trigger an assertion on a TLS server with a malformed certificate string.

Also, HTTP parsing is more strict to be more secure. Since this may
cause problems in interoperability with some non-conformant HTTP
implementations, it is possible to disable the strict checks with the
`--insecure-http-parser` command line flag, or the `insecureHTTPParser`
http option. Using the insecure HTTP parser should be avoided.

### Commits

* \[[`f940bee3b7`](https://github.com/nodejs/node/commit/f940bee3b7)] - **crypto**: fix assertion caused by unsupported ext (Fedor Indutny) [nodejs-private/node-private#175](https://github.com/nodejs-private/node-private/pull/175)
* \[[`49f4220ce5`](https://github.com/nodejs/node/commit/49f4220ce5)] - **deps**: upgrade http-parser to v2.9.3 (Sam Roberts) [nodejs-private/http-parser-private#4](https://github.com/nodejs-private/http-parser-private/pull/4)
* \[[`a28e5cc1ed`](https://github.com/nodejs/node/commit/a28e5cc1ed)] - **(SEMVER-MINOR)** **deps**: upgrade http-parser to v2.9.1 (Sam Roberts) [#30471](https://github.com/nodejs/node/pull/30471)
* \[[`0082f62d9c`](https://github.com/nodejs/node/commit/0082f62d9c)] - **(SEMVER-MINOR)** **http**: make --insecure-http-parser configurable per-stream or per-server (Anna Henningsen) [#31448](https://github.com/nodejs/node/pull/31448)
* \[[`a9849c0ff6`](https://github.com/nodejs/node/commit/a9849c0ff6)] - **(SEMVER-MINOR)** **http**: opt-in insecure HTTP header parsing (Sam Roberts) [#30567](https://github.com/nodejs/node/pull/30567)
* \[[`2eee90e959`](https://github.com/nodejs/node/commit/2eee90e959)] - **http**: strip trailing OWS from header values (Sam Roberts) [nodejs-private/node-private#191](https://github.com/nodejs-private/node-private/pull/191)
* \[[`e2c8f89b75`](https://github.com/nodejs/node/commit/e2c8f89b75)] - **test**: using TE to smuggle reqs is not possible (Sam Roberts) [nodejs-private/node-private#192](https://github.com/nodejs-private/node-private/pull/192)
* \[[`d616722f65`](https://github.com/nodejs/node/commit/d616722f65)] - **test**: check that --insecure-http-parser works (Sam Roberts) [#31253](https://github.com/nodejs/node/pull/31253)

## 2020-01-09, Version 10.18.1 'Dubnium' (LTS), @BethGriggs

### Notable changes

* **http2**: fix session memory accounting after pausing (Michael Lehenbauer) [#30684](https://github.com/nodejs/node/pull/30684)
* **n-api**: correct bug in napi\_get\_last\_error (Octavian Soldea) [#28702](https://github.com/nodejs/node/pull/28702)
* **tools**: update tzdata to 2019c (Myles Borins) [#30479](https://github.com/nodejs/node/pull/30479)

### Commits

* \[[`a80c59130e`](https://github.com/nodejs/node/commit/a80c59130e)] - **build**: fix configure script to work with Apple Clang 11 (Saagar Jha) [#28071](https://github.com/nodejs/node/pull/28071)
* \[[`68b2b5cc51`](https://github.com/nodejs/node/commit/68b2b5cc51)] - **build,win**: propagate error codes in vcbuild (João Reis) [#30724](https://github.com/nodejs/node/pull/30724)
* \[[`3e0709cf5e`](https://github.com/nodejs/node/commit/3e0709cf5e)] - **deps**: V8: backport fb63e5cf55e9 (Michaël Zasso) [#30372](https://github.com/nodejs/node/pull/30372)
* \[[`25b8fbda35`](https://github.com/nodejs/node/commit/25b8fbda35)] - **doc**: allow \<code> in header elements (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`a1b095dd46`](https://github.com/nodejs/node/commit/a1b095dd46)] - **doc,dns**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`8f3b8ca515`](https://github.com/nodejs/node/commit/8f3b8ca515)] - **http2**: fix session memory accounting after pausing (Michael Lehenbauer) [#30684](https://github.com/nodejs/node/pull/30684)
* \[[`20f64a96de`](https://github.com/nodejs/node/commit/20f64a96de)] - **http2**: use the latest settings (ZYSzys) [#29780](https://github.com/nodejs/node/pull/29780)
* \[[`81c31005fd`](https://github.com/nodejs/node/commit/81c31005fd)] - **lib**: fix comment nits in bootstrap\loaders.js (Vse Mozhet Byt) [#24641](https://github.com/nodejs/node/pull/24641)
* \[[`88e8b7cf83`](https://github.com/nodejs/node/commit/88e8b7cf83)] - **n-api**: correct bug in napi\_get\_last\_error (Octavian Soldea) [#28702](https://github.com/nodejs/node/pull/28702)
* \[[`77e0318849`](https://github.com/nodejs/node/commit/77e0318849)] - **stream**: increase MAX\_HWM (Robert Nagy) [#29938](https://github.com/nodejs/node/pull/29938)
* \[[`894aaa2040`](https://github.com/nodejs/node/commit/894aaa2040)] - **stream**: extract Readable.from in its own file (Matteo Collina) [#30140](https://github.com/nodejs/node/pull/30140)
* \[[`7e941eb17d`](https://github.com/nodejs/node/commit/7e941eb17d)] - **test**: do not fail SLOW tests if they are not slow (Yang Guo) [#25868](https://github.com/nodejs/node/pull/25868)
* \[[`0f3ae77aaf`](https://github.com/nodejs/node/commit/0f3ae77aaf)] - **tools**: update tzdata to 2019c (Myles Borins) [#30479](https://github.com/nodejs/node/pull/30479)
* \[[`4ae8d204cb`](https://github.com/nodejs/node/commit/4ae8d204cb)] - **tools**: move python code out of jenkins shell (Sam Roberts) [#28458](https://github.com/nodejs/node/pull/28458)
* \[[`4879b80d87`](https://github.com/nodejs/node/commit/4879b80d87)] - **tools**: fix v8 testing with devtoolset on ppcle (Sam Roberts) [#28458](https://github.com/nodejs/node/pull/28458)

## 2019-12-17, Version 10.18.0 'Dubnium' (LTS), @MylesBorins

This is a security release.

For more details about the vulnerability please consult the npm blog:

<https://blog.npmjs.org/post/189618601100/binary-planting-with-the-npm-cli>

### Notable changes

* **deps**: update npm to 6.13.4 [#30904](https://github.com/nodejs/node/pull/30904)

### Commits

* \[[`54a466a865`](https://github.com/nodejs/node/commit/54a466a865)] - **build,win**: add test-ci-native and test-ci-js (João Reis) [#30724](https://github.com/nodejs/node/pull/30724)
* \[[`f9b31edb25`](https://github.com/nodejs/node/commit/f9b31edb25)] - **deps**: update npm to 6.13.4 (Isaac Z. Schlueter) [#30904](https://github.com/nodejs/node/pull/30904)

## 2019-10-22, Version 10.17.0 'Dubnium' (LTS), @BethGriggs

### Notable changes

* **crypto**:
  * add support for chacha20-poly1305 for AEAD (chux0519) [#24081](https://github.com/nodejs/node/pull/24081)
  * increase maxmem range from 32 to 53 bits (Tobias Nießen) [#28799](https://github.com/nodejs/node/pull/28799)
* **deps**:
  * update npm to 6.11.3 (claudiahdz) [#29430](https://github.com/nodejs/node/pull/29430)
  * upgrade openssl sources to 1.1.1d (Sam Roberts) [#29921](https://github.com/nodejs/node/pull/29921)
* **dns**: remove dns.promises experimental warning (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
* **fs**: remove experimental warning for fs.promises (Anna Henningsen) [#26581](https://github.com/nodejs/node/pull/26581)
* **http**: makes response.writeHead return the response (Mark S. Everitt) [#25974](https://github.com/nodejs/node/pull/25974)
* **http2**: makes response.writeHead return the response (Mark S. Everitt) [#25974](https://github.com/nodejs/node/pull/25974)
* **n-api**:
  * make func argument of napi\_create\_threadsafe\_function optional (legendecas) [#27791](https://github.com/nodejs/node/pull/27791)
  * mark version 5 N-APIs as stable (Gabriel Schulhof) [#29401](https://github.com/nodejs/node/pull/29401)
  * implement date object (Jarrod Connolly) [#25917](https://github.com/nodejs/node/pull/25917)
* **process**: add --unhandled-rejections flag (Ruben Bridgewater) [#26599](https://github.com/nodejs/node/pull/26599)
* **stream**:
  * implement Readable.from async iterator utility (Guy Bedford) [#27660](https://github.com/nodejs/node/pull/27660)
  * make Symbol.asyncIterator support stable (Matteo Collina) [#26989](https://github.com/nodejs/node/pull/26989)

### Commits

* \[[`f1a5a36961`](https://github.com/nodejs/node/commit/f1a5a36961)] - **build**: update Windows icon to Feb 2016 rebrand (Mike MacCana) [#28524](https://github.com/nodejs/node/pull/28524)
* \[[`63de2ade85`](https://github.com/nodejs/node/commit/63de2ade85)] - **(SEMVER-MINOR)** **crypto**: add support for chacha20-poly1305 for AEAD (chux0519) [#24081](https://github.com/nodejs/node/pull/24081)
* \[[`4f0f12c3d6`](https://github.com/nodejs/node/commit/4f0f12c3d6)] - **crypto**: fix rsa key gen with non-default exponent (Sam Roberts) [#27092](https://github.com/nodejs/node/pull/27092)
* \[[`7735824d2c`](https://github.com/nodejs/node/commit/7735824d2c)] - **(SEMVER-MINOR)** **crypto**: increase maxmem range from 32 to 53 bits (Tobias Nießen) [#28799](https://github.com/nodejs/node/pull/28799)
* \[[`e53dbba6bc`](https://github.com/nodejs/node/commit/e53dbba6bc)] - **deps**: update npm to 6.11.3 (claudiahdz) [#29430](https://github.com/nodejs/node/pull/29430)
* \[[`55cd01c5c3`](https://github.com/nodejs/node/commit/55cd01c5c3)] - **(SEMVER-MINOR)** **deps**: update npm to 6.10.3 (isaacs) [#29023](https://github.com/nodejs/node/pull/29023)
* \[[`e2291cf805`](https://github.com/nodejs/node/commit/e2291cf805)] - **deps**: upgrade npm to 6.10.2 (isaacs) [#28853](https://github.com/nodejs/node/pull/28853)
* \[[`03b69660f9`](https://github.com/nodejs/node/commit/03b69660f9)] - **deps**: upgrade npm to 6.10.0 (isaacs) [#28525](https://github.com/nodejs/node/pull/28525)
* \[[`333963ef73`](https://github.com/nodejs/node/commit/333963ef73)] - **deps**: dlloads node static linked executable (Luca Lindhorst) [#28045](https://github.com/nodejs/node/pull/28045)
* \[[`7202792ad3`](https://github.com/nodejs/node/commit/7202792ad3)] - **deps**: update archs files for OpenSSL-1.1.1d (Sam Roberts) [#29921](https://github.com/nodejs/node/pull/29921)
* \[[`9c393f1d02`](https://github.com/nodejs/node/commit/9c393f1d02)] - **deps**: upgrade openssl sources to 1.1.1d (Sam Roberts) [#29921](https://github.com/nodejs/node/pull/29921)
* \[[`7f48519413`](https://github.com/nodejs/node/commit/7f48519413)] - **deps**: do not link against librt (Sam Roberts) [#29729](https://github.com/nodejs/node/pull/29729)
* \[[`fcc22d31a0`](https://github.com/nodejs/node/commit/fcc22d31a0)] - **(SEMVER-MINOR)** **dns**: make dns.promises enumerable (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
* \[[`fa27aac5fb`](https://github.com/nodejs/node/commit/fa27aac5fb)] - **(SEMVER-MINOR)** **dns**: remove dns.promises experimental warning (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
* \[[`90fb146933`](https://github.com/nodejs/node/commit/90fb146933)] - **(SEMVER-MINOR)** **doc**: move dns.promises to stable status (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
* \[[`65e68d1f4f`](https://github.com/nodejs/node/commit/65e68d1f4f)] - **doc**: add documentation for stream readableFlowing (Chetan Karande) [#29506](https://github.com/nodejs/node/pull/29506)
* \[[`c285e694e2`](https://github.com/nodejs/node/commit/c285e694e2)] - **doc**: fix the links tls default version sections (Chetan Karande) [#28827](https://github.com/nodejs/node/pull/28827)
* \[[`cef5010135`](https://github.com/nodejs/node/commit/cef5010135)] - **doc**: describe tls.DEFAULT\_MIN\_VERSION/\_MAX\_VERSION (Chetan Karande) [#28827](https://github.com/nodejs/node/pull/28827)
* \[[`15c2eb0e58`](https://github.com/nodejs/node/commit/15c2eb0e58)] - **doc**: update N-API version matrix (Gabriel Schulhof) [#29461](https://github.com/nodejs/node/pull/29461)
* \[[`a3eda2896d`](https://github.com/nodejs/node/commit/a3eda2896d)] - **doc**: fixup changelog for v10.16.3 (Andrew Hughes) [#29159](https://github.com/nodejs/node/pull/29159)
* \[[`56a834a53f`](https://github.com/nodejs/node/commit/56a834a53f)] - **doc,test**: clarify that Http2Stream is destroyed after data is read (Alba Mendez) [#27891](https://github.com/nodejs/node/pull/27891)
* \[[`85ce8ef19a`](https://github.com/nodejs/node/commit/85ce8ef19a)] - **(SEMVER-MINOR)** **fs**: remove experimental warning for fs.promises (Anna Henningsen) [#26581](https://github.com/nodejs/node/pull/26581)
* \[[`ccf2823f83`](https://github.com/nodejs/node/commit/ccf2823f83)] - **(SEMVER-MINOR)** **http**: makes response.writeHead return the response (Mark S. Everitt) [#25974](https://github.com/nodejs/node/pull/25974)
* \[[`66387cd45e`](https://github.com/nodejs/node/commit/66387cd45e)] - **http2**: send out pending data earlier (Anna Henningsen) [#29398](https://github.com/nodejs/node/pull/29398)
* \[[`925849650b`](https://github.com/nodejs/node/commit/925849650b)] - **(SEMVER-MINOR)** **http2**: makes response.writeHead return the response (Mark S. Everitt) [#25974](https://github.com/nodejs/node/pull/25974)
* \[[`69b0212df3`](https://github.com/nodejs/node/commit/69b0212df3)] - **http2**: do not start reading after write if new write is on wire (Anna Henningsen) [#29399](https://github.com/nodejs/node/pull/29399)
* \[[`36a0e9a063`](https://github.com/nodejs/node/commit/36a0e9a063)] - **http2**: do not crash on stream listener removal w/ destroyed session (Anna Henningsen) [#29459](https://github.com/nodejs/node/pull/29459)
* \[[`c74c6a5ccf`](https://github.com/nodejs/node/commit/c74c6a5ccf)] - **n-api**: mark version 5 N-APIs as stable (Gabriel Schulhof) [#29401](https://github.com/nodejs/node/pull/29401)
* \[[`f8622762e3`](https://github.com/nodejs/node/commit/f8622762e3)] - **(SEMVER-MINOR)** **n-api**: make func argument of napi\_create\_threadsafe\_function optional (legendecas) [#27791](https://github.com/nodejs/node/pull/27791)
* \[[`4f41e4f471`](https://github.com/nodejs/node/commit/4f41e4f471)] - **(SEMVER-MINOR)** **n-api**: implement date object (Jarrod Connolly) [#25917](https://github.com/nodejs/node/pull/25917)
* \[[`69bf5b7944`](https://github.com/nodejs/node/commit/69bf5b7944)] - **net**: treat ENOTCONN at shutdown as success (Anna Henningsen) [#29912](https://github.com/nodejs/node/pull/29912)
* \[[`d6c998a478`](https://github.com/nodejs/node/commit/d6c998a478)] - **process**: use public readableFlowing property (Chetan Karande) [#29502](https://github.com/nodejs/node/pull/29502)
* \[[`b43d7e8f42`](https://github.com/nodejs/node/commit/b43d7e8f42)] - **(SEMVER-MINOR)** **process**: add --unhandled-rejections flag (Ruben Bridgewater) [#26599](https://github.com/nodejs/node/pull/26599)
* \[[`79f3844fb0`](https://github.com/nodejs/node/commit/79f3844fb0)] - **(SEMVER-MINOR)** **readline**: make Symbol.asyncIterator support stable (Matteo Collina) [#26989](https://github.com/nodejs/node/pull/26989)
* \[[`18b140ae75`](https://github.com/nodejs/node/commit/18b140ae75)] - **src**: use maybe version v8::Function::Call (Ouyang Yadong) [#23826](https://github.com/nodejs/node/pull/23826)
* \[[`1bb5102999`](https://github.com/nodejs/node/commit/1bb5102999)] - **src**: use more explicit return type in Sign::SignFinal() (Anna Henningsen) [#23779](https://github.com/nodejs/node/pull/23779)
* \[[`859d47593e`](https://github.com/nodejs/node/commit/859d47593e)] - **src**: reduce platform worker barrier lifetime (Ali Ijaz Sheikh) [#23419](https://github.com/nodejs/node/pull/23419)
* \[[`00831f0293`](https://github.com/nodejs/node/commit/00831f0293)] - **(SEMVER-MINOR)** **stream**: make Symbol.asyncIterator support stable (Matteo Collina) [#26989](https://github.com/nodejs/node/pull/26989)
* \[[`ddb5152e9b`](https://github.com/nodejs/node/commit/ddb5152e9b)] - **(SEMVER-MINOR)** **stream**: implement Readable.from async iterator utility (Guy Bedford) [#27660](https://github.com/nodejs/node/pull/27660)
* \[[`13d8549abd`](https://github.com/nodejs/node/commit/13d8549abd)] - **test**: well-defined DH groups now verify clean (Sam Roberts) [#29550](https://github.com/nodejs/node/pull/29550)
* \[[`f78ecc3f93`](https://github.com/nodejs/node/commit/f78ecc3f93)] - **test**: fix race in test-http2-origin (Alba Mendez) [#28903](https://github.com/nodejs/node/pull/28903)
* \[[`2afbb3efab`](https://github.com/nodejs/node/commit/2afbb3efab)] - **test,win**: cleanup exec-timeout processes (João Reis) [#28723](https://github.com/nodejs/node/pull/28723)
* \[[`fe58bca878`](https://github.com/nodejs/node/commit/fe58bca878)] - **tls**: group chunks into TLS segments (Alba Mendez) [#27861](https://github.com/nodejs/node/pull/27861)
* \[[`2eae030a4b`](https://github.com/nodejs/node/commit/2eae030a4b)] - **(SEMVER-MINOR)** **worker**: add missing return value in case of fatal exceptions (Ruben Bridgewater) [#29036](https://github.com/nodejs/node/pull/29036)
* \[[`e8c90bf4d1`](https://github.com/nodejs/node/commit/e8c90bf4d1)] - **zlib**: do not coalesce multiple `.flush()` calls (Anna Henningsen) [#28520](https://github.com/nodejs/node/pull/28520)

## 2019-08-15, Version 10.16.3 'Dubnium' (LTS), @BethGriggs

### Notable changes

This is a security release.

Node.js, as well as many other implementations of HTTP/2, have been found
vulnerable to Denial of Service attacks.
See <https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-002.md>
for more information.

Vulnerabilities fixed:

* **CVE-2019-9511 “Data Dribble”**: The attacker requests a large amount of data from a specified resource over multiple streams. They manipulate window size and stream priority to force the server to queue the data in 1-byte chunks. Depending on how efficiently this data is queued, this can consume excess CPU, memory, or both, potentially leading to a denial of service.
* **CVE-2019-9512 “Ping Flood”**: The attacker sends continual pings to an HTTP/2 peer, causing the peer to build an internal queue of responses. Depending on how efficiently this data is queued, this can consume excess CPU, memory, or both, potentially leading to a denial of service.
* **CVE-2019-9513 “Resource Loop”**: The attacker creates multiple request streams and continually shuffles the priority of the streams in a way that causes substantial churn to the priority tree. This can consume excess CPU, potentially leading to a denial of service.
* **CVE-2019-9514 “Reset Flood”**: The attacker opens a number of streams and sends an invalid request over each stream that should solicit a stream of RST\_STREAM frames from the peer. Depending on how the peer queues the RST\_STREAM frames, this can consume excess memory, CPU, or both, potentially leading to a denial of service.
* **CVE-2019-9515 “Settings Flood”**: The attacker sends a stream of SETTINGS frames to the peer. Since the RFC requires that the peer reply with one acknowledgement per SETTINGS frame, an empty SETTINGS frame is almost equivalent in behavior to a ping. Depending on how efficiently this data is queued, this can consume excess CPU, memory, or both, potentially leading to a denial of service.
* **CVE-2019-9516 “0-Length Headers Leak”**: The attacker sends a stream of headers with a 0-length header name and 0-length header value, optionally Huffman encoded into 1-byte or greater headers. Some implementations allocate memory for these headers and keep the allocation alive until the session dies. This can consume excess memory, potentially leading to a denial of service.
* **CVE-2019-9517 “Internal Data Buffering”**: The attacker opens the HTTP/2 window so the peer can send without constraint; however, they leave the TCP window closed so the peer cannot actually write (many of) the bytes on the wire. The attacker then sends a stream of requests for a large response object. Depending on how the servers queue the responses, this can consume excess memory, CPU, or both, potentially leading to a denial of service.
* **CVE-2019-9518 “Empty Frames Flood”**: The attacker sends a stream of frames with an empty payload and without the end-of-stream flag. These frames can be DATA, HEADERS, CONTINUATION and/or PUSH\_PROMISE. The peer spends time processing each frame disproportionate to attack bandwidth. This can consume excess CPU, potentially leading to a denial of service. (Discovered by Piotr Sikora of Google)

### Commits

* \[[`74507fae34`](https://github.com/nodejs/node/commit/74507fae34)] - **deps**: update nghttp2 to 1.39.2 (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`a397c881ec`](https://github.com/nodejs/node/commit/a397c881ec)] - **deps**: update nghttp2 to 1.39.1 (gengjiawen) [#28448](https://github.com/nodejs/node/pull/28448)
* \[[`fedfa12a33`](https://github.com/nodejs/node/commit/fedfa12a33)] - **deps**: update nghttp2 to 1.38.0 (gengjiawen) [#27295](https://github.com/nodejs/node/pull/27295)
* \[[`ab0f2ace36`](https://github.com/nodejs/node/commit/ab0f2ace36)] - **deps**: update nghttp2 to 1.37.0 (gengjiawen) [#26990](https://github.com/nodejs/node/pull/26990)
* \[[`0acbe05ee2`](https://github.com/nodejs/node/commit/0acbe05ee2)] - **http2**: allow security revert for Ping/Settings Flood (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`c152449012`](https://github.com/nodejs/node/commit/c152449012)] - **http2**: pause input processing if sending output (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`0ce699c7b1`](https://github.com/nodejs/node/commit/0ce699c7b1)] - **http2**: stop reading from socket if writes are in progress (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`17357d37a9`](https://github.com/nodejs/node/commit/17357d37a9)] - **http2**: consider 0-length non-end DATA frames an error (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`460f896c63`](https://github.com/nodejs/node/commit/460f896c63)] - **http2**: shrink default `vector::reserve()` allocations (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`f4242e24f9`](https://github.com/nodejs/node/commit/f4242e24f9)] - **http2**: handle 0-length headers better (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`477461a51f`](https://github.com/nodejs/node/commit/477461a51f)] - **http2**: limit number of invalid incoming frames (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`05dada46ee`](https://github.com/nodejs/node/commit/05dada46ee)] - **http2**: limit number of rejected stream openings (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`7f11465572`](https://github.com/nodejs/node/commit/7f11465572)] - **http2**: do not create ArrayBuffers when no DATA received (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`2eb914ff5f`](https://github.com/nodejs/node/commit/2eb914ff5f)] - **http2**: only call into JS when necessary for session events (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`76a7ada15d`](https://github.com/nodejs/node/commit/76a7ada15d)] - **http2**: improve JS-side debug logging (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)
* \[[`00f153da13`](https://github.com/nodejs/node/commit/00f153da13)] - **http2**: improve http2 code a bit (James M Snell) [#23984](https://github.com/nodejs/node/pull/23984)
* \[[`a0a14c809f`](https://github.com/nodejs/node/commit/a0a14c809f)] - **src**: pass along errors from http2 object creation (Anna Henningsen) [#25822](https://github.com/nodejs/node/pull/25822)
* \[[`d85e4006ab`](https://github.com/nodejs/node/commit/d85e4006ab)] - **test**: apply test-http2-max-session-memory-leak from v12.x (Anna Henningsen) [#29122](https://github.com/nodejs/node/pull/29122)

## 2019-08-06, Version 10.16.2 'Dubnium' (LTS), @BethGriggs

### Notable changes

This release patches a [regression](https://github.com/nodejs/node/issues/28932) in the OpenSSL upgrade to 1.1.1c that causes intermittent hangs in machines that have low entropy.

### Commits

* \[[`894a9dd230`](https://github.com/nodejs/node/commit/894a9dd230)] - **deps**: cherry-pick c19c5a6 from openssl upstream (Ali Ijaz Sheikh) [#28983](https://github.com/nodejs/node/pull/28983)

## 2019-07-31, Version 10.16.1 'Dubnium' (LTS), @BethGriggs

### Notable changes

* **deps**: upgrade openssl sources to 1.1.1c (Sam Roberts) [#28212](https://github.com/nodejs/node/pull/28212)
* **stream**: do not unconditionally call `_read()` on `resume()` (Anna Henningsen) [#26965](https://github.com/nodejs/node/pull/26965)
* **worker**: fix nullptr deref after MessagePort deser failure (Anna Henningsen) [#25076](https://github.com/nodejs/node/pull/25076)

### Commits

* \[[`65ef26fdcb`](https://github.com/nodejs/node/commit/65ef26fdcb)] - **async\_hooks**: avoid double-destroy HTTPParser (Gerhard Stoebich) [#27477](https://github.com/nodejs/node/pull/27477)
* \[[`8f5d6cf5f5`](https://github.com/nodejs/node/commit/8f5d6cf5f5)] - **deps**: update archs files for OpenSSL-1.1.1c (Sam Roberts) [#28212](https://github.com/nodejs/node/pull/28212)
* \[[`9e62852724`](https://github.com/nodejs/node/commit/9e62852724)] - **deps**: upgrade openssl sources to 1.1.1c (Sam Roberts) [#28212](https://github.com/nodejs/node/pull/28212)
* \[[`c59e0c256d`](https://github.com/nodejs/node/commit/c59e0c256d)] - **deps**: updated openssl upgrade instructions (Sam Roberts) [#28212](https://github.com/nodejs/node/pull/28212)
* \[[`609d2b9ea4`](https://github.com/nodejs/node/commit/609d2b9ea4)] - **deps**: V8: backport f27ac28 (Michaël Zasso) [#28061](https://github.com/nodejs/node/pull/28061)
* \[[`8f780e8f99`](https://github.com/nodejs/node/commit/8f780e8f99)] - **deps**: cherry-pick 88f8fe1 from upstream V8 (Yang Guo) [#24514](https://github.com/nodejs/node/pull/24514)
* \[[`ad588eb5fc`](https://github.com/nodejs/node/commit/ad588eb5fc)] - **doc**: adjust TOC margins (Roman Reiss) [#28075](https://github.com/nodejs/node/pull/28075)
* \[[`b3d8a1b1d0`](https://github.com/nodejs/node/commit/b3d8a1b1d0)] - **doc**: add missing changes entry (Ruben Bridgewater) [#24758](https://github.com/nodejs/node/pull/24758)
* \[[`819a647d8f`](https://github.com/nodejs/node/commit/819a647d8f)] - **esm**: fix esm load bug (ZYSzys) [#25491](https://github.com/nodejs/node/pull/25491)
* \[[`f34bb968c4`](https://github.com/nodejs/node/commit/f34bb968c4)] - **process**: make stdout and stderr emit 'close' on destroy (Matteo Collina) [#26691](https://github.com/nodejs/node/pull/26691)
* \[[`0339fba1bb`](https://github.com/nodejs/node/commit/0339fba1bb)] - **src**: handle empty Maybe in uv binding initialize (Anna Henningsen) [#25079](https://github.com/nodejs/node/pull/25079)
* \[[`f9e8e8856a`](https://github.com/nodejs/node/commit/f9e8e8856a)] - **src**: fix Get() usage in tls\_wrap.cc (cjihrig) [#24060](https://github.com/nodejs/node/pull/24060)
* \[[`b689008dea`](https://github.com/nodejs/node/commit/b689008dea)] - **src**: in-source comments and minor TLS cleanups (Sam Roberts) [#25713](https://github.com/nodejs/node/pull/25713)
* \[[`76af23a32b`](https://github.com/nodejs/node/commit/76af23a32b)] - **src**: remove internalBinding('config').warningFile (Joyee Cheung) [#24959](https://github.com/nodejs/node/pull/24959)
* \[[`b7dbc1c537`](https://github.com/nodejs/node/commit/b7dbc1c537)] - **src**: fix warning in cares\_wrap.cc (cjihrig) [#25230](https://github.com/nodejs/node/pull/25230)
* \[[`a8f78f02cb`](https://github.com/nodejs/node/commit/a8f78f02cb)] - **src**: fulfill Maybe contract in InlineDecoder (Anna Henningsen) [#25140](https://github.com/nodejs/node/pull/25140)
* \[[`0dee607409`](https://github.com/nodejs/node/commit/0dee607409)] - **src**: extract common Bind method (Jon Moss) [#22315](https://github.com/nodejs/node/pull/22315)
* \[[`08a32fbf57`](https://github.com/nodejs/node/commit/08a32fbf57)] - **src**: elevate v8 namespaces for node\_process.cc (Jayasankar) [#24578](https://github.com/nodejs/node/pull/24578)
* \[[`f3841c6750`](https://github.com/nodejs/node/commit/f3841c6750)] - **stream**: convert existing buffer when calling .setEncoding (Anna Henningsen) [#27936](https://github.com/nodejs/node/pull/27936)
* \[[`274b97c4ea`](https://github.com/nodejs/node/commit/274b97c4ea)] - **stream**: do not unconditionally call `_read()` on `resume()` (Anna Henningsen) [#26965](https://github.com/nodejs/node/pull/26965)
* \[[`044e753aaf`](https://github.com/nodejs/node/commit/044e753aaf)] - **stream**: make \_read() be called indefinitely if the user wants so (Matteo Collina) [#26135](https://github.com/nodejs/node/pull/26135)
* \[[`f332265cda`](https://github.com/nodejs/node/commit/f332265cda)] - **test**: remove `util.inherits()` usage (ZYSzys) [#25245](https://github.com/nodejs/node/pull/25245)
* \[[`ada0ed55d1`](https://github.com/nodejs/node/commit/ada0ed55d1)] - **test**: fix pty test hangs on aix (Ben Noordhuis) [#28600](https://github.com/nodejs/node/pull/28600)
* \[[`2ae99160e5`](https://github.com/nodejs/node/commit/2ae99160e5)] - **test**: skip stringbytes-external-exceed-max on AIX (Sam Roberts) [#28516](https://github.com/nodejs/node/pull/28516)
* \[[`39637cb95f`](https://github.com/nodejs/node/commit/39637cb95f)] - **test**: skip tests related to CI failures on AIX (Sam Roberts) [#28469](https://github.com/nodejs/node/pull/28469)
* \[[`35be08a16f`](https://github.com/nodejs/node/commit/35be08a16f)] - **test**: clean up build files (Gabriel Schulhof) [#28297](https://github.com/nodejs/node/pull/28297)
* \[[`cc3ca08046`](https://github.com/nodejs/node/commit/cc3ca08046)] - **test**: clearing require cache crashes esm loader (Antoine du HAMEL) [#25491](https://github.com/nodejs/node/pull/25491)
* \[[`75052cadaa`](https://github.com/nodejs/node/commit/75052cadaa)] - **tls**: add debugging to native TLS code (Anna Henningsen) [#26843](https://github.com/nodejs/node/pull/26843)
* \[[`99dad28ebf`](https://github.com/nodejs/node/commit/99dad28ebf)] - **tls**: add CHECK for impossible condition (Anna Henningsen) [#26843](https://github.com/nodejs/node/pull/26843)
* \[[`5ffe04753e`](https://github.com/nodejs/node/commit/5ffe04753e)] - **tls**: renegotiate should take care of its own state (Sam Roberts) [#25997](https://github.com/nodejs/node/pull/25997)
* \[[`4a607fab49`](https://github.com/nodejs/node/commit/4a607fab49)] - **tools**: replace rollup with ncc (Rich Trott) [#24813](https://github.com/nodejs/node/pull/24813)
* \[[`14090b59fc`](https://github.com/nodejs/node/commit/14090b59fc)] - **worker**: fix nullptr deref after MessagePort deser failure (Anna Henningsen) [#25076](https://github.com/nodejs/node/pull/25076)

## 2019-05-28, Version 10.16.0 'Dubnium' (LTS), @BethGriggs

### Notable Changes

* **deps**:
  * update ICU to 64.2 (Ujjwal Sharma) [#27361](https://github.com/nodejs/node/pull/27361)
  * upgrade npm to 6.9.0 (Kat Marchán) [#26244](https://github.com/nodejs/node/pull/26244)
  * upgrade openssl sources to 1.1.1b (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
  * upgrade to libuv 1.28.0 (cjihrig) [#27241](https://github.com/nodejs/node/pull/27241)
* **events**: add once method to use promises with EventEmitter (Matteo Collina) [#26078](https://github.com/nodejs/node/pull/26078)
* **n-api**: mark thread-safe function as stable (Gabriel Schulhof) [#25556](https://github.com/nodejs/node/pull/25556)
* **repl**: support top-level for-await-of (Shelley Vohr) [#23841](https://github.com/nodejs/node/pull/23841)
* **zlib**:  add brotli support (Anna Henningsen) [#24938](https://github.com/nodejs/node/pull/24938)

### Commits

* \[[`77ed1bbea4`](https://github.com/nodejs/node/commit/77ed1bbea4)] - **benchmark**: fix net-wrap-js-stream-passthrough (Rich Trott) [#25273](https://github.com/nodejs/node/pull/25273)
* \[[`a8cbe0e6d2`](https://github.com/nodejs/node/commit/a8cbe0e6d2)] - **benchmark**: replace deprecated and eliminate var in buffer-from.js (gengjiawen) [#26585](https://github.com/nodejs/node/pull/26585)
* \[[`5249a22704`](https://github.com/nodejs/node/commit/5249a22704)] - **benchmark**: refactor path benchmarks (Ruben Bridgewater) [#26359](https://github.com/nodejs/node/pull/26359)
* \[[`de7db26879`](https://github.com/nodejs/node/commit/de7db26879)] - **benchmark,lib**: add process.hrtime.bigint benchmark (Anna Henningsen) [#26381](https://github.com/nodejs/node/pull/26381)
* \[[`c670358d7e`](https://github.com/nodejs/node/commit/c670358d7e)] - **(SEMVER-MINOR)** **benchmark,test**: add brotli (Anna Henningsen) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`ff647fda13`](https://github.com/nodejs/node/commit/ff647fda13)] - **buffer**: do not affect memory after target for utf16 write (Anna Henningsen) [#26432](https://github.com/nodejs/node/pull/26432)
* \[[`99a653e9ee`](https://github.com/nodejs/node/commit/99a653e9ee)] - **build**: make compress\_json python3 compatible (Sakthipriyan Vairamani (thefourtheye)) [#25582](https://github.com/nodejs/node/pull/25582)
* \[[`1c7f6a51c4`](https://github.com/nodejs/node/commit/1c7f6a51c4)] - **build**: make configure.py compatible with python 3 (Sakthipriyan Vairamani (thefourtheye)) [#25580](https://github.com/nodejs/node/pull/25580)
* \[[`de268667e7`](https://github.com/nodejs/node/commit/de268667e7)] - **build**: remove AIX/ppc (32bit) dead code (Refael Ackermann) [#25523](https://github.com/nodejs/node/pull/25523)
* \[[`a575a410fa`](https://github.com/nodejs/node/commit/a575a410fa)] - **build**: remove erroneous duplicate declaration from node\_inspector.gypi (Refael Ackermann) [#25586](https://github.com/nodejs/node/pull/25586)
* \[[`6348d71a8a`](https://github.com/nodejs/node/commit/6348d71a8a)] - **build**: do not lint python scripts under test/fixtures (Joyee Cheung) [#25639](https://github.com/nodejs/node/pull/25639)
* \[[`7ead9af0f5`](https://github.com/nodejs/node/commit/7ead9af0f5)] - **build**: add check for empty openssl-fips flag (Daniel Bevenius) [#25391](https://github.com/nodejs/node/pull/25391)
* \[[`554a4345c2`](https://github.com/nodejs/node/commit/554a4345c2)] - **build**: fix Windows shared lib build (Richard Lau) [#25166](https://github.com/nodejs/node/pull/25166)
* \[[`ffd62b129d`](https://github.com/nodejs/node/commit/ffd62b129d)] - **build**: correct fi indentation in Makefile (Daniel Bevenius) [#25107](https://github.com/nodejs/node/pull/25107)
* \[[`5760e419d7`](https://github.com/nodejs/node/commit/5760e419d7)] - **build**: add a space to clarify skipping crypto msg (Daniel Bevenius) [#25011](https://github.com/nodejs/node/pull/25011)
* \[[`513913c672`](https://github.com/nodejs/node/commit/513913c672)] - **build**: restore running tests on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* \[[`9512f3938a`](https://github.com/nodejs/node/commit/9512f3938a)] - **build**: temporarily don't run tests on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* \[[`add5141933`](https://github.com/nodejs/node/commit/add5141933)] - **build**: use Xenial and gcc 6 on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* \[[`9f5ad9b476`](https://github.com/nodejs/node/commit/9f5ad9b476)] - **build,deps**: less warnings from V8 (Refael Ackermann) [#26405](https://github.com/nodejs/node/pull/26405)
* \[[`16a92f66a1`](https://github.com/nodejs/node/commit/16a92f66a1)] - **child\_process**: truncate output when maxBuffer is exceeded (Jeremiah Senkpiel) [#24951](https://github.com/nodejs/node/pull/24951)
* \[[`274fc16178`](https://github.com/nodejs/node/commit/274fc16178)] - **child\_process**: simplify argument handling (cjihrig) [#25194](https://github.com/nodejs/node/pull/25194)
* \[[`fce822f6e9`](https://github.com/nodejs/node/commit/fce822f6e9)] - **child\_process**: ensure message sanity at source (Gireesh Punathil) [#24787](https://github.com/nodejs/node/pull/24787)
* \[[`a193a0f9dd`](https://github.com/nodejs/node/commit/a193a0f9dd)] - **child\_process**: spawn ignores options in case args is undefined (Eduard Bondarenko) [#24913](https://github.com/nodejs/node/pull/24913)
* \[[`4b3e9486ca`](https://github.com/nodejs/node/commit/4b3e9486ca)] - **cluster**: refactor empty for in round\_robin\_handle.js (gengjiawen) [#26560](https://github.com/nodejs/node/pull/26560)
* \[[`fb73c06025`](https://github.com/nodejs/node/commit/fb73c06025)] - **cluster**: improve for-loop (gengjiawen) [#26336](https://github.com/nodejs/node/pull/26336)
* \[[`b8b23a3d78`](https://github.com/nodejs/node/commit/b8b23a3d78)] - **crypto**: add crypto modules to cannotUseCache (Daniel Bevenius) [#25606](https://github.com/nodejs/node/pull/25606)
* \[[`3a2814367b`](https://github.com/nodejs/node/commit/3a2814367b)] - **crypto**: add crypto/keys to cannotUseCache (Daniel Bevenius) [#25237](https://github.com/nodejs/node/pull/25237)
* \[[`a0dc65d0ed`](https://github.com/nodejs/node/commit/a0dc65d0ed)] - **crypto**: update root certificates (Sam Roberts) [#25113](https://github.com/nodejs/node/pull/25113)
* \[[`4c87c1b1bc`](https://github.com/nodejs/node/commit/4c87c1b1bc)] - **deps**: upgrade to libuv 1.28.0 (cjihrig) [#27241](https://github.com/nodejs/node/pull/27241)
* \[[`7e5ef4a0e1`](https://github.com/nodejs/node/commit/7e5ef4a0e1)] - **deps**: upgrade to libuv 1.27.0 (cjihrig) [#26707](https://github.com/nodejs/node/pull/26707)
* \[[`8ea22bbb88`](https://github.com/nodejs/node/commit/8ea22bbb88)] - **deps**: upgrade to libuv 1.26.0 (cjihrig) [#26037](https://github.com/nodejs/node/pull/26037)
* \[[`e6275f939a`](https://github.com/nodejs/node/commit/e6275f939a)] - **deps**: upgrade to libuv 1.25.0 (cjihrig) [#25571](https://github.com/nodejs/node/pull/25571)
* \[[`aceac0581c`](https://github.com/nodejs/node/commit/aceac0581c)] - **deps**: patch to fix \*.onion MX query on c-ares (XadillaX) [#25840](https://github.com/nodejs/node/pull/25840)
* \[[`be219bd559`](https://github.com/nodejs/node/commit/be219bd559)] - **deps**: update archs files for OpenSSL-1.1.1b (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`6a6aa6f038`](https://github.com/nodejs/node/commit/6a6aa6f038)] - **(SEMVER-MINOR)** **deps**: add s390 asm rules for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`5109c4f432`](https://github.com/nodejs/node/commit/5109c4f432)] - **deps**: add ARM64 Windows support in openssl (Shigeki Ohtsu) [#26001](https://github.com/nodejs/node/pull/26001)
* \[[`f270eeec52`](https://github.com/nodejs/node/commit/f270eeec52)] - **deps**: openssl-1.1.1b no longer packages .gitignore (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`ebe0b05a24`](https://github.com/nodejs/node/commit/ebe0b05a24)] - **deps**: upgrade openssl sources to 1.1.1b (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`bbf5373041`](https://github.com/nodejs/node/commit/bbf5373041)] - **deps**: update OpenSSL upgrade process (Sam Roberts) [#26378](https://github.com/nodejs/node/pull/26378)
* \[[`a9c68a05d9`](https://github.com/nodejs/node/commit/a9c68a05d9)] - **(SEMVER-MINOR)** **deps**: add brotli (Hackzzila) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`281b52d6ec`](https://github.com/nodejs/node/commit/281b52d6ec)] - **deps**: upgrade npm to 6.9.0 (Kat Marchán) [#26244](https://github.com/nodejs/node/pull/26244)
* \[[`d2413d630c`](https://github.com/nodejs/node/commit/d2413d630c)] - **deps**: upgrade npm to 6.7.0 (Kat Marchán) [#25804](https://github.com/nodejs/node/pull/25804)
* \[[`e880904d22`](https://github.com/nodejs/node/commit/e880904d22)] - **deps**: upgrade npm to v6.5.0 (Jordan Harband) [#25234](https://github.com/nodejs/node/pull/25234)
* \[[`f91a818508`](https://github.com/nodejs/node/commit/f91a818508)] - **deps**: backport ICU-20575 to fix err/crasher (Steven R. Loomis) [#27435](https://github.com/nodejs/node/pull/27435)
* \[[`c7931e4438`](https://github.com/nodejs/node/commit/c7931e4438)] - **deps**: backport ICU-20558 to fix Intl crasher (Steven R. Loomis) [#27415](https://github.com/nodejs/node/pull/27415)
* \[[`c9d0b6a9a0`](https://github.com/nodejs/node/commit/c9d0b6a9a0)] - **deps**: update ICU to 64.2 (Ujjwal Sharma) [#27361](https://github.com/nodejs/node/pull/27361)
* \[[`391185e550`](https://github.com/nodejs/node/commit/391185e550)] - **(SEMVER-MINOR)** **deps**: upgrade npm to 6.5.0 (Audrey Eschright) [#24734](https://github.com/nodejs/node/pull/24734)
* \[[`4875e881cd`](https://github.com/nodejs/node/commit/4875e881cd)] - **deps**: upgrade to libuv 1.24.1 (cjihrig) [#25078](https://github.com/nodejs/node/pull/25078)
* \[[`74f4741b63`](https://github.com/nodejs/node/commit/74f4741b63)] - **(SEMVER-MINOR)** **deps**: upgrade to libuv 1.24.0 (cjihrig) [#24332](https://github.com/nodejs/node/pull/24332)
* \[[`e9a9c88363`](https://github.com/nodejs/node/commit/e9a9c88363)] - **(SEMVER-MINOR)** **deps**: icu 63.1 bump (CLDR 34) (Steven R. Loomis) [#23715](https://github.com/nodejs/node/pull/23715)
* \[[`23ea7ee64b`](https://github.com/nodejs/node/commit/23ea7ee64b)] - **deps**: v8, backport coverage fixes (bcoe) [#26579](https://github.com/nodejs/node/pull/26579)
* \[[`b0b73fa561`](https://github.com/nodejs/node/commit/b0b73fa561)] - **(SEMVER-MINOR)** **deps**: update archs files for OpenSSL-1.1.1a (Sam Roberts) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`56441a0900`](https://github.com/nodejs/node/commit/56441a0900)] - **(SEMVER-MINOR)** **deps**: fix for non GNU assembler in AIX (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`639b1d2f68`](https://github.com/nodejs/node/commit/639b1d2f68)] - **(SEMVER-MINOR)** **deps**: add only avx2 configs for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`f5369da047`](https://github.com/nodejs/node/commit/f5369da047)] - **(SEMVER-MINOR)** **deps**: fix MacOS and Win build for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`70a785cd9f`](https://github.com/nodejs/node/commit/70a785cd9f)] - **(SEMVER-MINOR)** **deps**: fix gyp/gypi for openssl-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`0e7019ff76`](https://github.com/nodejs/node/commit/0e7019ff76)] - **(SEMVER-MINOR)** **deps**: add s390 asm rules for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`2d396fe058`](https://github.com/nodejs/node/commit/2d396fe058)] - **(SEMVER-MINOR)** **deps**: upgrade openssl sources to 1.1.1a (Sam Roberts) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`ce6fec53a4`](https://github.com/nodejs/node/commit/ce6fec53a4)] - **(SEMVER-MINOR)** **deps,tools**: update license-builder.sh and LICENSE (Hackzzila) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`b7dd0b841e`](https://github.com/nodejs/node/commit/b7dd0b841e)] - **deps,tools**: include SipHash in LICENSE (Rod Vagg) [#26367](https://github.com/nodejs/node/pull/26367)
* \[[`4fcfa5a63f`](https://github.com/nodejs/node/commit/4fcfa5a63f)] - **dns**: fix TTL value for AAAA replies to `resolveAny()` (Anna Henningsen) [#25187](https://github.com/nodejs/node/pull/25187)
* \[[`2a98b9cf2f`](https://github.com/nodejs/node/commit/2a98b9cf2f)] - **doc**: add "tick" function name and argument description (Artur Hayrapetyan) [#23551](https://github.com/nodejs/node/pull/23551)
* \[[`93edf907ca`](https://github.com/nodejs/node/commit/93edf907ca)] - **(SEMVER-MINOR)** **doc**: add documentation for brotli support (Anna Henningsen) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`7ed29fc1e8`](https://github.com/nodejs/node/commit/7ed29fc1e8)] - **doc**: revise breaking changes material in COLLABORATOR\_GUIDE (Rich Trott) [#25730](https://github.com/nodejs/node/pull/25730)
* \[[`498edfde9b`](https://github.com/nodejs/node/commit/498edfde9b)] - **doc**: fix http.Agent timeout option description (Luigi Pinca) [#25489](https://github.com/nodejs/node/pull/25489)
* \[[`a040a73ee3`](https://github.com/nodejs/node/commit/a040a73ee3)] - **doc**: fix file extension on ESM file example (Eric Whitebloom) [#25692](https://github.com/nodejs/node/pull/25692)
* \[[`6a2d9d192f`](https://github.com/nodejs/node/commit/6a2d9d192f)] - **doc**: remove outdated s\_client information in tls.md (Rich Trott) [#25678](https://github.com/nodejs/node/pull/25678)
* \[[`bb96d79a7e`](https://github.com/nodejs/node/commit/bb96d79a7e)] - **doc**: clarify what dns.setResolvers() affects (Sam Roberts) [#25570](https://github.com/nodejs/node/pull/25570)
* \[[`a382932097`](https://github.com/nodejs/node/commit/a382932097)] - **doc**: simplify process.binding() deprecation message (Rich Trott) [#25654](https://github.com/nodejs/node/pull/25654)
* \[[`b1a15ab4cf`](https://github.com/nodejs/node/commit/b1a15ab4cf)] - **doc**: add note regarding pushing release tags (Myles Borins) [#25569](https://github.com/nodejs/node/pull/25569)
* \[[`6ae41bde4d`](https://github.com/nodejs/node/commit/6ae41bde4d)] - **doc**: reword stream docs to clarify that decodeStrings encodes strings (Daniel George Holz) [#25468](https://github.com/nodejs/node/pull/25468)
* \[[`13205d5805`](https://github.com/nodejs/node/commit/13205d5805)] - **doc**: correct my wrong note about buf.fill() (Vse Mozhet Byt) [#25585](https://github.com/nodejs/node/pull/25585)
* \[[`12fe2d30fe`](https://github.com/nodejs/node/commit/12fe2d30fe)] - **doc**: add a note to `buf.fill()` description (Vse Mozhet Byt) [#25547](https://github.com/nodejs/node/pull/25547)
* \[[`92d0794d63`](https://github.com/nodejs/node/commit/92d0794d63)] - **doc**: fix typo in Buffer API (H1Gdev) [#25544](https://github.com/nodejs/node/pull/25544)
* \[[`37082bd149`](https://github.com/nodejs/node/commit/37082bd149)] - **doc**: add Rich back to TSC list (Michael Dawson) [#25535](https://github.com/nodejs/node/pull/25535)
* \[[`5631d7a6e0`](https://github.com/nodejs/node/commit/5631d7a6e0)] - **doc**: add metadata about ecdh curve options (Sam Roberts) [#25502](https://github.com/nodejs/node/pull/25502)
* \[[`5c602dabc4`](https://github.com/nodejs/node/commit/5c602dabc4)] - **doc**: add TLSSocket.isSessionReused() docs (Sam Roberts) [#25423](https://github.com/nodejs/node/pull/25423)
* \[[`07f878b0c1`](https://github.com/nodejs/node/commit/07f878b0c1)] - **doc**: fix sorting in buffer.md (Vse Mozhet Byt) [#25477](https://github.com/nodejs/node/pull/25477)
* \[[`9dffc2ba0c`](https://github.com/nodejs/node/commit/9dffc2ba0c)] - **doc**: fix `napi_open_callback_scope` description (Philipp Renoth) [#25366](https://github.com/nodejs/node/pull/25366)
* \[[`0c33ecb2bd`](https://github.com/nodejs/node/commit/0c33ecb2bd)] - **doc**: document that stream.on('close') was changed in Node 10 (Matteo Collina) [#25413](https://github.com/nodejs/node/pull/25413)
* \[[`8f0fa61406`](https://github.com/nodejs/node/commit/8f0fa61406)] - **doc**: fix the path to postMessage() (Mitar) [#25332](https://github.com/nodejs/node/pull/25332)
* \[[`3a30c87e88`](https://github.com/nodejs/node/commit/3a30c87e88)] - **doc**: update `os.networkInterfaces()` example (jvelezpo) [#25417](https://github.com/nodejs/node/pull/25417)
* \[[`530f005d7d`](https://github.com/nodejs/node/commit/530f005d7d)] - **doc**: make sure that calls to .read() are looped (Matteo Collina) [#25375](https://github.com/nodejs/node/pull/25375)
* \[[`487f6536bc`](https://github.com/nodejs/node/commit/487f6536bc)] - **doc**: add history to http.request.setTimeout() (James Bunton) [#25121](https://github.com/nodejs/node/pull/25121)
* \[[`66ab7e4a99`](https://github.com/nodejs/node/commit/66ab7e4a99)] - **doc**: add clarification for exception behaviour (Michael Dawson) [#25339](https://github.com/nodejs/node/pull/25339)
* \[[`ce3cf0dffd`](https://github.com/nodejs/node/commit/ce3cf0dffd)] - **doc**: clarify timing of socket.connecting (Sam Roberts) [#25333](https://github.com/nodejs/node/pull/25333)
* \[[`b68d47a246`](https://github.com/nodejs/node/commit/b68d47a246)] - **doc**: update benchmark doc (Kazushi Kitaya) [#25367](https://github.com/nodejs/node/pull/25367)
* \[[`252a696568`](https://github.com/nodejs/node/commit/252a696568)] - **doc**: use lowercase for zlib (Rich Trott) [#25371](https://github.com/nodejs/node/pull/25371)
* \[[`0d3212aa5c`](https://github.com/nodejs/node/commit/0d3212aa5c)] - **doc**: fix heading in cpp style guide (Kazushi Kitaya) [#25303](https://github.com/nodejs/node/pull/25303)
* \[[`8d5ac6c8ef`](https://github.com/nodejs/node/commit/8d5ac6c8ef)] - **doc**: fix process.stdin example (Anna Henningsen) [#25344](https://github.com/nodejs/node/pull/25344)
* \[[`ef6e4f15a0`](https://github.com/nodejs/node/commit/ef6e4f15a0)] - **doc**: fs.mkdir('/') throws EPERM on Windows (Corey Farrell) [#25340](https://github.com/nodejs/node/pull/25340)
* \[[`fc5dc9c13e`](https://github.com/nodejs/node/commit/fc5dc9c13e)] - **doc**: include license for src/large\_pages in LICENSE (Ujjwal Sharma) [#25246](https://github.com/nodejs/node/pull/25246)
* \[[`b76931b7e9`](https://github.com/nodejs/node/commit/b76931b7e9)] - **doc**: describe TLS session resumption (Sam Roberts) [#25174](https://github.com/nodejs/node/pull/25174)
* \[[`c84b4fb51a`](https://github.com/nodejs/node/commit/c84b4fb51a)] - **doc**: link and expand --tls-cipher-list docs (Sam Roberts) [#25174](https://github.com/nodejs/node/pull/25174)
* \[[`18e0a61f91`](https://github.com/nodejs/node/commit/18e0a61f91)] - **doc**: revise "Breaking Changes to Internal Elements" (Rich Trott) [#25190](https://github.com/nodejs/node/pull/25190)
* \[[`b980fa3a21`](https://github.com/nodejs/node/commit/b980fa3a21)] - **doc**: fix NAPI typo (Philipp Renoth) [#25216](https://github.com/nodejs/node/pull/25216)
* \[[`173e5fee9d`](https://github.com/nodejs/node/commit/173e5fee9d)] - **doc**: revise "Breaking Changes and Deprecations" (Rich Trott) [#25116](https://github.com/nodejs/node/pull/25116)
* \[[`c571e9e18b`](https://github.com/nodejs/node/commit/c571e9e18b)] - **doc**: describe root cert update process (Sam Roberts) [#25113](https://github.com/nodejs/node/pull/25113)
* \[[`09a97f29df`](https://github.com/nodejs/node/commit/09a97f29df)] - **doc**: edit LTS material in Collaborator Guide (Rich Trott) [#26845](https://github.com/nodejs/node/pull/26845)
* \[[`f52160d385`](https://github.com/nodejs/node/commit/f52160d385)] - **doc**: change error message to 'not defined' (Mohammed Essehemy) [#26857](https://github.com/nodejs/node/pull/26857)
* \[[`6bd33dde62`](https://github.com/nodejs/node/commit/6bd33dde62)] - **doc**: fix comma of the list in worker\_threads.md (Hang Jiang) [#26838](https://github.com/nodejs/node/pull/26838)
* \[[`889d68ce6d`](https://github.com/nodejs/node/commit/889d68ce6d)] - **doc**: remove discord community (Aymen Naghmouchi) [#26830](https://github.com/nodejs/node/pull/26830)
* \[[`ddfa756797`](https://github.com/nodejs/node/commit/ddfa756797)] - **doc**: remove How Does LTS Work section from Collaborator Guide (Rich Trott) [#26723](https://github.com/nodejs/node/pull/26723)
* \[[`a228254d6b`](https://github.com/nodejs/node/commit/a228254d6b)] - **doc**: condense LTS material in Collaborator Guide (Rich Trott) [#26722](https://github.com/nodejs/node/pull/26722)
* \[[`09f162b18f`](https://github.com/nodejs/node/commit/09f162b18f)] - **doc**: add Note of options.stdio into child\_process (kohta ito) [#26604](https://github.com/nodejs/node/pull/26604)
* \[[`83c2a14e08`](https://github.com/nodejs/node/commit/83c2a14e08)] - **doc**: update spawnSync() status value possibilities (Rich Trott) [#26680](https://github.com/nodejs/node/pull/26680)
* \[[`621099ebed`](https://github.com/nodejs/node/commit/621099ebed)] - **doc**: add ZYSzys to collaborators (ZYSzys) [#26730](https://github.com/nodejs/node/pull/26730)
* \[[`30021881f8`](https://github.com/nodejs/node/commit/30021881f8)] - **doc**: simplify force-push guidelines (Rich Trott) [#26699](https://github.com/nodejs/node/pull/26699)
* \[[`1e6faf9ee0`](https://github.com/nodejs/node/commit/1e6faf9ee0)] - **doc**: note about DNS ANY queries / RFC 8482 (Thomas Hunter II) [#26695](https://github.com/nodejs/node/pull/26695)
* \[[`fc3552305a`](https://github.com/nodejs/node/commit/fc3552305a)] - **doc**: simplify Troubleshooting text (Rich Trott) [#26652](https://github.com/nodejs/node/pull/26652)
* \[[`983ea7f3e0`](https://github.com/nodejs/node/commit/983ea7f3e0)] - **doc**: update copy/paste error message in Troubleshooting (Rich Trott) [#26652](https://github.com/nodejs/node/pull/26652)
* \[[`c07619d581`](https://github.com/nodejs/node/commit/c07619d581)] - **doc**: add Gireesh to TSC (Rich Trott) [#26657](https://github.com/nodejs/node/pull/26657)
* \[[`07ded7c975`](https://github.com/nodejs/node/commit/07ded7c975)] - **doc**: edit "Technical How-To" section of guide (Rich Trott) [#26601](https://github.com/nodejs/node/pull/26601)
* \[[`0a976ecb63`](https://github.com/nodejs/node/commit/0a976ecb63)] - **doc**: fix misleading sentence in http.md (Luigi Pinca) [#26465](https://github.com/nodejs/node/pull/26465)
* \[[`f30172fa25`](https://github.com/nodejs/node/commit/f30172fa25)] - **doc**: fix typo in http2.md (TJKoury) [#26616](https://github.com/nodejs/node/pull/26616)
* \[[`4fed47ab79`](https://github.com/nodejs/node/commit/4fed47ab79)] - **doc**: edit "Using git-node" section of Guide (Rich Trott) [#26580](https://github.com/nodejs/node/pull/26580)
* \[[`033d49c1f4`](https://github.com/nodejs/node/commit/033d49c1f4)] - **doc**: add version for http.createServer() options addition (Ben Swinburne) [#25001](https://github.com/nodejs/node/pull/25001)
* \[[`d4a1d79e3d`](https://github.com/nodejs/node/commit/d4a1d79e3d)] - **doc**: add inspector API example for heapdump (Sam Roberts) [#26498](https://github.com/nodejs/node/pull/26498)
* \[[`72f0efc1f2`](https://github.com/nodejs/node/commit/72f0efc1f2)] - **doc**: edit Landing Pull Requests (Rich Trott) [#26536](https://github.com/nodejs/node/pull/26536)
* \[[`132a457ed4`](https://github.com/nodejs/node/commit/132a457ed4)] - **doc**: add decode() & encode() methods into querystring.md (ZYSzys) [#23889](https://github.com/nodejs/node/pull/23889)
* \[[`74dac5913d`](https://github.com/nodejs/node/commit/74dac5913d)] - **doc**: update partner communities link in releases.md (Beth Griggs) [#26475](https://github.com/nodejs/node/pull/26475)
* \[[`5279a884cc`](https://github.com/nodejs/node/commit/5279a884cc)] - **doc**: fix nits in writing-tests.md (Vse Mozhet Byt) [#26543](https://github.com/nodejs/node/pull/26543)
* \[[`11d163b439`](https://github.com/nodejs/node/commit/11d163b439)] - **doc**: edit "Involving the TSC" (Rich Trott) [#26481](https://github.com/nodejs/node/pull/26481)
* \[[`5fedf0f257`](https://github.com/nodejs/node/commit/5fedf0f257)] - **doc**: add guidance on console output in tests (Sam Roberts) [#26456](https://github.com/nodejs/node/pull/26456)
* \[[`40657859ca`](https://github.com/nodejs/node/commit/40657859ca)] - **doc**: add caveat and tradeoff example to readline (Vse Mozhet Byt) [#26472](https://github.com/nodejs/node/pull/26472)
* \[[`77eae4ecd6`](https://github.com/nodejs/node/commit/77eae4ecd6)] - **doc**: fix the example implementation of MemoryRetainer (Joyee Cheung) [#26262](https://github.com/nodejs/node/pull/26262)
* \[[`aa49bf53f2`](https://github.com/nodejs/node/commit/aa49bf53f2)] - **doc**: clarify http.Agent constructor options (Luigi Pinca) [#26412](https://github.com/nodejs/node/pull/26412)
* \[[`a562aba84c`](https://github.com/nodejs/node/commit/a562aba84c)] - **doc**: hello addon example should return "world" (Geir Hauge) [#26328](https://github.com/nodejs/node/pull/26328)
* \[[`b450ee28e3`](https://github.com/nodejs/node/commit/b450ee28e3)] - **doc**: fix up N-API support matrix (Michael Dawson) [#26377](https://github.com/nodejs/node/pull/26377)
* \[[`3ff7c631a6`](https://github.com/nodejs/node/commit/3ff7c631a6)] - **doc**: edit deprecation identifier info in Collaborator Guide (Rich Trott) [#26372](https://github.com/nodejs/node/pull/26372)
* \[[`8d22048756`](https://github.com/nodejs/node/commit/8d22048756)] - **doc**: update LICENSE file (Thomas Leah) [#24898](https://github.com/nodejs/node/pull/24898)
* \[[`e05eb3e041`](https://github.com/nodejs/node/commit/e05eb3e041)] - **(SEMVER-MINOR)** **doc**: fix assembler requirement for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`ecae7275bd`](https://github.com/nodejs/node/commit/ecae7275bd)] - **doc**: fix REPLACEME for tls min/max protocol option (Sam Roberts) [#24759](https://github.com/nodejs/node/pull/24759)
* \[[`1ae6853015`](https://github.com/nodejs/node/commit/1ae6853015)] - **doc,n-api**: update matrix for N-API version 4 (Richard Lau)
* \[[`98193d1d4d`](https://github.com/nodejs/node/commit/98193d1d4d)] - **doc,tools**: updates for 6.x End-of-Life (Richard Lau) [#27658](https://github.com/nodejs/node/pull/27658)
* \[[`25d73aa187`](https://github.com/nodejs/node/commit/25d73aa187)] - **domain**: avoid circular memory references (Anna Henningsen) [#25993](https://github.com/nodejs/node/pull/25993)
* \[[`46a816fa00`](https://github.com/nodejs/node/commit/46a816fa00)] - **events**: show inspected error in uncaught 'error' message (Anna Henningsen) [#25621](https://github.com/nodejs/node/pull/25621)
* \[[`aca5ed5563`](https://github.com/nodejs/node/commit/aca5ed5563)] - **events**: simplify stack compare function (Ruben Bridgewater) [#24744](https://github.com/nodejs/node/pull/24744)
* \[[`064511ec4b`](https://github.com/nodejs/node/commit/064511ec4b)] - **(SEMVER-MINOR)** **events**: add once method to use promises with EventEmitter (Matteo Collina) [#26078](https://github.com/nodejs/node/pull/26078)
* \[[`e1f293c7a1`](https://github.com/nodejs/node/commit/e1f293c7a1)] - **events**: improve for-loop (gengjiawen) [#26354](https://github.com/nodejs/node/pull/26354)
* \[[`cb0fc6520a`](https://github.com/nodejs/node/commit/cb0fc6520a)] - **events**: onceWrapper returns target value (himself65) [#25818](https://github.com/nodejs/node/pull/25818)
* \[[`af301b2821`](https://github.com/nodejs/node/commit/af301b2821)] - **fs**: fix infinite loop with async recursive mkdir on Windows (Richard Lau) [#27207](https://github.com/nodejs/node/pull/27207)
* \[[`3516a2735f`](https://github.com/nodejs/node/commit/3516a2735f)] - **(SEMVER-MINOR)** **fs**: default open/openSync flags argument to 'r' (Ben Noordhuis) [#23767](https://github.com/nodejs/node/pull/23767)
* \[[`ae465f6fc4`](https://github.com/nodejs/node/commit/ae465f6fc4)] - **(SEMVER-MINOR)** **fs,net**: standardize `pending` stream property (Anna Henningsen) [#24067](https://github.com/nodejs/node/pull/24067)
* \[[`ced7f67fbb`](https://github.com/nodejs/node/commit/ced7f67fbb)] - **http**: make ClientRequest#setTimeout() noop at end (Tim De Pauw) [#25536](https://github.com/nodejs/node/pull/25536)
* \[[`33a9d17733`](https://github.com/nodejs/node/commit/33a9d17733)] - **http**: reuse noop function in socketOnError() (cjihrig) [#25566](https://github.com/nodejs/node/pull/25566)
* \[[`378d4f18f1`](https://github.com/nodejs/node/commit/378d4f18f1)] - **http**: remove unused variable in \_http\_server.js (gengjiawen) [#26407](https://github.com/nodejs/node/pull/26407)
* \[[`cb88c58e42`](https://github.com/nodejs/node/commit/cb88c58e42)] - **http**: check for existance in resetHeadersTimeoutOnReqEnd (Matteo Collina) [#26402](https://github.com/nodejs/node/pull/26402)
* \[[`277271c4a9`](https://github.com/nodejs/node/commit/277271c4a9)] - **http**: send connection: close when closing conn (Yann Hamon) [#26467](https://github.com/nodejs/node/pull/26467)
* \[[`decba1c59b`](https://github.com/nodejs/node/commit/decba1c59b)] - **http2**: allow fully synchronous `_final()` (Anna Henningsen) [#25609](https://github.com/nodejs/node/pull/25609)
* \[[`ba6829d1b8`](https://github.com/nodejs/node/commit/ba6829d1b8)] - **http2**: add test case for goaway (Anto Aravinth) [#24054](https://github.com/nodejs/node/pull/24054)
* \[[`91b1b2cf84`](https://github.com/nodejs/node/commit/91b1b2cf84)] - **http2**: delete unused enum in node\_http2.h (gengjiawen) [#26704](https://github.com/nodejs/node/pull/26704)
* \[[`59b348e0e4`](https://github.com/nodejs/node/commit/59b348e0e4)] - **http2**: `Http2ServerResponse.end()` should always return self (Robert Nagy) [#24346](https://github.com/nodejs/node/pull/24346)
* \[[`32b83eaf38`](https://github.com/nodejs/node/commit/32b83eaf38)] - **http2**: refactor deprecated method in core.js (gengjiawen) [#26275](https://github.com/nodejs/node/pull/26275)
* \[[`cc25f22094`](https://github.com/nodejs/node/commit/cc25f22094)] - **http2**: improve compatibility with http/1 (Sagi Tsofan) [#23908](https://github.com/nodejs/node/pull/23908)
* \[[`4f60364201`](https://github.com/nodejs/node/commit/4f60364201)] - **(SEMVER-MINOR)** **http2**: add Http2Stream.bufferSize (Ouyang Yadong) [#23711](https://github.com/nodejs/node/pull/23711)
* \[[`b7b08d1009`](https://github.com/nodejs/node/commit/b7b08d1009)] - **https**: add missing localPort while create socket (leeight) [#24554](https://github.com/nodejs/node/pull/24554)
* \[[`66ca795028`](https://github.com/nodejs/node/commit/66ca795028)] - **inspector**: print all listening addresses (Ben Noordhuis) [#26008](https://github.com/nodejs/node/pull/26008)
* \[[`cbc428c803`](https://github.com/nodejs/node/commit/cbc428c803)] - **inspector, test**: verify reported console message (Eugene Ostroukhov) [#25455](https://github.com/nodejs/node/pull/25455)
* \[[`73230cc2c8`](https://github.com/nodejs/node/commit/73230cc2c8)] - **(SEMVER-MINOR)** **lib**: support overriding http\s.globalAgent (Roy Sommer) [#25170](https://github.com/nodejs/node/pull/25170)
* \[[`ec90cefdd9`](https://github.com/nodejs/node/commit/ec90cefdd9)] - **lib**: simplify several debug() calls (cjihrig) [#25241](https://github.com/nodejs/node/pull/25241)
* \[[`43f41beff2`](https://github.com/nodejs/node/commit/43f41beff2)] - **(SEMVER-MINOR)** **lib**: enable TypedArray and DataView for the v8 module (Ouyang Yadong) [#23953](https://github.com/nodejs/node/pull/23953)
* \[[`bda45a5cfe`](https://github.com/nodejs/node/commit/bda45a5cfe)] - **(SEMVER-MINOR)** **lib**: add escapeCodeTimeout as an option to createInterface (Raoof) [#19780](https://github.com/nodejs/node/pull/19780)
* \[[`81cf2b450d`](https://github.com/nodejs/node/commit/81cf2b450d)] - **lib,test**: remove lib/internal/test/unicode.js (Rich Trott) [#25298](https://github.com/nodejs/node/pull/25298)
* \[[`a49bd36a1a`](https://github.com/nodejs/node/commit/a49bd36a1a)] - **module**: revert module.\_compile to original state if module is patched (Ujjwal Sharma) [#21573](https://github.com/nodejs/node/pull/21573)
* \[[`590e8d37e9`](https://github.com/nodejs/node/commit/590e8d37e9)] - **module**: use compileFunction over Module.wrap (Ujjwal Sharma) [#21573](https://github.com/nodejs/node/pull/21573)
* \[[`0dc6f03873`](https://github.com/nodejs/node/commit/0dc6f03873)] - **(SEMVER-MINOR)** **module**: support multi-dot file extension (Geoffrey Booth) [#23416](https://github.com/nodejs/node/pull/23416)
* \[[`2643801d9d`](https://github.com/nodejs/node/commit/2643801d9d)] - **n-api**: improve performance creating strings (Anthony Tuininga) [#26439](https://github.com/nodejs/node/pull/26439)
* \[[`b5588daef0`](https://github.com/nodejs/node/commit/b5588daef0)] - **n-api**: finalize during second-pass callback (Gabriel Schulhof) [#25992](https://github.com/nodejs/node/pull/25992)
* \[[`48a5241b46`](https://github.com/nodejs/node/commit/48a5241b46)] - **(SEMVER-MINOR)** **n-api**: mark thread-safe function as stable (Gabriel Schulhof) [#25556](https://github.com/nodejs/node/pull/25556)
* \[[`f17b61e071`](https://github.com/nodejs/node/commit/f17b61e071)] - **net**: check for close on stream, not parent (David Halls) [#25026](https://github.com/nodejs/node/pull/25026)
* \[[`eef2debcc7`](https://github.com/nodejs/node/commit/eef2debcc7)] - **os**: implement os.release() using uv\_os\_uname() (cjihrig) [#25600](https://github.com/nodejs/node/pull/25600)
* \[[`d4688485b5`](https://github.com/nodejs/node/commit/d4688485b5)] - **os**: use uv\_os\_gethostname() in hostname() (cjihrig) [#25111](https://github.com/nodejs/node/pull/25111)
* \[[`ff3d977f04`](https://github.com/nodejs/node/commit/ff3d977f04)] - **perf\_hooks**: clean up GC listeners (Anna Henningsen) [#25647](https://github.com/nodejs/node/pull/25647)
* \[[`45481bce63`](https://github.com/nodejs/node/commit/45481bce63)] - **querystring**: remove eslint-disable (cjihrig) [#24995](https://github.com/nodejs/node/pull/24995)
* \[[`d3f15b0ffb`](https://github.com/nodejs/node/commit/d3f15b0ffb)] - **(SEMVER-MINOR)** **readline**: add support for async iteration (Timothy Gu) [#23916](https://github.com/nodejs/node/pull/23916)
* \[[`2f1ad8efbd`](https://github.com/nodejs/node/commit/2f1ad8efbd)] - **repl**: improve doc for disabling REPL history on Windows (Samuel D. Leslie) [#25672](https://github.com/nodejs/node/pull/25672)
* \[[`b061a08cab`](https://github.com/nodejs/node/commit/b061a08cab)] - **repl**: indicate if errors are thrown or not (Ruben Bridgewater) [#25253](https://github.com/nodejs/node/pull/25253)
* \[[`ef767a28b2`](https://github.com/nodejs/node/commit/ef767a28b2)] - **repl**: eliminate var in function \_memory (gengjiawen) [#26496](https://github.com/nodejs/node/pull/26496)
* \[[`600929d4f8`](https://github.com/nodejs/node/commit/600929d4f8)] - **repl**: simplify regex expression (gengjiawen) [#26496](https://github.com/nodejs/node/pull/26496)
* \[[`1080a1af3d`](https://github.com/nodejs/node/commit/1080a1af3d)] - **repl**: remove redundant escape (gengjiawen) [#26496](https://github.com/nodejs/node/pull/26496)
* \[[`b9188d473b`](https://github.com/nodejs/node/commit/b9188d473b)] - **(SEMVER-MINOR)** **repl**: support top-level for-await-of (Shelley Vohr) [#23841](https://github.com/nodejs/node/pull/23841)
* \[[`b9ea23c0ed`](https://github.com/nodejs/node/commit/b9ea23c0ed)] - **src**: add WeakReference utility (Anna Henningsen) [#25993](https://github.com/nodejs/node/pull/25993)
* \[[`57469e62d9`](https://github.com/nodejs/node/commit/57469e62d9)] - **src**: extract common sockaddr creation code (Daniel Bevenius) [#26070](https://github.com/nodejs/node/pull/26070)
* \[[`bc5e04b5f7`](https://github.com/nodejs/node/commit/bc5e04b5f7)] - **src**: fix race condition in `~NodeTraceBuffer` (Anna Henningsen) [#25896](https://github.com/nodejs/node/pull/25896)
* \[[`51ec21cb17`](https://github.com/nodejs/node/commit/51ec21cb17)] - **src**: remove unused field in node\_http2.h (gengjiawen) [#25727](https://github.com/nodejs/node/pull/25727)
* \[[`550af6d72f`](https://github.com/nodejs/node/commit/550af6d72f)] - **src**: remove unnecessary call to SSL\_get\_mode (Sam Roberts) [#25711](https://github.com/nodejs/node/pull/25711)
* \[[`b31035d0b3`](https://github.com/nodejs/node/commit/b31035d0b3)] - **src**: fix macro duplicate declaration in env.h (gengjiawen) [#25703](https://github.com/nodejs/node/pull/25703)
* \[[`cd4a932af3`](https://github.com/nodejs/node/commit/cd4a932af3)] - **src**: remove outdated `Neuter()` call in `node_buffer.cc` (Anna Henningsen) [#25479](https://github.com/nodejs/node/pull/25479)
* \[[`883d61c7ae`](https://github.com/nodejs/node/commit/883d61c7ae)] - **src**: trace\_events: fix race with metadata events (Ali Ijaz Sheikh) [#25235](https://github.com/nodejs/node/pull/25235)
* \[[`7655253251`](https://github.com/nodejs/node/commit/7655253251)] - **src**: remove unused method declaration (Ben Noordhuis) [#25329](https://github.com/nodejs/node/pull/25329)
* \[[`f5e4a1e9d8`](https://github.com/nodejs/node/commit/f5e4a1e9d8)] - **src**: remove unused variable from string\_search.h (Anna Henningsen) [#25139](https://github.com/nodejs/node/pull/25139)
* \[[`5d5ac23bb7`](https://github.com/nodejs/node/commit/5d5ac23bb7)] - **src**: do not leak NodeTraceStateObserver (Anna Henningsen) [#25180](https://github.com/nodejs/node/pull/25180)
* \[[`870549b8ac`](https://github.com/nodejs/node/commit/870549b8ac)] - **src**: port GetLoadedLibraries for freebsd (Gireesh Punathil) [#25106](https://github.com/nodejs/node/pull/25106)
* \[[`74b034fe94`](https://github.com/nodejs/node/commit/74b034fe94)] - **src**: schedule destroy hooks in BeforeExit early during bootstrap (Joyee Cheung) [#25020](https://github.com/nodejs/node/pull/25020)
* \[[`42c26a6afb`](https://github.com/nodejs/node/commit/42c26a6afb)] - **src**: remove unused variable in class InspectorSocketServer (gengjiawen) [#26633](https://github.com/nodejs/node/pull/26633)
* \[[`84db29c93b`](https://github.com/nodejs/node/commit/84db29c93b)] - **src**: remove usage of deprecated IsNearDeath (Michaël Zasso) [#26630](https://github.com/nodejs/node/pull/26630)
* \[[`4274542a39`](https://github.com/nodejs/node/commit/4274542a39)] - **(SEMVER-MINOR)** **src**: deprecate AddPromiseHook() (Anna Henningsen) [#26529](https://github.com/nodejs/node/pull/26529)
* \[[`479ef60013`](https://github.com/nodejs/node/commit/479ef60013)] - **src**: remove redundant cast in util-inl.h (gengjiawen) [#26410](https://github.com/nodejs/node/pull/26410)
* \[[`44f62607a1`](https://github.com/nodejs/node/commit/44f62607a1)] - **src**: remove redundant cast in string\_search.h (gengjiawen) [#26426](https://github.com/nodejs/node/pull/26426)
* \[[`dc9f1c60e2`](https://github.com/nodejs/node/commit/dc9f1c60e2)] - **src**: remove unused function in cares\_wrap.cc (gengjiawen) [#26429](https://github.com/nodejs/node/pull/26429)
* \[[`e418b4f650`](https://github.com/nodejs/node/commit/e418b4f650)] - **src**: fix if indent in node\_http2.cc (gengjiawen) [#26396](https://github.com/nodejs/node/pull/26396)
* \[[`0bff833df9`](https://github.com/nodejs/node/commit/0bff833df9)] - **src**: remove unused struct in test\_inspector\_socket.cc (gengjiawen) [#26284](https://github.com/nodejs/node/pull/26284)
* \[[`281eb0f928`](https://github.com/nodejs/node/commit/281eb0f928)] - **src**: extra-semi warning in node\_platform.h (Jeremy Apthorp) [#26330](https://github.com/nodejs/node/pull/26330)
* \[[`0fa3a512c1`](https://github.com/nodejs/node/commit/0fa3a512c1)] - **src**: reduce to simple `const char*` in OptionsParser (ZYSzys) [#26297](https://github.com/nodejs/node/pull/26297)
* \[[`44fd3a2fce`](https://github.com/nodejs/node/commit/44fd3a2fce)] - **src**: remove already elevated Isolate namespce (Juan José Arboleda) [#26294](https://github.com/nodejs/node/pull/26294)
* \[[`5cd96b367b`](https://github.com/nodejs/node/commit/5cd96b367b)] - **src**: avoid race condition in tracing code (Anna Henningsen) [#25624](https://github.com/nodejs/node/pull/25624)
* \[[`452b6aad5a`](https://github.com/nodejs/node/commit/452b6aad5a)] - **src**: remove redundant cast in PipeWrap::Fchmod (gengjiawen) [#26242](https://github.com/nodejs/node/pull/26242)
* \[[`55d3be7e9e`](https://github.com/nodejs/node/commit/55d3be7e9e)] - **src**: simplify native immediate by using v8::Global (Anna Henningsen) [#26254](https://github.com/nodejs/node/pull/26254)
* \[[`a92286d6da`](https://github.com/nodejs/node/commit/a92286d6da)] - **src**: ensure no more platform foreground tasks after Deinit (Clemens Hammacher) [#25653](https://github.com/nodejs/node/pull/25653)
* \[[`f4be1767a5`](https://github.com/nodejs/node/commit/f4be1767a5)] - **src**: dispose of V8 platform in `process.exit()` (Anna Henningsen) [#25061](https://github.com/nodejs/node/pull/25061)
* \[[`c2dab8e642`](https://github.com/nodejs/node/commit/c2dab8e642)] - **(SEMVER-MINOR)** **src,test**: add public wrapper for Environment::GetCurrent (Shelley Vohr) [#23676](https://github.com/nodejs/node/pull/23676)
* \[[`99c555a1de`](https://github.com/nodejs/node/commit/99c555a1de)] - **stream**: ensure writable.destroy() emits error once (Luigi Pinca) [#26057](https://github.com/nodejs/node/pull/26057)
* \[[`a1b253a416`](https://github.com/nodejs/node/commit/a1b253a416)] - **(SEMVER-MINOR)** **stream**: add auto-destroy mode (Mathias Buus) [#22795](https://github.com/nodejs/node/pull/22795)
* \[[`cda0d16414`](https://github.com/nodejs/node/commit/cda0d16414)] - **test**: unskip copyfile permission test (cjihrig) [#27241](https://github.com/nodejs/node/pull/27241)
* \[[`1fc2c5bed1`](https://github.com/nodejs/node/commit/1fc2c5bed1)] - **test**: move known issue test to parallel (cjihrig) [#27241](https://github.com/nodejs/node/pull/27241)
* \[[`57eb6b2129`](https://github.com/nodejs/node/commit/57eb6b2129)] - **test**: fix error code typo (cjihrig) [#27024](https://github.com/nodejs/node/pull/27024)
* \[[`ec02117232`](https://github.com/nodejs/node/commit/ec02117232)] - **test**: add fs.watchFile() + worker.terminate() test (Anna Henningsen) [#21179](https://github.com/nodejs/node/pull/21179)
* \[[`f76776b354`](https://github.com/nodejs/node/commit/f76776b354)] - **test**: update test for libuv update (cjihrig) [#26707](https://github.com/nodejs/node/pull/26707)
* \[[`7b76acb6c8`](https://github.com/nodejs/node/commit/7b76acb6c8)] - **test**: fix expectation in test-bootstrap-modules (Myles Borins) [#27727](https://github.com/nodejs/node/pull/27727)
* \[[`583dc5f42c`](https://github.com/nodejs/node/commit/583dc5f42c)] - **test**: add known\_issues test for fs.copyFile() (Rich Trott) [#26939](https://github.com/nodejs/node/pull/26939)
* \[[`d22b9130a2`](https://github.com/nodejs/node/commit/d22b9130a2)] - **test**: add test about unencrypted PKCS#8 private key for RSA (Daiki Ihara) [#26898](https://github.com/nodejs/node/pull/26898)
* \[[`38d85623bd`](https://github.com/nodejs/node/commit/38d85623bd)] - **test**: use assert.rejects() and assert.throws() (Richard Lau) [#27207](https://github.com/nodejs/node/pull/27207)
* \[[`4733a56caf`](https://github.com/nodejs/node/commit/4733a56caf)] - **test**: move tick.js from test/async-hooks to test/common (Artur Hayrapetyan) [#23551](https://github.com/nodejs/node/pull/23551)
* \[[`fe21dd39c3`](https://github.com/nodejs/node/commit/fe21dd39c3)] - **test**: mark some known flakes (Refael Ackermann) [#27225](https://github.com/nodejs/node/pull/27225)
* \[[`3ca5f23ea7`](https://github.com/nodejs/node/commit/3ca5f23ea7)] - **test**: fix zlib-brotli output assumptions (Adam Majer) [#25697](https://github.com/nodejs/node/pull/25697)
* \[[`1afd614104`](https://github.com/nodejs/node/commit/1afd614104)] - **test**: rewrite fs {f}utimes test file (Jeremiah Senkpiel) [#25656](https://github.com/nodejs/node/pull/25656)
* \[[`48505d8321`](https://github.com/nodejs/node/commit/48505d8321)] - **test**: remove unused uncaughtException handler (Anna Henningsen) [#25641](https://github.com/nodejs/node/pull/25641)
* \[[`301f5fb32e`](https://github.com/nodejs/node/commit/301f5fb32e)] - **test**: fix sequential/test-performance delay (Anatoli Papirovski) [#25695](https://github.com/nodejs/node/pull/25695)
* \[[`52d321d836`](https://github.com/nodejs/node/commit/52d321d836)] - **test**: remove common.isOSXMojave (Rich Trott) [#25658](https://github.com/nodejs/node/pull/25658)
* \[[`6ba4ac007a`](https://github.com/nodejs/node/commit/6ba4ac007a)] - **test**: remove known\_issues/test-cluster-bind-privileged-port (Rich Trott) [#25649](https://github.com/nodejs/node/pull/25649)
* \[[`5d69e69b38`](https://github.com/nodejs/node/commit/5d69e69b38)] - **test**: fix pummel/test-exec (Rich Trott) [#25677](https://github.com/nodejs/node/pull/25677)
* \[[`710f650032`](https://github.com/nodejs/node/commit/710f650032)] - **test**: add stdio checks to cp-exec-maxBuffer (Jeremiah Senkpiel) [#24951](https://github.com/nodejs/node/pull/24951)
* \[[`fbf8e60679`](https://github.com/nodejs/node/commit/fbf8e60679)] - **test**: revoke flaky designation for tests (Gireesh Punathil) [#25611](https://github.com/nodejs/node/pull/25611)
* \[[`554b562d2b`](https://github.com/nodejs/node/commit/554b562d2b)] - **test**: remove potential race condition in https renegotiation test (Rich Trott) [#25601](https://github.com/nodejs/node/pull/25601)
* \[[`b27e3c8b89`](https://github.com/nodejs/node/commit/b27e3c8b89)] - **test**: replace common.PORT with `0` in https renegotiation test (Rich Trott) [#25599](https://github.com/nodejs/node/pull/25599)
* \[[`faf1a18640`](https://github.com/nodejs/node/commit/faf1a18640)] - **test**: changed function to arrow function (yathamravali) [#25441](https://github.com/nodejs/node/pull/25441)
* \[[`7bae3d841b`](https://github.com/nodejs/node/commit/7bae3d841b)] - **test**: use stronger curves for keygen (Daniel Bevenius) [#25564](https://github.com/nodejs/node/pull/25564)
* \[[`b4b4c117fd`](https://github.com/nodejs/node/commit/b4b4c117fd)] - **test**: relax chunk count expectations (Gireesh Punathil) [#25415](https://github.com/nodejs/node/pull/25415)
* \[[`6b6c628b02`](https://github.com/nodejs/node/commit/6b6c628b02)] - **test**: improve code coverage for i18n (Michael Dawson) [#25428](https://github.com/nodejs/node/pull/25428)
* \[[`d5316e0a1b`](https://github.com/nodejs/node/commit/d5316e0a1b)] - **test**: use fipsMode instead of common.hasFipsCrypto (Daniel Bevenius) [#25510](https://github.com/nodejs/node/pull/25510)
* \[[`48482b02f8`](https://github.com/nodejs/node/commit/48482b02f8)] - **test**: do not use uninitialized memory in common flags check (Anna Henningsen) [#25475](https://github.com/nodejs/node/pull/25475)
* \[[`3e9d9927ee`](https://github.com/nodejs/node/commit/3e9d9927ee)] - **test**: prepare test-hash-seed for CI (Rich Trott) [#25522](https://github.com/nodejs/node/pull/25522)
* \[[`1592ebd652`](https://github.com/nodejs/node/commit/1592ebd652)] - **test**: refactor min() in test-hash-seed (Rich Trott) [#25522](https://github.com/nodejs/node/pull/25522)
* \[[`f4da641c31`](https://github.com/nodejs/node/commit/f4da641c31)] - **test**: add check for wrk to test-keep-alive (Rich Trott) [#25516](https://github.com/nodejs/node/pull/25516)
* \[[`3fcc44d46d`](https://github.com/nodejs/node/commit/3fcc44d46d)] - **test**: fix test-repl timeout and tmpdir refresh (Brian White) [#25425](https://github.com/nodejs/node/pull/25425)
* \[[`e5b305d4fe`](https://github.com/nodejs/node/commit/e5b305d4fe)] - **test**: refactor pummel/test-net-pingpong (Rich Trott) [#25485](https://github.com/nodejs/node/pull/25485)
* \[[`47cf1a2f70`](https://github.com/nodejs/node/commit/47cf1a2f70)] - **test**: refactor pummel/test-net-many-clients (Rich Trott) [#25485](https://github.com/nodejs/node/pull/25485)
* \[[`017b99a881`](https://github.com/nodejs/node/commit/017b99a881)] - **test**: refactor pummel/test-net-connect-econnrefused (Rich Trott) [#25485](https://github.com/nodejs/node/pull/25485)
* \[[`e3437131b6`](https://github.com/nodejs/node/commit/e3437131b6)] - **test**: refactor pummel/test-keep-alive (Rich Trott) [#25485](https://github.com/nodejs/node/pull/25485)
* \[[`1b6dfac1f0`](https://github.com/nodejs/node/commit/1b6dfac1f0)] - **test**: add test for fs.lchmod (ZYSzys) [#25439](https://github.com/nodejs/node/pull/25439)
* \[[`0a80e61e0f`](https://github.com/nodejs/node/commit/0a80e61e0f)] - **test**: rework ephemeralkeyinfo to run in parallel (Sam Roberts) [#25409](https://github.com/nodejs/node/pull/25409)
* \[[`266a07d09d`](https://github.com/nodejs/node/commit/266a07d09d)] - **test**: check for tls renegotiation errors (Sam Roberts) [#25437](https://github.com/nodejs/node/pull/25437)
* \[[`8bebbd6ec1`](https://github.com/nodejs/node/commit/8bebbd6ec1)] - **test**: fix test-net-connect-econnrefused (again) (Rich Trott) [#25438](https://github.com/nodejs/node/pull/25438)
* \[[`d2df34d870`](https://github.com/nodejs/node/commit/d2df34d870)] - **test**: remove unnecessary skipIfWorker() (Rich Trott) [#25427](https://github.com/nodejs/node/pull/25427)
* \[[`9833bffaca`](https://github.com/nodejs/node/commit/9833bffaca)] - **test**: improve test coverage of native crypto code (Tobias Nießen) [#25400](https://github.com/nodejs/node/pull/25400)
* \[[`c8153ce411`](https://github.com/nodejs/node/commit/c8153ce411)] - **test**: move require('https') to after crypto check (Daniel Bevenius) [#25388](https://github.com/nodejs/node/pull/25388)
* \[[`05f9873de4`](https://github.com/nodejs/node/commit/05f9873de4)] - **test**: fix test-net-connect-econnrefused (Rich Trott) [#25389](https://github.com/nodejs/node/pull/25389)
* \[[`771213ad18`](https://github.com/nodejs/node/commit/771213ad18)] - **test**: remove test/pummel/test-http-client-reconnect-bug.js (Rich Trott) [#25387](https://github.com/nodejs/node/pull/25387)
* \[[`82dd321e91`](https://github.com/nodejs/node/commit/82dd321e91)] - **test**: refactor test-fs-watch-non-recursive (Rich Trott) [#25386](https://github.com/nodejs/node/pull/25386)
* \[[`82bc4ac226`](https://github.com/nodejs/node/commit/82bc4ac226)] - **test**: fix test/pummel/test-fs-watch-non-recursive.js (Rich Trott) [#25386](https://github.com/nodejs/node/pull/25386)
* \[[`af2d22a804`](https://github.com/nodejs/node/commit/af2d22a804)] - **test**: fix test/pummel/test-fs-watch-file.js (Rich Trott) [#25384](https://github.com/nodejs/node/pull/25384)
* \[[`95f311c664`](https://github.com/nodejs/node/commit/95f311c664)] - **test**: fix test/pummel/test-fs-largefile.js (Rich Trott) [#25372](https://github.com/nodejs/node/pull/25372)
* \[[`c103e98ad6`](https://github.com/nodejs/node/commit/c103e98ad6)] - **test**: more tests for internal/util/types (ZYSzys) [#25225](https://github.com/nodejs/node/pull/25225)
* \[[`4a22299bb2`](https://github.com/nodejs/node/commit/4a22299bb2)] - **test**: tune test-uv-threadpool-schedule (Rich Trott) [#25358](https://github.com/nodejs/node/pull/25358)
* \[[`26165ac1b6`](https://github.com/nodejs/node/commit/26165ac1b6)] - **test**: remove redundant fchmod test (ZYSzys) [#25282](https://github.com/nodejs/node/pull/25282)
* \[[`f58dbb35b1`](https://github.com/nodejs/node/commit/f58dbb35b1)] - **test**: move test-tls-securepair-client out of pummel (Rich Trott) [#25222](https://github.com/nodejs/node/pull/25222)
* \[[`26b69fd050`](https://github.com/nodejs/node/commit/26b69fd050)] - **test**: fix test-tls-securepair-client (Rich Trott) [#25222](https://github.com/nodejs/node/pull/25222)
* \[[`374a07d4a7`](https://github.com/nodejs/node/commit/374a07d4a7)] - **test**: http2 origin length ERR\_HTTP2\_ORIGIN\_LENGTH (Furqan Shaikh) [#25296](https://github.com/nodejs/node/pull/25296)
* \[[`acd6915299`](https://github.com/nodejs/node/commit/acd6915299)] - **test**: fix test-benchmark-zlib (Rich Trott) [#25365](https://github.com/nodejs/node/pull/25365)
* \[[`8a4fe98ec9`](https://github.com/nodejs/node/commit/8a4fe98ec9)] - **test**: set umask explicitly (Thomas Chung) [#25213](https://github.com/nodejs/node/pull/25213)
* \[[`d9aa19f98e`](https://github.com/nodejs/node/commit/d9aa19f98e)] - **test**: make sure tmpdir is created before using it (Joyee Cheung) [#25224](https://github.com/nodejs/node/pull/25224)
* \[[`4155b7431a`](https://github.com/nodejs/node/commit/4155b7431a)] - **test**: remove unused --expose-native-as V8 flag (peterwmwong) [#25275](https://github.com/nodejs/node/pull/25275)
* \[[`5095d6cb70`](https://github.com/nodejs/node/commit/5095d6cb70)] - **test**: mark test-util-callbackify flaky on AIX (Rich Trott) [#25284](https://github.com/nodejs/node/pull/25284)
* \[[`9eb677b21f`](https://github.com/nodejs/node/commit/9eb677b21f)] - **test**: slightly refactor test-child-process-execsync (Denys Otrishko) [#25227](https://github.com/nodejs/node/pull/25227)
* \[[`fcc03c1d44`](https://github.com/nodejs/node/commit/fcc03c1d44)] - **test**: remove try/catch in common.isMainThread (Rich Trott) [#25249](https://github.com/nodejs/node/pull/25249)
* \[[`d44a93ad94`](https://github.com/nodejs/node/commit/d44a93ad94)] - **test**: regression test for uv threadpool congestion (Gireesh Punathil) [#23099](https://github.com/nodejs/node/pull/23099)
* \[[`0fe72b88a0`](https://github.com/nodejs/node/commit/0fe72b88a0)] - **test**: mark two tests as flaky in AIX (Gireesh Punathil) [#25126](https://github.com/nodejs/node/pull/25126)
* \[[`19ed5c7428`](https://github.com/nodejs/node/commit/19ed5c7428)] - **test**: refactor stdio handling in test-esm-cjs-main (Richard Lau) [#25169](https://github.com/nodejs/node/pull/25169)
* \[[`5f72f393f5`](https://github.com/nodejs/node/commit/5f72f393f5)] - **test**: refactor test-esm-namespace.mjs (Rich Trott) [#25117](https://github.com/nodejs/node/pull/25117)
* \[[`6014b476c3`](https://github.com/nodejs/node/commit/6014b476c3)] - **test**: fix test-tls-session-timeout (Rich Trott) [#25188](https://github.com/nodejs/node/pull/25188)
* \[[`facf36e6df`](https://github.com/nodejs/node/commit/facf36e6df)] - **test**: mark test-trace-events-api-worker-disabled flaky (Rich Trott) [#25197](https://github.com/nodejs/node/pull/25197)
* \[[`8d791ab001`](https://github.com/nodejs/node/commit/8d791ab001)] - **test**: remove Files: comment processing from Python test runner (Rich Trott) [#25183](https://github.com/nodejs/node/pull/25183)
* \[[`424f254e15`](https://github.com/nodejs/node/commit/424f254e15)] - **test**: add hasCrypto check to common flags check (Daniel Bevenius) [#25147](https://github.com/nodejs/node/pull/25147)
* \[[`ead4bb6fb5`](https://github.com/nodejs/node/commit/ead4bb6fb5)] - **test**: verify input flags (Ruben Bridgewater) [#24876](https://github.com/nodejs/node/pull/24876)
* \[[`1ff2f4b6a7`](https://github.com/nodejs/node/commit/1ff2f4b6a7)] - **test**: add signal check to test-esm-cjs-main (Rich Trott) [#25073](https://github.com/nodejs/node/pull/25073)
* \[[`20980a3a28`](https://github.com/nodejs/node/commit/20980a3a28)] - **(SEMVER-MINOR)** **test**: test TLS client authentication (Sam Roberts) [#24733](https://github.com/nodejs/node/pull/24733)
* \[[`f015eec2ba`](https://github.com/nodejs/node/commit/f015eec2ba)] - **test**: complete console.assert() coverage (Rich Trott) [#26827](https://github.com/nodejs/node/pull/26827)
* \[[`9ca4ce3cc3`](https://github.com/nodejs/node/commit/9ca4ce3cc3)] - **test**: fix test-console-stdio-setters to test setters (Rich Trott) [#26796](https://github.com/nodejs/node/pull/26796)
* \[[`44660c1757`](https://github.com/nodejs/node/commit/44660c1757)] - **test**: optimize test-http2-large-file (Rich Trott) [#26737](https://github.com/nodejs/node/pull/26737)
* \[[`8855395a19`](https://github.com/nodejs/node/commit/8855395a19)] - **test**: fix test case in test-http2-respond-file-304.js (gengjiawen) [#26565](https://github.com/nodejs/node/pull/26565)
* \[[`4378042452`](https://github.com/nodejs/node/commit/4378042452)] - **test**: use semicolon for clarity (gengjiawen) [#26566](https://github.com/nodejs/node/pull/26566)
* \[[`7f3b27fa4a`](https://github.com/nodejs/node/commit/7f3b27fa4a)] - **test**: fix test by removing node-inspect/lib/\_inspect (Ruben Bridgewater) [#26619](https://github.com/nodejs/node/pull/26619)
* \[[`6bc7fd9b3c`](https://github.com/nodejs/node/commit/6bc7fd9b3c)] - **test**: fix compiler warning in test\_string.c (Daniel Bevenius) [#26539](https://github.com/nodejs/node/pull/26539)
* \[[`f0acdfd445`](https://github.com/nodejs/node/commit/f0acdfd445)] - **test**: mark `test-worker-prof` as Flaky on ARM (Refael Ackermann) [#26557](https://github.com/nodejs/node/pull/26557)
* \[[`cc0bb02e86`](https://github.com/nodejs/node/commit/cc0bb02e86)] - **test**: rewrite ocsp test to run in parallel (Sam Roberts) [#26460](https://github.com/nodejs/node/pull/26460)
* \[[`ee9694668b`](https://github.com/nodejs/node/commit/ee9694668b)] - **test**: improve code coverage in timers (Juan José Arboleda) [#26310](https://github.com/nodejs/node/pull/26310)
* \[[`60880d79a5`](https://github.com/nodejs/node/commit/60880d79a5)] - **test**: remove flaky designation for test\_threadsafe\_function (Rich Trott) [#26403](https://github.com/nodejs/node/pull/26403)
* \[[`6d4731e46e`](https://github.com/nodejs/node/commit/6d4731e46e)] - **test**: improve test coverage in perf\_hooks (Juan José Arboleda) [#26290](https://github.com/nodejs/node/pull/26290)
* \[[`7d6afb3dbf`](https://github.com/nodejs/node/commit/7d6afb3dbf)] - **test**: remove duplicated buffer negative allocation test (ZYSzys) [#26160](https://github.com/nodejs/node/pull/26160)
* \[[`dcf1310351`](https://github.com/nodejs/node/commit/dcf1310351)] - **test**: only inspect on failure (Ruben Bridgewater) [#26360](https://github.com/nodejs/node/pull/26360)
* \[[`a87c605e1c`](https://github.com/nodejs/node/commit/a87c605e1c)] - **test**: remove s\_client from test-tls-ci-reneg-attack (Rich Trott) [#25700](https://github.com/nodejs/node/pull/25700)
* \[[`3fab8be211`](https://github.com/nodejs/node/commit/3fab8be211)] - **test**: replace Google servers with localhost (Rich Trott) [#25694](https://github.com/nodejs/node/pull/25694)
* \[[`7cceecfd52`](https://github.com/nodejs/node/commit/7cceecfd52)] - **test**: increase error information in test-cli-syntax-\* (Rich Trott) [#25021](https://github.com/nodejs/node/pull/25021)
* \[[`92792f04be`](https://github.com/nodejs/node/commit/92792f04be)] - **test**: split test-cli-syntax into multiple tests (Rich Trott) [#24922](https://github.com/nodejs/node/pull/24922)
* \[[`fe8e07ddd9`](https://github.com/nodejs/node/commit/fe8e07ddd9)] - **(SEMVER-MINOR)** **test**: assert on client and server side seperately (Sam Roberts) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`26288c8ab7`](https://github.com/nodejs/node/commit/26288c8ab7)] - **test**: fix module loading error for AIX 7.1 (Richard Lau) [#25418](https://github.com/nodejs/node/pull/25418)
* \[[`38c9d2bfea`](https://github.com/nodejs/node/commit/38c9d2bfea)] - **test**: add missing tmpdir.refresh() in recently-added test (Rich Trott) [#25098](https://github.com/nodejs/node/pull/25098)
* \[[`3eab58f3ed`](https://github.com/nodejs/node/commit/3eab58f3ed)] - **test,console**: add testing for monkeypatching of console stdio (Rich Trott) [#26561](https://github.com/nodejs/node/pull/26561)
* \[[`2319bc55ca`](https://github.com/nodejs/node/commit/2319bc55ca)] - **(SEMVER-MINOR)** **tls**: make tls.connect() accept a timeout option (Luigi Pinca) [#25517](https://github.com/nodejs/node/pull/25517)
* \[[`858a42e4ce`](https://github.com/nodejs/node/commit/858a42e4ce)] - **tls**: do not confuse TLSSocket and Socket (Sam Roberts) [#25153](https://github.com/nodejs/node/pull/25153)
* \[[`8dd8033519`](https://github.com/nodejs/node/commit/8dd8033519)] - **(SEMVER-MINOR)** **tls**: workaround handshakedone in renegotiation (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`d3ebad2d6d`](https://github.com/nodejs/node/commit/d3ebad2d6d)] - **(SEMVER-MINOR)** **tls**: add min/max protocol version options (Sam Roberts) [#24405](https://github.com/nodejs/node/pull/24405)
* \[[`e01f3d362a`](https://github.com/nodejs/node/commit/e01f3d362a)] - **tools**: add `12.x` to alternative docs versions (Richard Lau) [#27658](https://github.com/nodejs/node/pull/27658)
* \[[`0fd4b35336`](https://github.com/nodejs/node/commit/0fd4b35336)] - **tools**: update LICENSE and tools/icu/current\_ver.dep (Ujjwal Sharma) [#27361](https://github.com/nodejs/node/pull/27361)
* \[[`c6a2be2d68`](https://github.com/nodejs/node/commit/c6a2be2d68)] - **tools**: make test.py Queue part Python 3 compatible (gengjiawen) [#25701](https://github.com/nodejs/node/pull/25701)
* \[[`40f5d15468`](https://github.com/nodejs/node/commit/40f5d15468)] - **tools**: make mkssldef.py Python 3 compatible (Sakthipriyan Vairamani (thefourtheye)) [#25584](https://github.com/nodejs/node/pull/25584)
* \[[`f8800c90b1`](https://github.com/nodejs/node/commit/f8800c90b1)] - **tools**: improve valgrind support (Anna Henningsen) [#25498](https://github.com/nodejs/node/pull/25498)
* \[[`b8b585376e`](https://github.com/nodejs/node/commit/b8b585376e)] - **tools**: update ESLint to 5.12.1 (cjihrig) [#25573](https://github.com/nodejs/node/pull/25573)
* \[[`e6d1eb3f77`](https://github.com/nodejs/node/commit/e6d1eb3f77)] - **tools**: lint for use of internalBinding() (cjihrig) [#25395](https://github.com/nodejs/node/pull/25395)
* \[[`21500a81fc`](https://github.com/nodejs/node/commit/21500a81fc)] - **tools**: update crypo check rule (cjihrig) [#25399](https://github.com/nodejs/node/pull/25399)
* \[[`a254b930f5`](https://github.com/nodejs/node/commit/a254b930f5)] - **tools**: add openssl-cli to macos-firewall.sh (Daniel Bevenius) [#25385](https://github.com/nodejs/node/pull/25385)
* \[[`21dc7cc3ac`](https://github.com/nodejs/node/commit/21dc7cc3ac)] - **tools**: update ESLint to 5.12.0 (cjihrig) [#25347](https://github.com/nodejs/node/pull/25347)
* \[[`225dfed85f`](https://github.com/nodejs/node/commit/225dfed85f)] - **tools**: replace NULL with nullptr (Juan José Arboleda) [#25179](https://github.com/nodejs/node/pull/25179)
* \[[`b7095ba764`](https://github.com/nodejs/node/commit/b7095ba764)] - **tools**: enable no-useless-catch lint rule (cjihrig) [#25236](https://github.com/nodejs/node/pull/25236)
* \[[`0098cde626`](https://github.com/nodejs/node/commit/0098cde626)] - **tools**: update ESLint to 5.11.1 (cjihrig) [#25236](https://github.com/nodejs/node/pull/25236)
* \[[`629fb36dce`](https://github.com/nodejs/node/commit/629fb36dce)] - **tools**: update ESLint to 5.11.0 (cjihrig) [#25191](https://github.com/nodejs/node/pull/25191)
* \[[`6e329a8dac`](https://github.com/nodejs/node/commit/6e329a8dac)] - **tools**: update certdata.txt (Sam Roberts) [#25113](https://github.com/nodejs/node/pull/25113)
* \[[`3445080c33`](https://github.com/nodejs/node/commit/3445080c33)] - **tools**: tidy function arguments in eslint rules (Rich Trott) [#26668](https://github.com/nodejs/node/pull/26668)
* \[[`700df16a04`](https://github.com/nodejs/node/commit/700df16a04)] - **tools**: update to mdast-util-to-hast v3.0.2 (Sam Ruby) [#22140](https://github.com/nodejs/node/pull/22140)
* \[[`6586003bfe`](https://github.com/nodejs/node/commit/6586003bfe)] - **tools**: fix test.py --shell (Yang Guo) [#26449](https://github.com/nodejs/node/pull/26449)
* \[[`481929653e`](https://github.com/nodejs/node/commit/481929653e)] - **tools**: roll inspector\_protocol to f67ec5 (Pavel Feldman) [#26303](https://github.com/nodejs/node/pull/26303)
* \[[`416aa6e4e7`](https://github.com/nodejs/node/commit/416aa6e4e7)] - **tools**: update extend to 3.0.2 (Rich Trott) [#26392](https://github.com/nodejs/node/pull/26392)
* \[[`d4a8769b31`](https://github.com/nodejs/node/commit/d4a8769b31)] - **tools**: remove unneeded .gitignore entries (Rich Trott) [#26370](https://github.com/nodejs/node/pull/26370)
* \[[`3ded3df714`](https://github.com/nodejs/node/commit/3ded3df714)] - **(SEMVER-MINOR)** **tools, icu**: actually failover if there are multiple URLs (Steven R. Loomis) [#23715](https://github.com/nodejs/node/pull/23715)
* \[[`437a90cfe4`](https://github.com/nodejs/node/commit/437a90cfe4)] - **trace\_events**: remove usage of require('util') (dnlup) [#26822](https://github.com/nodejs/node/pull/26822)
* \[[`4285b57e78`](https://github.com/nodejs/node/commit/4285b57e78)] - **(SEMVER-MINOR)** **tty**: add hasColors function (Ruben Bridgewater) [#26247](https://github.com/nodejs/node/pull/26247)
* \[[`3f51a60092`](https://github.com/nodejs/node/commit/3f51a60092)] - **url**: return backslashes from fileURLToPath on win (Kevin Smith) [#25349](https://github.com/nodejs/node/pull/25349)
* \[[`ca4f0dbec1`](https://github.com/nodejs/node/commit/ca4f0dbec1)] - **(SEMVER-MINOR)** **url**: support LF, CR and TAB in pathToFileURL (Charles Samborski) [#23720](https://github.com/nodejs/node/pull/23720)
* \[[`65392be665`](https://github.com/nodejs/node/commit/65392be665)] - **util**: fixes type in argument type validation error (Ankur Oberoi) [#25103](https://github.com/nodejs/node/pull/25103)
* \[[`4e2ceba908`](https://github.com/nodejs/node/commit/4e2ceba908)] - **util**: fix util.inspect with proxied function (Weijia Wang) [#25244](https://github.com/nodejs/node/pull/25244)
* \[[`5dd31bcf07`](https://github.com/nodejs/node/commit/5dd31bcf07)] - **util**: simplify code (Kazushi Kitaya) [#25162](https://github.com/nodejs/node/pull/25162)
* \[[`3f281b2d70`](https://github.com/nodejs/node/commit/3f281b2d70)] - **util**: remove todo (Ruben Bridgewater) [#24982](https://github.com/nodejs/node/pull/24982)
* \[[`d9d31e8d51`](https://github.com/nodejs/node/commit/d9d31e8d51)] - **(SEMVER-MINOR)** **vm**: allow `cachedData` to also be TypedArray|DataView (Benjamin Chen) [#22921](https://github.com/nodejs/node/pull/22921)
* \[[`91c4d280f4`](https://github.com/nodejs/node/commit/91c4d280f4)] - **win, build**: fix building addons on Windows (Bartosz Sosnowski) [#25108](https://github.com/nodejs/node/pull/25108)
* \[[`680ef36675`](https://github.com/nodejs/node/commit/680ef36675)] - **win,build**: update Windows build documentation (Jon Kunkee) [#25995](https://github.com/nodejs/node/pull/25995)
* \[[`fa74b3eb03`](https://github.com/nodejs/node/commit/fa74b3eb03)] - **win,build**: scope NASM warning to only x64 and x86 (Jon Kunkee) [#25995](https://github.com/nodejs/node/pull/25995)
* \[[`7e89684b8c`](https://github.com/nodejs/node/commit/7e89684b8c)] - **win,build**: add ARM64 sections to common.gypi (Jon Kunkee) [#25995](https://github.com/nodejs/node/pull/25995)
* \[[`103635c23b`](https://github.com/nodejs/node/commit/103635c23b)] - **win,build**: add ARM64 support to vcbuild.bat (Jon Kunkee) [#25995](https://github.com/nodejs/node/pull/25995)
* \[[`a762907f8e`](https://github.com/nodejs/node/commit/a762907f8e)] - **win,build**: add arbitrary and binlog options (Jon Kunkee) [#25994](https://github.com/nodejs/node/pull/25994)
* \[[`53e9c8508c`](https://github.com/nodejs/node/commit/53e9c8508c)] - **(SEMVER-MINOR)** **zlib**: add brotli support (Anna Henningsen) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`dd8d1dabd7`](https://github.com/nodejs/node/commit/dd8d1dabd7)] - **zlib**: split JS code as prep for non-zlib-backed streams (Anna Henningsen) [#24939](https://github.com/nodejs/node/pull/24939)

## 2019-03-05, Version 10.15.3 'Dubnium' (LTS), @BethGriggs

### Notable Changes

* **doc**
  * add antsmartian to collaborators (Anto Aravinth) [#24655](https://github.com/nodejs/node/pull/24655)
* **http**
  * fix error check in Execute() (Brian White) [#25863](https://github.com/nodejs/node/pull/25863)
* **stream**
  * fix end-of-stream for HTTP/2 (Anna Henningsen) [#24926](https://github.com/nodejs/node/pull/24926)

### Commits

* \[[`732088dd44`](https://github.com/nodejs/node/commit/732088dd44)] - **assert**: fix loose deepEqual map comparison (Ruben Bridgewater) [#24749](https://github.com/nodejs/node/pull/24749)
* \[[`5a81a4f6cd`](https://github.com/nodejs/node/commit/5a81a4f6cd)] - **assert,util**: fix sparse array comparison (Ruben Bridgewater) [#24749](https://github.com/nodejs/node/pull/24749)
* \[[`bd08ede3ab`](https://github.com/nodejs/node/commit/bd08ede3ab)] - **buffer**: remove checkNumberType() (cjihrig) [#24815](https://github.com/nodejs/node/pull/24815)
* \[[`15756e0acc`](https://github.com/nodejs/node/commit/15756e0acc)] - **build**: set `-blibpath:` for AIX (Richard Lau) [#25447](https://github.com/nodejs/node/pull/25447)
* \[[`fde56fa748`](https://github.com/nodejs/node/commit/fde56fa748)] - **build**: make lint-addon-docs run only if needed (Daniel Bevenius) [#24993](https://github.com/nodejs/node/pull/24993)
* \[[`8d4d3963e0`](https://github.com/nodejs/node/commit/8d4d3963e0)] - **build**: fix compiler version detection (Richard Lau) [#24879](https://github.com/nodejs/node/pull/24879)
* \[[`552a5c080a`](https://github.com/nodejs/node/commit/552a5c080a)] - **build**: add '.git' to 'make lint-py' exclude list (cclauss) [#24802](https://github.com/nodejs/node/pull/24802)
* \[[`02e9a93d2c`](https://github.com/nodejs/node/commit/02e9a93d2c)] - **build**: fix check-xz for platforms defaulting to sh (Rod Vagg) [#24841](https://github.com/nodejs/node/pull/24841)
* \[[`920cab76cf`](https://github.com/nodejs/node/commit/920cab76cf)] - **build**: make tar.xz creation opt-out, fail if no xz (Rod Vagg) [#24551](https://github.com/nodejs/node/pull/24551)
* \[[`b72bc11a93`](https://github.com/nodejs/node/commit/b72bc11a93)] - **build**: fix line length off by one error (Ruben Bridgewater) [#24748](https://github.com/nodejs/node/pull/24748)
* \[[`18d81c94a6`](https://github.com/nodejs/node/commit/18d81c94a6)] - **build**: add line break as soon tests are done (Ruben Bridgewater) [#24748](https://github.com/nodejs/node/pull/24748)
* \[[`c57008e549`](https://github.com/nodejs/node/commit/c57008e549)] - **build**: fix c++ code coverage on macOS (Refael Ackermann) [#24520](https://github.com/nodejs/node/pull/24520)
* \[[`95a3b3e142`](https://github.com/nodejs/node/commit/95a3b3e142)] - **build**: replace `-not` with `!` in `find` (Rich Trott) [#24635](https://github.com/nodejs/node/pull/24635)
* \[[`32d93cde01`](https://github.com/nodejs/node/commit/32d93cde01)] - **build, tools, win**: add .S files support to GYP (Bartosz Sosnowski) [#24553](https://github.com/nodejs/node/pull/24553)
* \[[`a2155e1010`](https://github.com/nodejs/node/commit/a2155e1010)] - **crypto**: harden bignum-to-binary conversions (Ben Noordhuis) [#24719](https://github.com/nodejs/node/pull/24719)
* \[[`6f4e30d029`](https://github.com/nodejs/node/commit/6f4e30d029)] - **crypto**: convert to arrow function (yosuke ota) [#24597](https://github.com/nodejs/node/pull/24597)
* \[[`3b9fd0881a`](https://github.com/nodejs/node/commit/3b9fd0881a)] - **deps**: V8: cherry-pick 3cc6919 (milad) [#25872](https://github.com/nodejs/node/pull/25872)
* \[[`70322ea2ca`](https://github.com/nodejs/node/commit/70322ea2ca)] - **deps**: V8: cherry-pick d0468de (Milad Farazmand) [#25827](https://github.com/nodejs/node/pull/25827)
* \[[`c9a3e401da`](https://github.com/nodejs/node/commit/c9a3e401da)] - **deps**: cherry-pick d9fbfeb from upstream V8 (Alexey Kozyatinskiy) [#25330](https://github.com/nodejs/node/pull/25330)
* \[[`e20e3472a4`](https://github.com/nodejs/node/commit/e20e3472a4)] - **deps**: V8: backport 442977e (Ali Ijaz Sheikh) [#25242](https://github.com/nodejs/node/pull/25242)
* \[[`8af4f44130`](https://github.com/nodejs/node/commit/8af4f44130)] - **dns**: simplify dns.promises warning logic (cjihrig) [#24788](https://github.com/nodejs/node/pull/24788)
* \[[`cfd5773f8d`](https://github.com/nodejs/node/commit/cfd5773f8d)] - **doc**: document fs.write limitation with TTY (Matteo Collina) [#24571](https://github.com/nodejs/node/pull/24571)
* \[[`89ba5f41c8`](https://github.com/nodejs/node/commit/89ba5f41c8)] - **doc**: revise "Breaking Changes" section of Collaborator Guide (Rich Trott) [#25071](https://github.com/nodejs/node/pull/25071)
* \[[`7382e8f648`](https://github.com/nodejs/node/commit/7382e8f648)] - **doc**: fix node.1 --http-parser sort order (cjihrig) [#25045](https://github.com/nodejs/node/pull/25045)
* \[[`66e6c2a88b`](https://github.com/nodejs/node/commit/66e6c2a88b)] - **doc**: add EventTarget link to worker\_threads (Azard) [#25058](https://github.com/nodejs/node/pull/25058)
* \[[`d1f19a033c`](https://github.com/nodejs/node/commit/d1f19a033c)] - **doc**: make README formatting more consistent (wenjun ye) [#25003](https://github.com/nodejs/node/pull/25003)
* \[[`1880f23ed2`](https://github.com/nodejs/node/commit/1880f23ed2)] - **doc**: add codebytere's info to release team (Shelley Vohr) [#25022](https://github.com/nodejs/node/pull/25022)
* \[[`8f434414a4`](https://github.com/nodejs/node/commit/8f434414a4)] - **doc**: revise internal vs. public API in Collaborator Guide (Rich Trott) [#24975](https://github.com/nodejs/node/pull/24975)
* \[[`8ae649d105`](https://github.com/nodejs/node/commit/8ae649d105)] - **doc**: update a link of npm repository (Daijiro Wachi) [#24969](https://github.com/nodejs/node/pull/24969)
* \[[`9ffa8270b1`](https://github.com/nodejs/node/commit/9ffa8270b1)] - **doc**: fix author-ready conflict (Ruben Bridgewater) [#25015](https://github.com/nodejs/node/pull/25015)
* \[[`bdf21c1f10`](https://github.com/nodejs/node/commit/bdf21c1f10)] - **doc**: update Useful CI Jobs section of Collaborator Guide (Rich Trott) [#24916](https://github.com/nodejs/node/pull/24916)
* \[[`f8ac170608`](https://github.com/nodejs/node/commit/f8ac170608)] - **doc**: add class worker documentation (yoshimoto koki) [#24849](https://github.com/nodejs/node/pull/24849)
* \[[`f68ff0619c`](https://github.com/nodejs/node/commit/f68ff0619c)] - **doc**: remove bad link to irc info (Richard Lau) [#24967](https://github.com/nodejs/node/pull/24967)
* \[[`0701559336`](https://github.com/nodejs/node/commit/0701559336)] - **doc**: simplify author ready (Ruben Bridgewater) [#24893](https://github.com/nodejs/node/pull/24893)
* \[[`e7e8a25bb8`](https://github.com/nodejs/node/commit/e7e8a25bb8)] - **doc**: update "Testing and CI" in Collaborator Guide (Rich Trott) [#24884](https://github.com/nodejs/node/pull/24884)
* \[[`a7f36dde00`](https://github.com/nodejs/node/commit/a7f36dde00)] - **doc**: update http doc for new Agent()/support options in socket.connect() (Beni von Cheni) [#24846](https://github.com/nodejs/node/pull/24846)
* \[[`e9ad526297`](https://github.com/nodejs/node/commit/e9ad526297)] - **doc**: fix order of events when request is aborted (Luigi Pinca) [#24779](https://github.com/nodejs/node/pull/24779)
* \[[`189d2e2ab2`](https://github.com/nodejs/node/commit/189d2e2ab2)] - **doc**: revise Waiting for Approvals documentation (Rich Trott) [#24845](https://github.com/nodejs/node/pull/24845)
* \[[`f2df92cfc0`](https://github.com/nodejs/node/commit/f2df92cfc0)] - **doc**: list all versions WHATWG URL api was added (Thomas Watson) [#24847](https://github.com/nodejs/node/pull/24847)
* \[[`2b03878de3`](https://github.com/nodejs/node/commit/2b03878de3)] - **doc**: add authority and scheme psuedo headers (Kenigbolo Meya Stephen) [#24777](https://github.com/nodejs/node/pull/24777)
* \[[`23cd76e9ef`](https://github.com/nodejs/node/commit/23cd76e9ef)] - **doc**: add triaging section to releases.md (Beth Griggs) [#20165](https://github.com/nodejs/node/pull/20165)
* \[[`f52ff588e2`](https://github.com/nodejs/node/commit/f52ff588e2)] - **doc**: use author's titles for linked resources (Rich Trott) [#24837](https://github.com/nodejs/node/pull/24837)
* \[[`0a3c88551a`](https://github.com/nodejs/node/commit/0a3c88551a)] - **doc**: revise code review guidelines (Rich Trott) [#24790](https://github.com/nodejs/node/pull/24790)
* \[[`7bd7328f0d`](https://github.com/nodejs/node/commit/7bd7328f0d)] - **doc**: add a note on usage scope of AliasedBuffer (Gireesh Punathil) [#24724](https://github.com/nodejs/node/pull/24724)
* \[[`184425e7e8`](https://github.com/nodejs/node/commit/184425e7e8)] - **doc**: hide undocumented object artifacts in async\_hooks (Gireesh Punathil) [#24741](https://github.com/nodejs/node/pull/24741)
* \[[`ad40e781af`](https://github.com/nodejs/node/commit/ad40e781af)] - **doc**: fix added version of randomFill+randomFillSync (Thomas Watson) [#24812](https://github.com/nodejs/node/pull/24812)
* \[[`56916c8430`](https://github.com/nodejs/node/commit/56916c8430)] - **doc**: streamline Accepting Modifications in Collaborator Guide (Rich Trott) [#24807](https://github.com/nodejs/node/pull/24807)
* \[[`7ae17573e6`](https://github.com/nodejs/node/commit/7ae17573e6)] - **doc**: make release README link be consistent with text (ZYSzys) [#24783](https://github.com/nodejs/node/pull/24783)
* \[[`1c593c8192`](https://github.com/nodejs/node/commit/1c593c8192)] - **doc**: cookie is joined using '; ' (Gerhard Stoebich) [#24740](https://github.com/nodejs/node/pull/24740)
* \[[`3e4b93ac8e`](https://github.com/nodejs/node/commit/3e4b93ac8e)] - **doc**: add antsmartian to collaborators (Anto Aravinth) [#24655](https://github.com/nodejs/node/pull/24655)
* \[[`fe698d8ca0`](https://github.com/nodejs/node/commit/fe698d8ca0)] - **doc**: revise accepting-modifications in guide (Rich Trott) [#24650](https://github.com/nodejs/node/pull/24650)
* \[[`546f9419d7`](https://github.com/nodejs/node/commit/546f9419d7)] - **doc**: clarify symlink resolution for \_\_filename (Rich Trott) [#24587](https://github.com/nodejs/node/pull/24587)
* \[[`a1a393bfbf`](https://github.com/nodejs/node/commit/a1a393bfbf)] - **doc**: use arrow function for anonymous callbacks (koki-oshima) [#24606](https://github.com/nodejs/node/pull/24606)
* \[[`6788d856d5`](https://github.com/nodejs/node/commit/6788d856d5)] - **doc**: revise handling-own-pull-requests text (Rich Trott) [#24583](https://github.com/nodejs/node/pull/24583)
* \[[`bda73542be`](https://github.com/nodejs/node/commit/bda73542be)] - **doc**: fix duplicate "this" and "the" on http2.md (Yusuke Kawasaki) [#24611](https://github.com/nodejs/node/pull/24611)
* \[[`73b99c7013`](https://github.com/nodejs/node/commit/73b99c7013)] - **doc**: replace anonymous function with arrow function (ka2jun8) [#24617](https://github.com/nodejs/node/pull/24617)
* \[[`1eeb37c39c`](https://github.com/nodejs/node/commit/1eeb37c39c)] - **doc**: use arrow function (sadness\_ojisan) [#24590](https://github.com/nodejs/node/pull/24590)
* \[[`283172771e`](https://github.com/nodejs/node/commit/283172771e)] - **doc**: replace anonymous function with arrow function (yuriettys) [#24627](https://github.com/nodejs/node/pull/24627)
* \[[`dd5bfd7f74`](https://github.com/nodejs/node/commit/dd5bfd7f74)] - **doc**: mark napi\_add\_finalizer experimental (Michael Dawson) [#24572](https://github.com/nodejs/node/pull/24572)
* \[[`dacdd0113f`](https://github.com/nodejs/node/commit/dacdd0113f)] - **esm**: refactor dynamic modules (Myles Borins) [#24560](https://github.com/nodejs/node/pull/24560)
* \[[`576d9c513a`](https://github.com/nodejs/node/commit/576d9c513a)] - **fs**: simplify fs.promises warning logic (cjihrig) [#24788](https://github.com/nodejs/node/pull/24788)
* \[[`741c5ef6cd`](https://github.com/nodejs/node/commit/741c5ef6cd)] - **http**: fix error check in `Execute()` (Brian White) [#25863](https://github.com/nodejs/node/pull/25863)
* \[[`f4aed8c3df`](https://github.com/nodejs/node/commit/f4aed8c3df)] - **http2**: make compat writeHead not crash if the stream is destroyed (Matteo Collina) [#24723](https://github.com/nodejs/node/pull/24723)
* \[[`d12c5a7a75`](https://github.com/nodejs/node/commit/d12c5a7a75)] - **http2**: add compat support for nested array headers (Sebastiaan Deckers) [#24665](https://github.com/nodejs/node/pull/24665)
* \[[`c7f876be38`](https://github.com/nodejs/node/commit/c7f876be38)] - **http2**: fix session\[kSession] undefined issue (leeight) [#24547](https://github.com/nodejs/node/pull/24547)
* \[[`e8dfdc063d`](https://github.com/nodejs/node/commit/e8dfdc063d)] - **lib**: ensure readable stream flows to end (Mikko Rantanen) [#24918](https://github.com/nodejs/node/pull/24918)
* \[[`d5d8670783`](https://github.com/nodejs/node/commit/d5d8670783)] - **lib**: remove some useless assignments (Gus Caplan) [#23199](https://github.com/nodejs/node/pull/23199)
* \[[`96036ef798`](https://github.com/nodejs/node/commit/96036ef798)] - **lib**: do not register DOMException in a module (Joyee Cheung) [#24708](https://github.com/nodejs/node/pull/24708)
* \[[`ef68349617`](https://github.com/nodejs/node/commit/ef68349617)] - **lib**: move setupAllowedFlags() into per\_thread.js (Joyee Cheung) [#24704](https://github.com/nodejs/node/pull/24704)
* \[[`1b48c9d9e3`](https://github.com/nodejs/node/commit/1b48c9d9e3)] - **lib**: convert to arrow function in fs.js (exoego) [#24604](https://github.com/nodejs/node/pull/24604)
* \[[`eaa5e3efa4`](https://github.com/nodejs/node/commit/eaa5e3efa4)] - **lib**: change callbacks to arrow function (/Jesse) [#24625](https://github.com/nodejs/node/pull/24625)
* \[[`4eec736a5e`](https://github.com/nodejs/node/commit/4eec736a5e)] - **lib**: chenged anonymous function to arrow function (nakashima) [#24605](https://github.com/nodejs/node/pull/24605)
* \[[`8c93bd4d17`](https://github.com/nodejs/node/commit/8c93bd4d17)] - **lib**: rearm pre-existing signal event registrations (Gireesh Punathil) [#24651](https://github.com/nodejs/node/pull/24651)
* \[[`8f427eb987`](https://github.com/nodejs/node/commit/8f427eb987)] - **lib**: convert to arrow function (horihiro) [#24623](https://github.com/nodejs/node/pull/24623)
* \[[`e5abfe191e`](https://github.com/nodejs/node/commit/e5abfe191e)] - **lib**: convert to Arrow Function (Daiki Arai) [#24615](https://github.com/nodejs/node/pull/24615)
* \[[`ccefef2d45`](https://github.com/nodejs/node/commit/ccefef2d45)] - **lib**: suppress crypto related env vars in help msg (Daniel Bevenius) [#24556](https://github.com/nodejs/node/pull/24556)
* \[[`1c2ce239a1`](https://github.com/nodejs/node/commit/1c2ce239a1)] - **lib**: convert to arrow function (Naojirou Hisada) [#24596](https://github.com/nodejs/node/pull/24596)
* \[[`c87af34886`](https://github.com/nodejs/node/commit/c87af34886)] - **lib**: change anonymous function to arrow function (takato) [#24589](https://github.com/nodejs/node/pull/24589)
* \[[`ce2aa807f5`](https://github.com/nodejs/node/commit/ce2aa807f5)] - **lib**: simplify own keys retrieval (Vse Mozhet Byt) [#24582](https://github.com/nodejs/node/pull/24582)
* \[[`9daf175483`](https://github.com/nodejs/node/commit/9daf175483)] - **lib**: fix nits in lib/internal/bootstrap/cache.js (Vse Mozhet Byt) [#24581](https://github.com/nodejs/node/pull/24581)
* \[[`f2287c61e1`](https://github.com/nodejs/node/commit/f2287c61e1)] - **module**: use validateString in modules/esm (ZYSzys) [#24868](https://github.com/nodejs/node/pull/24868)
* \[[`229f901a0f`](https://github.com/nodejs/node/commit/229f901a0f)] - **module**: use validateString in modules/cjs (ZYSzys) [#24863](https://github.com/nodejs/node/pull/24863)
* \[[`fe0e119f55`](https://github.com/nodejs/node/commit/fe0e119f55)] - **n-api**: handle reference delete before finalize (Michael Dawson) [#24494](https://github.com/nodejs/node/pull/24494)
* \[[`760277e490`](https://github.com/nodejs/node/commit/760277e490)] - **n-api,test**: remove last argument in assert.strictEqual() (susantruong) [#24584](https://github.com/nodejs/node/pull/24584)
* \[[`f6e07fd809`](https://github.com/nodejs/node/commit/f6e07fd809)] - **net**: use strict comparisons for fd (cjihrig) [#25014](https://github.com/nodejs/node/pull/25014)
* \[[`7eda47e5c9`](https://github.com/nodejs/node/commit/7eda47e5c9)] - **path**: replace assertPath() with validator (cjihrig) [#24840](https://github.com/nodejs/node/pull/24840)
* \[[`33a907de20`](https://github.com/nodejs/node/commit/33a907de20)] - **perf\_hooks**: make GC tracking state per-Environment (Anna Henningsen) [#25053](https://github.com/nodejs/node/pull/25053)
* \[[`931a04e37e`](https://github.com/nodejs/node/commit/931a04e37e)] - **process**: fix omitting `--` from `process.execArgv` (Anna Henningsen) [#24654](https://github.com/nodejs/node/pull/24654)
* \[[`a4068d9827`](https://github.com/nodejs/node/commit/a4068d9827)] - **process**: properly close file descriptor on exit (Ruben Bridgewater) [#24972](https://github.com/nodejs/node/pull/24972)
* \[[`fd8a481a12`](https://github.com/nodejs/node/commit/fd8a481a12)] - **process**: simplify check in previousValueIsValid() (cjihrig) [#24836](https://github.com/nodejs/node/pull/24836)
* \[[`5bca4c7cc0`](https://github.com/nodejs/node/commit/5bca4c7cc0)] - **process**: emit unhandled warning immediately (Anatoli Papirovski) [#24632](https://github.com/nodejs/node/pull/24632)
* \[[`944e75d10b`](https://github.com/nodejs/node/commit/944e75d10b)] - **src**: emit 'params' instead of 'data' for NodeTracing.dataCollected (Kelvin Jin) [#24949](https://github.com/nodejs/node/pull/24949)
* \[[`1cc5834180`](https://github.com/nodejs/node/commit/1cc5834180)] - **src**: add GetLoadedLibraries routine (Gireesh Punathil) [#24825](https://github.com/nodejs/node/pull/24825)
* \[[`fa84e91813`](https://github.com/nodejs/node/commit/fa84e91813)] - **src**: create env->inspector\_console\_api\_object earlier (Joyee Cheung) [#24906](https://github.com/nodejs/node/pull/24906)
* \[[`12f0485c8c`](https://github.com/nodejs/node/commit/12f0485c8c)] - **src**: remove use of CallOnForegroundThread() (cjihrig) [#24925](https://github.com/nodejs/node/pull/24925)
* \[[`16a1f96d6e`](https://github.com/nodejs/node/commit/16a1f96d6e)] - **src**: do not alias new and old signal masks (Sam Roberts) [#24810](https://github.com/nodejs/node/pull/24810)
* \[[`f0e7b2f509`](https://github.com/nodejs/node/commit/f0e7b2f509)] - **src**: fix warning for potential snprintf truncation (Sam Roberts) [#24810](https://github.com/nodejs/node/pull/24810)
* \[[`7455597815`](https://github.com/nodejs/node/commit/7455597815)] - **src**: remove finalized\_ member from Hash class (Daniel Bevenius) [#24822](https://github.com/nodejs/node/pull/24822)
* \[[`37047fc70a`](https://github.com/nodejs/node/commit/37047fc70a)] - **src**: use arraysize instead of hardcode number (leeight) [#24473](https://github.com/nodejs/node/pull/24473)
* \[[`eb20e3d23e`](https://github.com/nodejs/node/commit/eb20e3d23e)] - **src**: set HAS\_USERNAME/PASSWORD more strictly (Timothy Gu) [#24495](https://github.com/nodejs/node/pull/24495)
* \[[`4444cdb6cd`](https://github.com/nodejs/node/commit/4444cdb6cd)] - **src**: elevate v8 namespaces referenced (Juan José Arboleda) [#24657](https://github.com/nodejs/node/pull/24657)
* \[[`28a1cc1377`](https://github.com/nodejs/node/commit/28a1cc1377)] - **src**: simplify uptime and ppid return values (cjihrig) [#24562](https://github.com/nodejs/node/pull/24562)
* \[[`8c48302a50`](https://github.com/nodejs/node/commit/8c48302a50)] - **src**: elevate v8 namespaces for node\_url.cc (Jayasankar) [#24573](https://github.com/nodejs/node/pull/24573)
* \[[`863d1987a3`](https://github.com/nodejs/node/commit/863d1987a3)] - **src**: elevate v8 namespaces of node\_trace\_events.cc (Jayasankar) [#24469](https://github.com/nodejs/node/pull/24469)
* \[[`26f7edbf71`](https://github.com/nodejs/node/commit/26f7edbf71)] - **src**: re-sort the symbol macros (Sam Roberts) [#24382](https://github.com/nodejs/node/pull/24382)
* \[[`450bcde462`](https://github.com/nodejs/node/commit/450bcde462)] - **src**: use v8:: for consistency in util (ZYSzys) [#23934](https://github.com/nodejs/node/pull/23934)
* \[[`3f969d61ff`](https://github.com/nodejs/node/commit/3f969d61ff)] - **stream**: re-use existing `once()` implementation (Anna Henningsen) [#24991](https://github.com/nodejs/node/pull/24991)
* \[[`bb8a65dd84`](https://github.com/nodejs/node/commit/bb8a65dd84)] - **stream**: fix end-of-stream for HTTP/2 (Anna Henningsen) [#24926](https://github.com/nodejs/node/pull/24926)
* \[[`e356ce851f`](https://github.com/nodejs/node/commit/e356ce851f)] - **stream**: make async iterator .next() always resolve (Matteo Collina) [#24668](https://github.com/nodejs/node/pull/24668)
* \[[`e338e50213`](https://github.com/nodejs/node/commit/e338e50213)] - **stream**: use arrow function for callback (DoiChris) [#24609](https://github.com/nodejs/node/pull/24609)
* \[[`6be2d6187c`](https://github.com/nodejs/node/commit/6be2d6187c)] - **test**: improve comparison coverage to 100% (Ruben Bridgewater) [#24749](https://github.com/nodejs/node/pull/24749)
* \[[`1d083e29e5`](https://github.com/nodejs/node/commit/1d083e29e5)] - **test**: test internal/util/types in vm (ZYSzys) [#25056](https://github.com/nodejs/node/pull/25056)
* \[[`56c6686fe5`](https://github.com/nodejs/node/commit/56c6686fe5)] - **test**: merge test with unnecessary child process (Sam Roberts) [#25025](https://github.com/nodejs/node/pull/25025)
* \[[`ee054110b5`](https://github.com/nodejs/node/commit/ee054110b5)] - **test**: remove unnecessary linter comment (cjihrig) [#25013](https://github.com/nodejs/node/pull/25013)
* \[[`c9b0a36989`](https://github.com/nodejs/node/commit/c9b0a36989)] - **test**: use global.gc() instead of gc() (cjihrig) [#25012](https://github.com/nodejs/node/pull/25012)
* \[[`bcfc1d1a7d`](https://github.com/nodejs/node/commit/bcfc1d1a7d)] - **test**: run eslint on test file and fix errors (Ruben Bridgewater) [#25009](https://github.com/nodejs/node/pull/25009)
* \[[`17527981d0`](https://github.com/nodejs/node/commit/17527981d0)] - **test**: remove dead code (Ruben Bridgewater) [#25009](https://github.com/nodejs/node/pull/25009)
* \[[`48c54137d4`](https://github.com/nodejs/node/commit/48c54137d4)] - **test**: use blocks instead of async IIFE (Anna Henningsen) [#24989](https://github.com/nodejs/node/pull/24989)
* \[[`54d7e82530`](https://github.com/nodejs/node/commit/54d7e82530)] - **test**: adding history regression test case (Anto Aravinth) [#24843](https://github.com/nodejs/node/pull/24843)
* \[[`dd2b553874`](https://github.com/nodejs/node/commit/dd2b553874)] - **test**: mark test-child-process-execfile flaky (Rich Trott) [#25051](https://github.com/nodejs/node/pull/25051)
* \[[`bfa396a81e`](https://github.com/nodejs/node/commit/bfa396a81e)] - **test**: mark test-child-process-exit-code flaky (Rich Trott) [#25050](https://github.com/nodejs/node/pull/25050)
* \[[`55680e3ecb`](https://github.com/nodejs/node/commit/55680e3ecb)] - **test**: mark test-worker-memory flaky on Windows CI (Rich Trott) [#25042](https://github.com/nodejs/node/pull/25042)
* \[[`89b6d1b1fa`](https://github.com/nodejs/node/commit/89b6d1b1fa)] - **test**: mark test-child-process-execsync flaky on AIX (Rich Trott) [#25031](https://github.com/nodejs/node/pull/25031)
* \[[`11d5c07c7d`](https://github.com/nodejs/node/commit/11d5c07c7d)] - **test**: refactor test-enable-in-init (Mitch Hankins) [#24976](https://github.com/nodejs/node/pull/24976)
* \[[`0658424227`](https://github.com/nodejs/node/commit/0658424227)] - **test**: from functools import reduce in test/testpy/\_\_init\_\_.py (cclauss) [#24954](https://github.com/nodejs/node/pull/24954)
* \[[`3bdff05cdb`](https://github.com/nodejs/node/commit/3bdff05cdb)] - **test**: improve internet/test-dns (Ilarion Halushka) [#24927](https://github.com/nodejs/node/pull/24927)
* \[[`3f2c6ce9aa`](https://github.com/nodejs/node/commit/3f2c6ce9aa)] - **test**: replace callback with arrows (Shubham Urkade) [#24866](https://github.com/nodejs/node/pull/24866)
* \[[`2869b7810d`](https://github.com/nodejs/node/commit/2869b7810d)] - **test**: mark test-cli-syntax as flaky/unreliable (Rich Trott) [#24957](https://github.com/nodejs/node/pull/24957)
* \[[`83c6f0a86e`](https://github.com/nodejs/node/commit/83c6f0a86e)] - **test**: do not lint macros files (again) (cclauss) [#24886](https://github.com/nodejs/node/pull/24886)
* \[[`a67d37d226`](https://github.com/nodejs/node/commit/a67d37d226)] - **test**: prepare test/pseudo-tty/testcfg.py Python 3 (cclauss) [#24887](https://github.com/nodejs/node/pull/24887)
* \[[`4e51e3d550`](https://github.com/nodejs/node/commit/4e51e3d550)] - **test**: move test-cli-syntax to sequential (Rich Trott) [#24907](https://github.com/nodejs/node/pull/24907)
* \[[`e20ad2e446`](https://github.com/nodejs/node/commit/e20ad2e446)] - **test**: move http2 test to parallel (Rich Trott) [#24877](https://github.com/nodejs/node/pull/24877)
* \[[`1a1811d1e0`](https://github.com/nodejs/node/commit/1a1811d1e0)] - **test**: make http2 timeout test robust (Rich Trott) [#24877](https://github.com/nodejs/node/pull/24877)
* \[[`a2dd3a62a7`](https://github.com/nodejs/node/commit/a2dd3a62a7)] - **test**: fix wrong parameter (zhmushan) [#24844](https://github.com/nodejs/node/pull/24844)
* \[[`1dff257280`](https://github.com/nodejs/node/commit/1dff257280)] - **test**: improve test-net-socket-timeout (Rich Trott) [#24859](https://github.com/nodejs/node/pull/24859)
* \[[`5e29865375`](https://github.com/nodejs/node/commit/5e29865375)] - **test**: prepare test/pseudo-tty/testcfg.py for Python 3 (cclauss) [#24791](https://github.com/nodejs/node/pull/24791)
* \[[`520d041afb`](https://github.com/nodejs/node/commit/520d041afb)] - **test**: refactor test-fs-write-file-sync.js (cjihrig) [#24834](https://github.com/nodejs/node/pull/24834)
* \[[`b1bbac726e`](https://github.com/nodejs/node/commit/b1bbac726e)] - **test**: prepare test/message/testcfg.py for Python 3 (cclauss) [#24793](https://github.com/nodejs/node/pull/24793)
* \[[`ff90d17eb3`](https://github.com/nodejs/node/commit/ff90d17eb3)] - **test**: remove unused addons-napi directory (Rich Trott) [#24839](https://github.com/nodejs/node/pull/24839)
* \[[`d08b5e94f5`](https://github.com/nodejs/node/commit/d08b5e94f5)] - **test**: add .gitignore file for node-api (Rich Trott) [#24839](https://github.com/nodejs/node/pull/24839)
* \[[`546fc68ae4`](https://github.com/nodejs/node/commit/546fc68ae4)] - **test**: fix `common.mustNotCall()` usage in HTTP test (Anna Henningsen) [#24750](https://github.com/nodejs/node/pull/24750)
* \[[`1c746c7524`](https://github.com/nodejs/node/commit/1c746c7524)] - **test**: use ES2017 syntax in test-fs-open-\* (jy95) [#23031](https://github.com/nodejs/node/pull/23031)
* \[[`e17dbd22c3`](https://github.com/nodejs/node/commit/e17dbd22c3)] - **test**: add flag scenario in test-fs-write-file-sync (Gireesh Punathil) [#24766](https://github.com/nodejs/node/pull/24766)
* \[[`fd5af6bfa9`](https://github.com/nodejs/node/commit/fd5af6bfa9)] - **test**: check invalid argument error for option (timothy searcy) [#24736](https://github.com/nodejs/node/pull/24736)
* \[[`46e37adf59`](https://github.com/nodejs/node/commit/46e37adf59)] - **test**: show stdout and stderr in test-cli-syntax when it fails (Joyee Cheung) [#24720](https://github.com/nodejs/node/pull/24720)
* \[[`31c1ee405e`](https://github.com/nodejs/node/commit/31c1ee405e)] - **test**: minor refactoring of onticketkeycallback (Daniel Bevenius) [#24718](https://github.com/nodejs/node/pull/24718)
* \[[`a7c72d7d5e`](https://github.com/nodejs/node/commit/a7c72d7d5e)] - **test**: mark test\_threadsafe\_function/test as flaky (Gireesh Punathil) [#24714](https://github.com/nodejs/node/pull/24714)
* \[[`e74345b2f5`](https://github.com/nodejs/node/commit/e74345b2f5)] - **test**: verify order of error in h2 server stream (Myles Borins) [#24685](https://github.com/nodejs/node/pull/24685)
* \[[`288a421dcc`](https://github.com/nodejs/node/commit/288a421dcc)] - **test**: cover path empty string case (lakatostamas) [#24569](https://github.com/nodejs/node/pull/24569)
* \[[`d4b1666686`](https://github.com/nodejs/node/commit/d4b1666686)] - **test**: use arrow syntax for anonymous callbacks (Shubham Urkade) [#24691](https://github.com/nodejs/node/pull/24691)
* \[[`af582096ad`](https://github.com/nodejs/node/commit/af582096ad)] - **test**: fix the arguments order in assert.strictEqual (pastak) [#24620](https://github.com/nodejs/node/pull/24620)
* \[[`e89f5e59ea`](https://github.com/nodejs/node/commit/e89f5e59ea)] - **test**: mark test-vm-timeout-escape-nexttick flaky (Gireesh Punathil) [#24712](https://github.com/nodejs/node/pull/24712)
* \[[`288d60c2f6`](https://github.com/nodejs/node/commit/288d60c2f6)] - **test**: fix the arguments order in assert.strictEqual (sigwyg) [#24624](https://github.com/nodejs/node/pull/24624)
* \[[`9f66105e29`](https://github.com/nodejs/node/commit/9f66105e29)] - **test**: fix the arguments order in `assert.strictEqual` (rt33) [#24626](https://github.com/nodejs/node/pull/24626)
* \[[`06208c8313`](https://github.com/nodejs/node/commit/06208c8313)] - **test**: reach res.\_dump after abort ClientRequest (Tadhg Creedon) [#24191](https://github.com/nodejs/node/pull/24191)
* \[[`85e948753b`](https://github.com/nodejs/node/commit/85e948753b)] - **test**: validate fs.rename() when NODE\_TEST\_DIR on separate mount (Drew Folta) [#24707](https://github.com/nodejs/node/pull/24707)
* \[[`5966dbed05`](https://github.com/nodejs/node/commit/5966dbed05)] - **test**: test and docs for detached fork process (timothy searcy) [#24524](https://github.com/nodejs/node/pull/24524)
* \[[`1c609bf6e2`](https://github.com/nodejs/node/commit/1c609bf6e2)] - **test**: fix arguments order in `assert.strictEqual` (sota1235) [#24607](https://github.com/nodejs/node/pull/24607)
* \[[`dc7ed30437`](https://github.com/nodejs/node/commit/dc7ed30437)] - **test**: fix arguments order in assert.strictEqual (grimrose) [#24608](https://github.com/nodejs/node/pull/24608)
* \[[`be17cc59c7`](https://github.com/nodejs/node/commit/be17cc59c7)] - **test**: make test-uv-binding-constant JS engine neutral (Rich Trott) [#24666](https://github.com/nodejs/node/pull/24666)
* \[[`2318c7fea3`](https://github.com/nodejs/node/commit/2318c7fea3)] - **test**: use arrow function (sagirk) [#24482](https://github.com/nodejs/node/pull/24482)
* \[[`43bfb136f9`](https://github.com/nodejs/node/commit/43bfb136f9)] - **test**: fix arguments order in `assert.strictEqual` (Takahiro Nakamura) [#24621](https://github.com/nodejs/node/pull/24621)
* \[[`3811817290`](https://github.com/nodejs/node/commit/3811817290)] - **test**: update strictEqual argument order (VeysonD) [#24622](https://github.com/nodejs/node/pull/24622)
* \[[`ec7bd18146`](https://github.com/nodejs/node/commit/ec7bd18146)] - **test**: fix argument order in assert.strictEqual (feng jianmei) [#24594](https://github.com/nodejs/node/pull/24594)
* \[[`4cc91ff2b5`](https://github.com/nodejs/node/commit/4cc91ff2b5)] - **test**: use arrow functions in callbacks (apoorvanand) [#24441](https://github.com/nodejs/node/pull/24441)
* \[[`4093572c4d`](https://github.com/nodejs/node/commit/4093572c4d)] - **test**: add test for socket.end callback (ajido) [#24087](https://github.com/nodejs/node/pull/24087)
* \[[`7dee5e5d16`](https://github.com/nodejs/node/commit/7dee5e5d16)] - **test**: replace anonymous closure functions with arrow functions (tpanthera) [#24443](https://github.com/nodejs/node/pull/24443)
* \[[`82d9ffc6a6`](https://github.com/nodejs/node/commit/82d9ffc6a6)] - **test**: fix arguments order in `assert.strictEqual` (tottokotkd) [#24612](https://github.com/nodejs/node/pull/24612)
* \[[`372073e8da`](https://github.com/nodejs/node/commit/372073e8da)] - **test**: convert callback to arrow function (jamesgeorge007) [#24513](https://github.com/nodejs/node/pull/24513)
* \[[`82376015ab`](https://github.com/nodejs/node/commit/82376015ab)] - **test**: change anonymous function to arrow function (Gagandeep Singh) [#24528](https://github.com/nodejs/node/pull/24528)
* \[[`5e3b34fbfd`](https://github.com/nodejs/node/commit/5e3b34fbfd)] - **test**: split out http2 from test-stream-pipeline (Rich Trott) [#24631](https://github.com/nodejs/node/pull/24631)
* \[[`b6cceae96f`](https://github.com/nodejs/node/commit/b6cceae96f)] - **test**: cover path.basename when path and ext are the same (Laszlo.Moczo) [#24570](https://github.com/nodejs/node/pull/24570)
* \[[`7f0fb163a0`](https://github.com/nodejs/node/commit/7f0fb163a0)] - **test**: fix assert.strictEqual (mki-skt) [#24619](https://github.com/nodejs/node/pull/24619)
* \[[`e464a1dca5`](https://github.com/nodejs/node/commit/e464a1dca5)] - **test**: fix arguments order in assert.strictEqual (teppeis) [#24591](https://github.com/nodejs/node/pull/24591)
* \[[`ec70330dab`](https://github.com/nodejs/node/commit/ec70330dab)] - **test**: fix http2-binding strictEqual order (dominikeinkemmer) [#24616](https://github.com/nodejs/node/pull/24616)
* \[[`7b096026d8`](https://github.com/nodejs/node/commit/7b096026d8)] - **test**: fix the arguments order in `assert.strictEqual` (sota1235) [#24595](https://github.com/nodejs/node/pull/24595)
* \[[`1658924d90`](https://github.com/nodejs/node/commit/1658924d90)] - **test**: replace callback with arrow functions (prodroy1) [#24434](https://github.com/nodejs/node/pull/24434)
* \[[`0e63d0abd5`](https://github.com/nodejs/node/commit/0e63d0abd5)] - **test**: confirm tls server suite default is its own (Sam Roberts) [#24374](https://github.com/nodejs/node/pull/24374)
* \[[`3c2b40ba04`](https://github.com/nodejs/node/commit/3c2b40ba04)] - **test**: rename agent1-pfx.pem to agent1.pfx (Sam Roberts) [#24374](https://github.com/nodejs/node/pull/24374)
* \[[`43dcbbedb9`](https://github.com/nodejs/node/commit/43dcbbedb9)] - **test**: add independent multi-alg crypto identities (Sam Roberts) [#24374](https://github.com/nodejs/node/pull/24374)
* \[[`83145ec3a6`](https://github.com/nodejs/node/commit/83145ec3a6)] - **test**: cover tls multi-identity option mixtures (Sam Roberts) [#24374](https://github.com/nodejs/node/pull/24374)
* \[[`77cf877ea2`](https://github.com/nodejs/node/commit/77cf877ea2)] - **tls**: re-define max supported version as 1.2 (Sam Roberts) [#25024](https://github.com/nodejs/node/pull/25024)
* \[[`027ca95b46`](https://github.com/nodejs/node/commit/027ca95b46)] - **tools**: make apilinks building more robust (Joyee Cheung) [#25019](https://github.com/nodejs/node/pull/25019)
* \[[`694ea008d1`](https://github.com/nodejs/node/commit/694ea008d1)] - **tools**: enable no-useless-constructor lint rule (cjihrig) [#25055](https://github.com/nodejs/node/pull/25055)
* \[[`5cbc0dbeaf`](https://github.com/nodejs/node/commit/5cbc0dbeaf)] - **tools**: prepare ./tools/compress\_json.py for Python 3 (cclauss) [#24889](https://github.com/nodejs/node/pull/24889)
* \[[`87f20822c1`](https://github.com/nodejs/node/commit/87f20822c1)] - **tools**: prepare tools/testp.py for Python 3 (cclauss) [#24890](https://github.com/nodejs/node/pull/24890)
* \[[`91a96e446a`](https://github.com/nodejs/node/commit/91a96e446a)] - **tools**: prepare tools/icu/icutrim.py for Python 3 (cclauss) [#24888](https://github.com/nodejs/node/pull/24888)
* \[[`34212b531f`](https://github.com/nodejs/node/commit/34212b531f)] - **tools**: update ESLint to 5.10.0 (cjihrig) [#24903](https://github.com/nodejs/node/pull/24903)
* \[[`229c0e0cc9`](https://github.com/nodejs/node/commit/229c0e0cc9)] - **tools**: do not lint tools/inspector\_protocol or tools/markupsafe (cclauss) [#24882](https://github.com/nodejs/node/pull/24882)
* \[[`bece371639`](https://github.com/nodejs/node/commit/bece371639)] - **tools**: prepare tools/js2c.py for Python 3 (cclauss) [#24798](https://github.com/nodejs/node/pull/24798)
* \[[`e6afaa350b`](https://github.com/nodejs/node/commit/e6afaa350b)] - **tools**: prepare tools/specialize\_node\_d.py for Python 3 (cclauss) [#24797](https://github.com/nodejs/node/pull/24797)
* \[[`544a20f37c`](https://github.com/nodejs/node/commit/544a20f37c)] - **tools**: prepare tools/test.py for Python 3 (cclauss) [#24799](https://github.com/nodejs/node/pull/24799)
* \[[`388ec8d77c`](https://github.com/nodejs/node/commit/388ec8d77c)] - **tools**: prepare tools/genv8constants.py for Python 3 (cclauss) [#24801](https://github.com/nodejs/node/pull/24801)
* \[[`039097e276`](https://github.com/nodejs/node/commit/039097e276)] - **tools**: prepare tools/install.py for Python 3 (cclauss) [#24800](https://github.com/nodejs/node/pull/24800)
* \[[`f21137976e`](https://github.com/nodejs/node/commit/f21137976e)] - **tools**: fix eslint usage for Node.js 8 and before (Ruben Bridgewater) [#24753](https://github.com/nodejs/node/pull/24753)
* \[[`691e1a69ff`](https://github.com/nodejs/node/commit/691e1a69ff)] - **tools**: don't use GH API for commit message checks (Rod Vagg) [#24574](https://github.com/nodejs/node/pull/24574)
* \[[`f5f1266326`](https://github.com/nodejs/node/commit/f5f1266326)] - **tools**: only sign release if promotion successful (Rod Vagg) [#24669](https://github.com/nodejs/node/pull/24669)
* \[[`cc880fbeeb`](https://github.com/nodejs/node/commit/cc880fbeeb)] - **tools**: check for git tag before promoting release (Rod Vagg) [#24670](https://github.com/nodejs/node/pull/24670)
* \[[`8a5b5e1fd0`](https://github.com/nodejs/node/commit/8a5b5e1fd0)] - **tools**: use print() function on both Python 2 and 3 (cclauss) [#24486](https://github.com/nodejs/node/pull/24486)
* \[[`f9933ff2c8`](https://github.com/nodejs/node/commit/f9933ff2c8)] - **tools,doc**: fix version picker bug in html.js (Rich Trott) [#24638](https://github.com/nodejs/node/pull/24638)
* \[[`b3932ef8e3`](https://github.com/nodejs/node/commit/b3932ef8e3)] - **url**: remove an eslint-disable comment (cjihrig) [#24995](https://github.com/nodejs/node/pull/24995)
* \[[`c0423cf34c`](https://github.com/nodejs/node/commit/c0423cf34c)] - **url**: simplify native URL object construction (Timothy Gu) [#24495](https://github.com/nodejs/node/pull/24495)
* \[[`d06ea3e505`](https://github.com/nodejs/node/commit/d06ea3e505)] - **url**: reuse existing context in href setter (Timothy Gu) [#24495](https://github.com/nodejs/node/pull/24495)
* \[[`4e111ce050`](https://github.com/nodejs/node/commit/4e111ce050)] - _**Revert**_ "**url**: make the context non-enumerable" (Timothy Gu) [#24495](https://github.com/nodejs/node/pull/24495)
* \[[`7048cba388`](https://github.com/nodejs/node/commit/7048cba388)] - **url**: use SafeSet to filter known special protocols (Mike Samuel) [#24703](https://github.com/nodejs/node/pull/24703)
* \[[`8d953b7d26`](https://github.com/nodejs/node/commit/8d953b7d26)] - **vm**: simplify Script constructor options validation (cjihrig) [#25054](https://github.com/nodejs/node/pull/25054)
* \[[`134d1e9526`](https://github.com/nodejs/node/commit/134d1e9526)] - **vm**: add dynamic import support (Gus Caplan) [#22381](https://github.com/nodejs/node/pull/22381)
* \[[`595bdc7603`](https://github.com/nodejs/node/commit/595bdc7603)] - **win, build**: skip building cctest by default (Bartosz Sosnowski) [#21408](https://github.com/nodejs/node/pull/21408)
* \[[`483ff7bcc7`](https://github.com/nodejs/node/commit/483ff7bcc7)] - **worker**: drain messages from internal message port (Yael Hermon) [#24932](https://github.com/nodejs/node/pull/24932)

## 2019-02-28, Version 10.15.2 'Dubnium' (LTS), @rvagg

This is a security release. All Node.js users should consult the security release summary at:

<https://nodejs.org/en/blog/vulnerability/february-2019-security-releases/>

for details on patched vulnerabilities.

A fix for the following CVE is included in this release:

* Node.js: Slowloris HTTP Denial of Service with keep-alive (CVE-2019-5737)

### Notable Changes

* **http**: Further prevention of "Slowloris" attacks on HTTP and HTTPS connections by consistently applying the receive timeout set by `server.headersTimeout` to connections in keep-alive mode. Reported by Marco Pracucci ([Voxnest](https://voxnest.com)). (CVE-2019-5737 / Matteo Collina)

### Commits

* \[[`1a7302bd48`](https://github.com/nodejs/node/commit/1a7302bd48)] - **http**: prevent slowloris with keepalive connections (Matteo Collina) [nodejs-private/node-private#158](https://github.com/nodejs-private/node-private/pull/158)

## 2019-01-29, Version 10.15.1 'Dubnium' (LTS), @codebytere

### Notable Changes

* **doc**:
  * add oyyd to collaborators (Ouyang Yadong) [#24300](https://github.com/nodejs/node/pull/24300)

* **tls**:
  * throw if protocol too long (Andre Jodat-Danbrani) [#23606](https://github.com/nodejs/node/pull/23606)

### Commits

* \[[`fbf5321dcf`](https://github.com/nodejs/node/commit/fbf5321dcf)] - **async\_hooks**: add HandleScopes to C++ embedder/addon API (Anna Henningsen) [#24285](https://github.com/nodejs/node/pull/24285)
* \[[`0c206e0d6d`](https://github.com/nodejs/node/commit/0c206e0d6d)] - **benchmark**: support more options in startup benchmark (Joyee Cheung) [#24220](https://github.com/nodejs/node/pull/24220)
* \[[`9a64ceca39`](https://github.com/nodejs/node/commit/9a64ceca39)] - **buffer**: fix writeUInt16BE range check (Brian White) [#24208](https://github.com/nodejs/node/pull/24208)
* \[[`0b81054d17`](https://github.com/nodejs/node/commit/0b81054d17)] - **build**: fix Python detection when depot\_tools are in PATH in Windows (Guy Bedford) [#22539](https://github.com/nodejs/node/pull/22539)
* \[[`b61a51c4f5`](https://github.com/nodejs/node/commit/b61a51c4f5)] - **build**: remove sudo:false from .travis.yml (Rich Trott) [#24511](https://github.com/nodejs/node/pull/24511)
* \[[`5c3736a772`](https://github.com/nodejs/node/commit/5c3736a772)] - **build**: use print() function in configure.py (cclauss) [#24484](https://github.com/nodejs/node/pull/24484)
* \[[`5d2dadccff`](https://github.com/nodejs/node/commit/5d2dadccff)] - **build**: check minimum ICU in configure for system-icu (Steven R. Loomis) [#24255](https://github.com/nodejs/node/pull/24255)
* \[[`31376d9a97`](https://github.com/nodejs/node/commit/31376d9a97)] - **build**: remove unnecessary prerequisite in Makefile (Rich Trott) [#24342](https://github.com/nodejs/node/pull/24342)
* \[[`33fd13c5ce`](https://github.com/nodejs/node/commit/33fd13c5ce)] - **build**: fix benchmark tests on CI (Rich Trott) [#24307](https://github.com/nodejs/node/pull/24307)
* \[[`07b7db2f81`](https://github.com/nodejs/node/commit/07b7db2f81)] - **build**: use BUILDTYPE in bench-addons-build targets (Daniel Bevenius) [#24033](https://github.com/nodejs/node/pull/24033)
* \[[`4e21eb4004`](https://github.com/nodejs/node/commit/4e21eb4004)] - **build**: lint commit message in separate Travis job (Richard Lau) [#24254](https://github.com/nodejs/node/pull/24254)
* \[[`042749fd23`](https://github.com/nodejs/node/commit/042749fd23)] - **build**: only try to find node when it's needed by the target (Joyee Cheung) [#24115](https://github.com/nodejs/node/pull/24115)
* \[[`72d2d2cd8e`](https://github.com/nodejs/node/commit/72d2d2cd8e)] - **build**: expose more openssl categories for addons (Jonathan Cardoso Machado) [#23344](https://github.com/nodejs/node/pull/23344)
* \[[`dc5647f71b`](https://github.com/nodejs/node/commit/dc5647f71b)] - **build,tools**: update make-v8.sh for ppc64le (Refael Ackermann) [#24293](https://github.com/nodejs/node/pull/24293)
* \[[`5dfc1bb46c`](https://github.com/nodejs/node/commit/5dfc1bb46c)] - **build,tools**: update make-v8.sh for s390x (Refael Ackermann) [#23839](https://github.com/nodejs/node/pull/23839)
* \[[`04f8d6bffd`](https://github.com/nodejs/node/commit/04f8d6bffd)] - **child\_process**: allow 'http\_parser' monkey patching again (Jimb Esser) [#24006](https://github.com/nodejs/node/pull/24006)
* \[[`3ef68d8d97`](https://github.com/nodejs/node/commit/3ef68d8d97)] - **cli**: add missing env vars to --help (cjihrig) [#24383](https://github.com/nodejs/node/pull/24383)
* \[[`4f13ac7941`](https://github.com/nodejs/node/commit/4f13ac7941)] - **console**: improve code readability (gengjiawen) [#24412](https://github.com/nodejs/node/pull/24412)
* \[[`07b9a663e0`](https://github.com/nodejs/node/commit/07b9a663e0)] - **console**: cover .assert with single argument (Morgan Roderick) [#24188](https://github.com/nodejs/node/pull/24188)
* \[[`4749640b2e`](https://github.com/nodejs/node/commit/4749640b2e)] - **crypto**: reduce memory usage of SignFinal (Tobias Nießen) [#23427](https://github.com/nodejs/node/pull/23427)
* \[[`733cb1ef84`](https://github.com/nodejs/node/commit/733cb1ef84)] - **deps**: cherry-pick b87d408 from upstream V8 (Peter Marshall) [#24272](https://github.com/nodejs/node/pull/24272)
* \[[`17b55bf1a4`](https://github.com/nodejs/node/commit/17b55bf1a4)] - **deps**: V8: cherry-pick 52a9e67 (Ali Ijaz Sheikh) [#25027](https://github.com/nodejs/node/pull/25027)
* \[[`185ccedf7c`](https://github.com/nodejs/node/commit/185ccedf7c)] - **doc**: clarify who may land on an LTS staging branch (Myles Borins) [#24465](https://github.com/nodejs/node/pull/24465)
* \[[`3283186934`](https://github.com/nodejs/node/commit/3283186934)] - **doc**: revise `author ready` explanation (Rich Trott) [#24558](https://github.com/nodejs/node/pull/24558)
* \[[`f918ad8e98`](https://github.com/nodejs/node/commit/f918ad8e98)] - **doc**: add readable and writable property to Readable and Writable (Dexter Leng) [#23933](https://github.com/nodejs/node/pull/23933)
* \[[`d288a395f6`](https://github.com/nodejs/node/commit/d288a395f6)] - **doc**: move trott to tsc emeritus (Rich Trott) [#24492](https://github.com/nodejs/node/pull/24492)
* \[[`f0602f8df3`](https://github.com/nodejs/node/commit/f0602f8df3)] - **doc**: add Ruben Bridgewater to release team (Ruben Bridgewater) [#23432](https://github.com/nodejs/node/pull/23432)
* \[[`b1bbedd701`](https://github.com/nodejs/node/commit/b1bbedd701)] - **doc**: edit COLLABORATOR\_GUIDE.md on closing issues (Rich Trott) [#24477](https://github.com/nodejs/node/pull/24477)
* \[[`08284dcdd8`](https://github.com/nodejs/node/commit/08284dcdd8)] - **doc**: move Timothy to TSC emeritus (Timothy Gu) [#24535](https://github.com/nodejs/node/pull/24535)
* \[[`6bb860cd20`](https://github.com/nodejs/node/commit/6bb860cd20)] - **doc**: add NODE\_DEBUG\_NATIVE to API docs (cjihrig) [#24383](https://github.com/nodejs/node/pull/24383)
* \[[`ef1056f4bd`](https://github.com/nodejs/node/commit/ef1056f4bd)] - **doc**: add missing env variables to man page (cjihrig) [#24383](https://github.com/nodejs/node/pull/24383)
* \[[`40c9ee028b`](https://github.com/nodejs/node/commit/40c9ee028b)] - **doc**: minor cleanup of tls.getProtocol() (Sam Roberts) [#24533](https://github.com/nodejs/node/pull/24533)
* \[[`c16b93233c`](https://github.com/nodejs/node/commit/c16b93233c)] - **doc**: add Beth Griggs to release team (Beth Griggs) [#24532](https://github.com/nodejs/node/pull/24532)
* \[[`492e2a4d11`](https://github.com/nodejs/node/commit/492e2a4d11)] - **doc**: add filehandle.write(string\[, position\[, encoding]]) (Dara Hayes) [#23224](https://github.com/nodejs/node/pull/23224)
* \[[`a620c25c76`](https://github.com/nodejs/node/commit/a620c25c76)] - **doc**: udpate list item spacing in changelogs (Rich Trott) [#24391](https://github.com/nodejs/node/pull/24391)
* \[[`7fd4ef7df1`](https://github.com/nodejs/node/commit/7fd4ef7df1)] - **doc**: update crypto examples to not use deprecated api (Mayank Asthana) [#24107](https://github.com/nodejs/node/pull/24107)
* \[[`2734c20bd9`](https://github.com/nodejs/node/commit/2734c20bd9)] - **doc**: simplify first-time contributors section of Collaborator Guide (Rich Trott) [#24387](https://github.com/nodejs/node/pull/24387)
* \[[`e11d46cb84`](https://github.com/nodejs/node/commit/e11d46cb84)] - **doc**: adjusting formatting when printing (Thomas Hunter II) [#24325](https://github.com/nodejs/node/pull/24325)
* \[[`c19d6e26a3`](https://github.com/nodejs/node/commit/c19d6e26a3)] - **doc**: better linkage to node-addon-api (Michael Dawson) [#24371](https://github.com/nodejs/node/pull/24371)
* \[[`ae3a19486f`](https://github.com/nodejs/node/commit/ae3a19486f)] - **doc**: update collaborator guide with LTS labels (Charalampos Fanoulis) [#24379](https://github.com/nodejs/node/pull/24379)
* \[[`e111d71e60`](https://github.com/nodejs/node/commit/e111d71e60)] - **doc**: document http request.finished boolean (Thomas Watson) [#24319](https://github.com/nodejs/node/pull/24319)
* \[[`1ca3c9d3e2`](https://github.com/nodejs/node/commit/1ca3c9d3e2)] - **doc**: document NODE\_TLS\_REJECT\_UNAUTHORIZED (cjihrig) [#24289](https://github.com/nodejs/node/pull/24289)
* \[[`68aecff860`](https://github.com/nodejs/node/commit/68aecff860)] - **doc**: clarify issues and pull requests guidance (Rich Trott) [#24316](https://github.com/nodejs/node/pull/24316)
* \[[`ac3e264f1c`](https://github.com/nodejs/node/commit/ac3e264f1c)] - **doc**: fix comma splices in process.md (Rich Trott) [#24357](https://github.com/nodejs/node/pull/24357)
* \[[`672879f406`](https://github.com/nodejs/node/commit/672879f406)] - **doc**: use real protocol names in ALPN example (Sam Roberts) [#24232](https://github.com/nodejs/node/pull/24232)
* \[[`8a60798f4c`](https://github.com/nodejs/node/commit/8a60798f4c)] - **doc**: update core-validate-commit url (Daijiro Wachi) [#24331](https://github.com/nodejs/node/pull/24331)
* \[[`a9a6cb1b06`](https://github.com/nodejs/node/commit/a9a6cb1b06)] - **doc**: fix echo example programs (Sam Roberts) [#24235](https://github.com/nodejs/node/pull/24235)
* \[[`90f3f5e88f`](https://github.com/nodejs/node/commit/90f3f5e88f)] - **doc**: clarify allowed encoding parameter types (Sam Roberts) [#24230](https://github.com/nodejs/node/pull/24230)
* \[[`4209e122b7`](https://github.com/nodejs/node/commit/4209e122b7)] - **doc**: correct async\_hooks resource names (Gerhard Stoebich) [#24001](https://github.com/nodejs/node/pull/24001)
* \[[`d2cc9d72b6`](https://github.com/nodejs/node/commit/d2cc9d72b6)] - **doc**: sort bottom-of-file markdown links (Sam Roberts) [#24679](https://github.com/nodejs/node/pull/24679)
* \[[`b4c1d8273c`](https://github.com/nodejs/node/commit/b4c1d8273c)] - **doc**: update fs.open() changes record for optional 'flags' (Rod Vagg) [#24240](https://github.com/nodejs/node/pull/24240)
* \[[`cf209171c9`](https://github.com/nodejs/node/commit/cf209171c9)] - **doc**: add links to Stream section (Dmitry Igrishin) [#24301](https://github.com/nodejs/node/pull/24301)
* \[[`0260db525a`](https://github.com/nodejs/node/commit/0260db525a)] - **doc**: correct async\_hooks sample outputs (Gerhard Stoebich) [#24050](https://github.com/nodejs/node/pull/24050)
* \[[`c8d2635ed1`](https://github.com/nodejs/node/commit/c8d2635ed1)] - **doc**: add oyyd to collaborators (Ouyang Yadong) [#24300](https://github.com/nodejs/node/pull/24300)
* \[[`b305db8634`](https://github.com/nodejs/node/commit/b305db8634)] - **doc**: edit BUILDING.md (Rich Trott) [#24243](https://github.com/nodejs/node/pull/24243)
* \[[`abe3edad48`](https://github.com/nodejs/node/commit/abe3edad48)] - **doc**: fix code examples in stream.md (Grant Carthew) [#24112](https://github.com/nodejs/node/pull/24112)
* \[[`31441f42c4`](https://github.com/nodejs/node/commit/31441f42c4)] - **doc**: describe what tls servername is for (Sam Roberts) [#24236](https://github.com/nodejs/node/pull/24236)
* \[[`cc688bb23f`](https://github.com/nodejs/node/commit/cc688bb23f)] - **doc**: fix some inconsistent use of hostname (Sam Roberts) [#24199](https://github.com/nodejs/node/pull/24199)
* \[[`6f3bc0d28a`](https://github.com/nodejs/node/commit/6f3bc0d28a)] - **doc, test**: document and test vm timeout escapes (James M Snell) [#23743](https://github.com/nodejs/node/pull/23743)
* \[[`ef8c1deda6`](https://github.com/nodejs/node/commit/ef8c1deda6)] - **doc,meta**: update PR approving info (Vse Mozhet Byt) [#24561](https://github.com/nodejs/node/pull/24561)
* \[[`be56fb7ab9`](https://github.com/nodejs/node/commit/be56fb7ab9)] - **events**: extract listener check as a function (ZYSzys) [#24303](https://github.com/nodejs/node/pull/24303)
* \[[`4a16a4da45`](https://github.com/nodejs/node/commit/4a16a4da45)] - **fs**: inline typeof check (dexterleng) [#24390](https://github.com/nodejs/node/pull/24390)
* \[[`35d2397ae5`](https://github.com/nodejs/node/commit/35d2397ae5)] - **http**: remove obsolete function escapeHeaderValue (Lauri Piisang) [#24173](https://github.com/nodejs/node/pull/24173)
* \[[`8df4a168b3`](https://github.com/nodejs/node/commit/8df4a168b3)] - **http2**: replace unreachable error with assertion (Rich Trott) [#24407](https://github.com/nodejs/node/pull/24407)
* \[[`5516fbf1d7`](https://github.com/nodejs/node/commit/5516fbf1d7)] - **http2**: order declarations in http2.js (ZYSzys) [#24411](https://github.com/nodejs/node/pull/24411)
* \[[`5e3c6799cb`](https://github.com/nodejs/node/commit/5e3c6799cb)] - **http2**: elevate v8 namespaces of repeated references (Gagandeep Singh) [#24453](https://github.com/nodejs/node/pull/24453)
* \[[`4246a40b30`](https://github.com/nodejs/node/commit/4246a40b30)] - **lib**: move encodeStr function to internal for reusable (ZYSzys) [#24242](https://github.com/nodejs/node/pull/24242)
* \[[`6bd055f7de`](https://github.com/nodejs/node/commit/6bd055f7de)] - **lib**: refactor setupInspector in bootstrap/node.js (leeight) [#24446](https://github.com/nodejs/node/pull/24446)
* \[[`62a5679ca3`](https://github.com/nodejs/node/commit/62a5679ca3)] - **lib**: set stderr.\_destroy to dummyDestroy (Joyee Cheung) [#24398](https://github.com/nodejs/node/pull/24398)
* \[[`3450a4c536`](https://github.com/nodejs/node/commit/3450a4c536)] - **lib**: gather all errors constant in the same place for consistency (ZYSzys) [#24038](https://github.com/nodejs/node/pull/24038)
* \[[`5c2c5b9094`](https://github.com/nodejs/node/commit/5c2c5b9094)] - **lib**: improved conditional check in zlib (Dan Corman) [#24190](https://github.com/nodejs/node/pull/24190)
* \[[`7527632235`](https://github.com/nodejs/node/commit/7527632235)] - **lib**: adjust params from uvExceptionWithHostPort (msmichellegar) [#24159](https://github.com/nodejs/node/pull/24159)
* \[[`3966b698f6`](https://github.com/nodejs/node/commit/3966b698f6)] - **lib**: combine contructor, tag, Object into a function (Paul Isache) [#24171](https://github.com/nodejs/node/pull/24171)
* \[[`c84b420457`](https://github.com/nodejs/node/commit/c84b420457)] - _**Revert**_ "**net**: partially revert "simplify Socket.prototype.\_final"" (Anna Henningsen) [#24290](https://github.com/nodejs/node/pull/24290)
* \[[`0c2d1d57e8`](https://github.com/nodejs/node/commit/0c2d1d57e8)] - **net**: add comments explaining error check (Steven Gabarro) [#24222](https://github.com/nodejs/node/pull/24222)
* \[[`2d0105c751`](https://github.com/nodejs/node/commit/2d0105c751)] - **net**: remove unreachable check in internalConnect (Philipp Dunkel) [#24158](https://github.com/nodejs/node/pull/24158)
* \[[`897114bf94`](https://github.com/nodejs/node/commit/897114bf94)] - **net**: partially revert "simplify Socket.prototype.\_final" (Anna Henningsen) [#24288](https://github.com/nodejs/node/pull/24288)
* \[[`10a27277ad`](https://github.com/nodejs/node/commit/10a27277ad)] - **net**: simplify Socket.prototype.\_final (Anna Henningsen) [#24075](https://github.com/nodejs/node/pull/24075)
* \[[`b7876ba6e1`](https://github.com/nodejs/node/commit/b7876ba6e1)] - **src**: elevate namespaces for repeated entities (Sarath Govind K K) [#24475](https://github.com/nodejs/node/pull/24475)
* \[[`4b82aa80fe`](https://github.com/nodejs/node/commit/4b82aa80fe)] - **src**: elevate namespaces of repeated artifacts (Maya Anilson) [#24429](https://github.com/nodejs/node/pull/24429)
* \[[`bfde244576`](https://github.com/nodejs/node/commit/bfde244576)] - **src**: elevate repeated use of v8 namespaced type (Shubham Urkade) [#24427](https://github.com/nodejs/node/pull/24427)
* \[[`be14283bcd`](https://github.com/nodejs/node/commit/be14283bcd)] - **src**: use smart pointers in cares\_wrap.cc (Daniel Bevenius) [#23813](https://github.com/nodejs/node/pull/23813)
* \[[`fa52ba621b`](https://github.com/nodejs/node/commit/fa52ba621b)] - **src**: elevate v8 namespaces of referenced artifacts (Kanika Singhal) [#24424](https://github.com/nodejs/node/pull/24424)
* \[[`9a69d030ce`](https://github.com/nodejs/node/commit/9a69d030ce)] - **src**: reuse std::make\_unique (alyssaq) [#24132](https://github.com/nodejs/node/pull/24132)
* \[[`44a1993e9d`](https://github.com/nodejs/node/commit/44a1993e9d)] - **src**: avoid extra `Persistent` in `DefaultTriggerAsyncIdScope` (Anna Henningsen) [#23844](https://github.com/nodejs/node/pull/23844)
* \[[`15d05bbf02`](https://github.com/nodejs/node/commit/15d05bbf02)] - **src**: simplify `TimerFunctionCall()` in `node_perf.cc` (Anna Henningsen) [#23782](https://github.com/nodejs/node/pull/23782)
* \[[`383d512ed7`](https://github.com/nodejs/node/commit/383d512ed7)] - **src**: memory management using smart pointer (Uttam Pawar) [#23628](https://github.com/nodejs/node/pull/23628)
* \[[`ffb4087def`](https://github.com/nodejs/node/commit/ffb4087def)] - **src**: remove function hasTextDecoder in encoding.js (Chi-chi Wang) [#23625](https://github.com/nodejs/node/pull/23625)
* \[[`fa60eb83be`](https://github.com/nodejs/node/commit/fa60eb83be)] - **stream**: correctly pause and resume after once('readable') (Matteo Collina) [#24366](https://github.com/nodejs/node/pull/24366)
* \[[`a7c1d0908a`](https://github.com/nodejs/node/commit/a7c1d0908a)] - **stream**: do not use crypto.DEFAULT\_ENCODING in lazy\_transform.js (Joyee Cheung) [#24396](https://github.com/nodejs/node/pull/24396)
* \[[`965098a8ca`](https://github.com/nodejs/node/commit/965098a8ca)] - **stream**: change comment on duplex stream options (Jesse W. Collins) [#24247](https://github.com/nodejs/node/pull/24247)
* \[[`6ce4ef3387`](https://github.com/nodejs/node/commit/6ce4ef3387)] - **stream**: make `.destroy()` interact better with write queue (Anna Henningsen) [#24062](https://github.com/nodejs/node/pull/24062)
* \[[`bdab2e98f1`](https://github.com/nodejs/node/commit/bdab2e98f1)] - **test**: mark test-cli-node-options flaky on arm (Rich Trott) [#25032](https://github.com/nodejs/node/pull/25032)
* \[[`e5c4759eab`](https://github.com/nodejs/node/commit/e5c4759eab)] - **test**: use destructuring on require (Juan José Arboleda) [#24455](https://github.com/nodejs/node/pull/24455)
* \[[`cb860870cd`](https://github.com/nodejs/node/commit/cb860870cd)] - **test**: fix test case in test-child-process-fork-dgram.js (gengjiawen) [#24459](https://github.com/nodejs/node/pull/24459)
* \[[`9d7cb1f6d7`](https://github.com/nodejs/node/commit/9d7cb1f6d7)] - **test**: replace callback with arrow functions (sreepurnajasti) [#24541](https://github.com/nodejs/node/pull/24541)
* \[[`a9795f701d`](https://github.com/nodejs/node/commit/a9795f701d)] - **test**: replace callback with arrow function (potham) [#24531](https://github.com/nodejs/node/pull/24531)
* \[[`088b0db932`](https://github.com/nodejs/node/commit/088b0db932)] - **test**: replace anonymous function with arrow (Gagandeep Singh) [#24527](https://github.com/nodejs/node/pull/24527)
* \[[`083925def0`](https://github.com/nodejs/node/commit/083925def0)] - **test**: replace anonymous function with arrow (Gagandeep Singh) [#24526](https://github.com/nodejs/node/pull/24526)
* \[[`95ba7615d1`](https://github.com/nodejs/node/commit/95ba7615d1)] - **test**: add information to assertion (Rich Trott) [#24566](https://github.com/nodejs/node/pull/24566)
* \[[`313eaf958d`](https://github.com/nodejs/node/commit/313eaf958d)] - **test**: replace anonymous function with arrow func (Gagandeep Singh) [#24525](https://github.com/nodejs/node/pull/24525)
* \[[`6b904f6799`](https://github.com/nodejs/node/commit/6b904f6799)] - **test**: change anonymous closure function to arrow function (Nethra Ravindran) [#24433](https://github.com/nodejs/node/pull/24433)
* \[[`46e63a2a78`](https://github.com/nodejs/node/commit/46e63a2a78)] - **test**: replace closure functions with arrow functions (Gagandeep Singh) [#24522](https://github.com/nodejs/node/pull/24522)
* \[[`8e6729bb82`](https://github.com/nodejs/node/commit/8e6729bb82)] - **test**: replace anonymous function with arrow function (Gagandeep Singh) [#24529](https://github.com/nodejs/node/pull/24529)
* \[[`54abfda5d3`](https://github.com/nodejs/node/commit/54abfda5d3)] - **test**: favor arrow function in callback (Pranay Kothapalli) [#24542](https://github.com/nodejs/node/pull/24542)
* \[[`d82c0de250`](https://github.com/nodejs/node/commit/d82c0de250)] - **test**: remove unused reject handlers (Dan Foley) [#24540](https://github.com/nodejs/node/pull/24540)
* \[[`e0a11142b4`](https://github.com/nodejs/node/commit/e0a11142b4)] - **test**: refactor test to use arrow functions (sagirk) [#24479](https://github.com/nodejs/node/pull/24479)
* \[[`7dd64858c2`](https://github.com/nodejs/node/commit/7dd64858c2)] - **test**: replace closure with arrow function (Maya Anilson) [#24489](https://github.com/nodejs/node/pull/24489)
* \[[`d71a607a09`](https://github.com/nodejs/node/commit/d71a607a09)] - **test**: using arrow functions (NoSkillGirl) [#24436](https://github.com/nodejs/node/pull/24436)
* \[[`5b1fd6e246`](https://github.com/nodejs/node/commit/5b1fd6e246)] - **test**: replace anonymous closure with arrow func (suman-mitra) [#24480](https://github.com/nodejs/node/pull/24480)
* \[[`b7b6c12510`](https://github.com/nodejs/node/commit/b7b6c12510)] - **test**: replace callback with arrow functions (sreepurnajasti) [#24490](https://github.com/nodejs/node/pull/24490)
* \[[`e02d553f7b`](https://github.com/nodejs/node/commit/e02d553f7b)] - **test**: replcae anonymous closure with arrow function (Sarath Govind K K) [#24476](https://github.com/nodejs/node/pull/24476)
* \[[`351e69d5c5`](https://github.com/nodejs/node/commit/351e69d5c5)] - **test**: refactor test-http-write-empty-string to use arrow functions (sagirk) [#24483](https://github.com/nodejs/node/pull/24483)
* \[[`d245f53db4`](https://github.com/nodejs/node/commit/d245f53db4)] - **test**: replace anonymous closure with arrow functions (suman-mitra) [#24481](https://github.com/nodejs/node/pull/24481)
* \[[`8734c679f8`](https://github.com/nodejs/node/commit/8734c679f8)] - **test**: add whatwg-encoding TextDecoder custom inspection with showHidden (ZauberNerd) [#24166](https://github.com/nodejs/node/pull/24166)
* \[[`7920e7bfb4`](https://github.com/nodejs/node/commit/7920e7bfb4)] - **test**: replace anonymous closure functions with arrow functions (sagirk) [#24478](https://github.com/nodejs/node/pull/24478)
* \[[`283a6b86bb`](https://github.com/nodejs/node/commit/283a6b86bb)] - **test**: replace anonymous closure functions with arrow function (Abhishek Dixit) [#24420](https://github.com/nodejs/node/pull/24420)
* \[[`66c3dcab72`](https://github.com/nodejs/node/commit/66c3dcab72)] - **test**: replace anonymous closure with arrow funct (Prabu Subra) [#24439](https://github.com/nodejs/node/pull/24439)
* \[[`e7d41c0312`](https://github.com/nodejs/node/commit/e7d41c0312)] - **test**: modify order of parameters for assertion (Mrityunjoy Saha) [#24430](https://github.com/nodejs/node/pull/24430)
* \[[`164069cdb0`](https://github.com/nodejs/node/commit/164069cdb0)] - **test**: replace closure with arrow functions (kanishk30) [#24440](https://github.com/nodejs/node/pull/24440)
* \[[`f129e2c063`](https://github.com/nodejs/node/commit/f129e2c063)] - **test**: replace anonymous closure function with arrow function (Kunda Sunil Kumar) [#24435](https://github.com/nodejs/node/pull/24435)
* \[[`94553b2ea5`](https://github.com/nodejs/node/commit/94553b2ea5)] - **test**: add typeerror test for EC crypto keygen (Matteo) [#24400](https://github.com/nodejs/node/pull/24400)
* \[[`1ec6923276`](https://github.com/nodejs/node/commit/1ec6923276)] - **test**: compare objects not identical by reference (Marie Terrier) [#24189](https://github.com/nodejs/node/pull/24189)
* \[[`4425926452`](https://github.com/nodejs/node/commit/4425926452)] - **test**: change anonymous closure functions to arrow functions (Namit Bhalla) [#24418](https://github.com/nodejs/node/pull/24418)
* \[[`40773c0f2a`](https://github.com/nodejs/node/commit/40773c0f2a)] - **test**: use print() function on both Python 2 and 3 (cclauss) [#24485](https://github.com/nodejs/node/pull/24485)
* \[[`2ffbde3963`](https://github.com/nodejs/node/commit/2ffbde3963)] - **test**: favor arrow functions in callbacks (UjjwalUpadhyay) [#24425](https://github.com/nodejs/node/pull/24425)
* \[[`8f7326c369`](https://github.com/nodejs/node/commit/8f7326c369)] - **test**: replace anonymous closure functions with arrow function (Amanpreet) [#24417](https://github.com/nodejs/node/pull/24417)
* \[[`644a9d6919`](https://github.com/nodejs/node/commit/644a9d6919)] - **test**: fix arguments order in napi test\_exception (kanishk30) [#24413](https://github.com/nodejs/node/pull/24413)
* \[[`abe9778ea4`](https://github.com/nodejs/node/commit/abe9778ea4)] - **test**: fix the arguments order in `assert.strictEqual` (Jay Arthanareeswaran) [#24416](https://github.com/nodejs/node/pull/24416)
* \[[`94d200fe46`](https://github.com/nodejs/node/commit/94d200fe46)] - **test**: replace closure with arrow functions (Amanpreet) [#24438](https://github.com/nodejs/node/pull/24438)
* \[[`380da0473a`](https://github.com/nodejs/node/commit/380da0473a)] - **test**: change callback function to arrow function (Jay Arthanareeswaran) [#24419](https://github.com/nodejs/node/pull/24419)
* \[[`5ad224d6ae`](https://github.com/nodejs/node/commit/5ad224d6ae)] - **test**: fix the arguments order in `assert.strictEqual` (apoorvanand) [#24431](https://github.com/nodejs/node/pull/24431)
* \[[`52259d71d6`](https://github.com/nodejs/node/commit/52259d71d6)] - **test**: assertion equality fix (NoSkillGirl) [#24422](https://github.com/nodejs/node/pull/24422)
* \[[`2d25cddbc1`](https://github.com/nodejs/node/commit/2d25cddbc1)] - **test**: remove unused function arguments in async-hooks tests (Simon Bruce) [#24406](https://github.com/nodejs/node/pull/24406)
* \[[`c29c510b5a`](https://github.com/nodejs/node/commit/c29c510b5a)] - **test**: fix actual parameter order for 'assert.strictEqual' (Selvaraj) [#24428](https://github.com/nodejs/node/pull/24428)
* \[[`bf3bed56db`](https://github.com/nodejs/node/commit/bf3bed56db)] - **test**: swap actual\&optional params (Nikhil M) [#24426](https://github.com/nodejs/node/pull/24426)
* \[[`d2d6287355`](https://github.com/nodejs/node/commit/d2d6287355)] - **test**: skip test that use --tls-v1.x flags (Daniel Bevenius) [#24376](https://github.com/nodejs/node/pull/24376)
* \[[`39a561b3bc`](https://github.com/nodejs/node/commit/39a561b3bc)] - **test**: change callback function to arrow function (Lakshmi Shanmugam) [#24421](https://github.com/nodejs/node/pull/24421)
* \[[`f4c2d9efbc`](https://github.com/nodejs/node/commit/f4c2d9efbc)] - **test**: replace anonymous closure for test-http-expect-handling.js (Jayasankar) [#24423](https://github.com/nodejs/node/pull/24423)
* \[[`cf7bf27325`](https://github.com/nodejs/node/commit/cf7bf27325)] - **test**: replace callback functions with arrow functions (potham) [#24432](https://github.com/nodejs/node/pull/24432)
* \[[`518bc9679d`](https://github.com/nodejs/node/commit/518bc9679d)] - **test**: use arrow functions for callbacks (Pushkal B) [#24444](https://github.com/nodejs/node/pull/24444)
* \[[`53973fde9d`](https://github.com/nodejs/node/commit/53973fde9d)] - **test**: replace anonymous closure function (Jayasankar) [#24415](https://github.com/nodejs/node/pull/24415)
* \[[`555ef65042`](https://github.com/nodejs/node/commit/555ef65042)] - **test**: fixed the arguments order in `assert.strictEqual` (Lakshmi Shanmugam) [#24414](https://github.com/nodejs/node/pull/24414)
* \[[`3b6135ff2c`](https://github.com/nodejs/node/commit/3b6135ff2c)] - **test**: use destructuring and remove unused arguments (Julia) [#24375](https://github.com/nodejs/node/pull/24375)
* \[[`8c8199211b`](https://github.com/nodejs/node/commit/8c8199211b)] - **test**: https agent clientcertengine coverage (Osmond van Hemert) [#24248](https://github.com/nodejs/node/pull/24248)
* \[[`987df276cb`](https://github.com/nodejs/node/commit/987df276cb)] - **test**: remove unused function arguments in async-hooks tests (Rich Trott) [#24368](https://github.com/nodejs/node/pull/24368)
* \[[`585db59b0a`](https://github.com/nodejs/node/commit/585db59b0a)] - **test**: add typeerror for vm/compileFunction params (Dan Corman) [#24179](https://github.com/nodejs/node/pull/24179)
* \[[`6cad1b6877`](https://github.com/nodejs/node/commit/6cad1b6877)] - **test**: deep object to table not covered (Osmond van Hemert) [#24257](https://github.com/nodejs/node/pull/24257)
* \[[`916ead940d`](https://github.com/nodejs/node/commit/916ead940d)] - **test**: add tests for Socket.setNoDelay (James Herrington) [#24250](https://github.com/nodejs/node/pull/24250)
* \[[`fbdfd608dd`](https://github.com/nodejs/node/commit/fbdfd608dd)] - **test**: add process no deprecation (razvanbh) [#24196](https://github.com/nodejs/node/pull/24196)
* \[[`b29b23546d`](https://github.com/nodejs/node/commit/b29b23546d)] - **test**: fix arguments order in assertions (Emanuel Kluge) [#24149](https://github.com/nodejs/node/pull/24149)
* \[[`d4fd76a782`](https://github.com/nodejs/node/commit/d4fd76a782)] - **test**: remove unused parameters in function definition (Paul Hodgson) [#24268](https://github.com/nodejs/node/pull/24268)
* \[[`817d871327`](https://github.com/nodejs/node/commit/817d871327)] - **test**: esm loader unknown builtin module (Fran Herrero) [#24183](https://github.com/nodejs/node/pull/24183)
* \[[`8728361533`](https://github.com/nodejs/node/commit/8728361533)] - **test**: fixed order of actual and expected arguments (kiyomizumia) [#24178](https://github.com/nodejs/node/pull/24178)
* \[[`e21d784cf8`](https://github.com/nodejs/node/commit/e21d784cf8)] - **test**: add else and error case for TextDecoder (Lauri Piisang) [#24162](https://github.com/nodejs/node/pull/24162)
* \[[`aba7b47e5c`](https://github.com/nodejs/node/commit/aba7b47e5c)] - **test**: url format path ending hashchar not covered (Osmond van Hemert) [#24259](https://github.com/nodejs/node/pull/24259)
* \[[`9970d562c6`](https://github.com/nodejs/node/commit/9970d562c6)] - **test**: test add and remove for lib/domain (Petar Dodev) [#24163](https://github.com/nodejs/node/pull/24163)
* \[[`51643c208e`](https://github.com/nodejs/node/commit/51643c208e)] - **test**: fix args order in process-getactiverequests (Vladyslav Kopylash) [#24186](https://github.com/nodejs/node/pull/24186)
* \[[`454ede2d90`](https://github.com/nodejs/node/commit/454ede2d90)] - **test**: check control characters replacing (Alessandro Gatti) [#24182](https://github.com/nodejs/node/pull/24182)
* \[[`4d1a80363a`](https://github.com/nodejs/node/commit/4d1a80363a)] - **test**: fix v8 Set/Get compiler warnings (Daniel Bevenius) [#24246](https://github.com/nodejs/node/pull/24246)
* \[[`a30f5a02b8`](https://github.com/nodejs/node/commit/a30f5a02b8)] - **test**: fix flaky test-vm-timeout-escape-nexttick (Rich Trott) [#24251](https://github.com/nodejs/node/pull/24251)
* \[[`1bceb9d397`](https://github.com/nodejs/node/commit/1bceb9d397)] - **test**: fix test-repl-envvars (Anna Henningsen) [#25226](https://github.com/nodejs/node/pull/25226)
* \[[`d04c3c2718`](https://github.com/nodejs/node/commit/d04c3c2718)] - **test**: move benchmark tests out of main test suite (Rich Trott) [#24265](https://github.com/nodejs/node/pull/24265)
* \[[`09bb49165f`](https://github.com/nodejs/node/commit/09bb49165f)] - **test**: fix strictEqual argument order (Martin Kask) [#24153](https://github.com/nodejs/node/pull/24153)
* \[[`704d886000`](https://github.com/nodejs/node/commit/704d886000)] - **test**: correct order of args in assert.strictEqual() (Natalie Cluer) [#24157](https://github.com/nodejs/node/pull/24157)
* \[[`63dc2214f9`](https://github.com/nodejs/node/commit/63dc2214f9)] - **test**: add test case for completion bash flag (Aivo Paas) [#24168](https://github.com/nodejs/node/pull/24168)
* \[[`dd67f39ae2`](https://github.com/nodejs/node/commit/dd67f39ae2)] - **test**: add test for deepEqual Float32Array (Yehiyam Livneh) [#24164](https://github.com/nodejs/node/pull/24164)
* \[[`2359273868`](https://github.com/nodejs/node/commit/2359273868)] - **test**: fix arguments order in assert.strictEqual() (Ulises Santana Suárez) [#24192](https://github.com/nodejs/node/pull/24192)
* \[[`3bb63721e3`](https://github.com/nodejs/node/commit/3bb63721e3)] - **test**: fix assert.strictEqual argument order (John Mc Quillan) [#24172](https://github.com/nodejs/node/pull/24172)
* \[[`a6f786dee9`](https://github.com/nodejs/node/commit/a6f786dee9)] - **test**: replacing fixture directory with temp (saurabhSiddhu) [#24077](https://github.com/nodejs/node/pull/24077)
* \[[`704b68aee4`](https://github.com/nodejs/node/commit/704b68aee4)] - **test**: increase coverage internal readline (Berry de Witte) [#24150](https://github.com/nodejs/node/pull/24150)
* \[[`d8ac55a012`](https://github.com/nodejs/node/commit/d8ac55a012)] - **test**: use NULL instead of 0 in common.h (Daniel Bevenius) [#24104](https://github.com/nodejs/node/pull/24104)
* \[[`4b9518dba3`](https://github.com/nodejs/node/commit/4b9518dba3)] - **test**: move test-fs-watch-system-limit from sequential to pummel (Marcus Scott) [#23692](https://github.com/nodejs/node/pull/23692)
* \[[`4054c24cac`](https://github.com/nodejs/node/commit/4054c24cac)] - **test**: fix uses of deprecated assert.fail with multiple args (ivan.filenko) [#23673](https://github.com/nodejs/node/pull/23673)
* \[[`c417c7a89a`](https://github.com/nodejs/node/commit/c417c7a89a)] - **test**: use assert.strictEqual instead of assert.equal (ivan.filenko) [#23673](https://github.com/nodejs/node/pull/23673)
* \[[`1b5b1cc08b`](https://github.com/nodejs/node/commit/1b5b1cc08b)] - **test**: add test for strictDeepEqual (Nikita Malyschkin) [#24197](https://github.com/nodejs/node/pull/24197)
* \[[`cd2dedfa4f`](https://github.com/nodejs/node/commit/cd2dedfa4f)] - **test**: add coverage for systemerror set name (Amer Alimanović) [#24200](https://github.com/nodejs/node/pull/24200)
* \[[`9fa71468f5`](https://github.com/nodejs/node/commit/9fa71468f5)] - **test**: fix order of arguments in assert.strictEqual (Alex Seifert) [#24145](https://github.com/nodejs/node/pull/24145)
* \[[`2d6e942035`](https://github.com/nodejs/node/commit/2d6e942035)] - **test**: add test for 'ERR\_INVALID\_CALLBACK' (razvanbh) [#24224](https://github.com/nodejs/node/pull/24224)
* \[[`540b741ae2`](https://github.com/nodejs/node/commit/540b741ae2)] - **test**: add coverage for escape key switch case (Artur Daschevici) [#24194](https://github.com/nodejs/node/pull/24194)
* \[[`53b12c3731`](https://github.com/nodejs/node/commit/53b12c3731)] - **test**: fix NewFromUtf8 compiler warning (Daniel Bevenius) [#24216](https://github.com/nodejs/node/pull/24216)
* \[[`8e9ff69d7f`](https://github.com/nodejs/node/commit/8e9ff69d7f)] - **test**: add error code tests in dgram test (Mark Arranz) [#24215](https://github.com/nodejs/node/pull/24215)
* \[[`e57a5c3734`](https://github.com/nodejs/node/commit/e57a5c3734)] - **test**: fix order of arguments in test-delayed-require assertion (reineke-fox) [#24165](https://github.com/nodejs/node/pull/24165)
* \[[`d7a3a3bd9f`](https://github.com/nodejs/node/commit/d7a3a3bd9f)] - **test**: change arguments order in strictEqual (Paul Isache) [#24156](https://github.com/nodejs/node/pull/24156)
* \[[`efd697bc57`](https://github.com/nodejs/node/commit/efd697bc57)] - **test**: switch order of strictEqual arguments (Jonah Polack) [#24185](https://github.com/nodejs/node/pull/24185)
* \[[`9052a22dd1`](https://github.com/nodejs/node/commit/9052a22dd1)] - **test**: fix the arguments order in `assert.strictEqual` (mzucker) [#24227](https://github.com/nodejs/node/pull/24227)
* \[[`d7722dd9d8`](https://github.com/nodejs/node/commit/d7722dd9d8)] - **test**: fix the arguments order in `assert.strictEqual` (mzucker) [#24226](https://github.com/nodejs/node/pull/24226)
* \[[`2e0d3c9de9`](https://github.com/nodejs/node/commit/2e0d3c9de9)] - **test**: fix order in assert.strictEqual to actual, expected (Kevin Seidel) [#24184](https://github.com/nodejs/node/pull/24184)
* \[[`b63e9cb3fe`](https://github.com/nodejs/node/commit/b63e9cb3fe)] - **test**: fix arguments order in assert.strictEqual (szabolcsit) [#24143](https://github.com/nodejs/node/pull/24143)
* \[[`e0c6f5cbf7`](https://github.com/nodejs/node/commit/e0c6f5cbf7)] - **test**: fix assert argument order (Manish Poddar) [#24160](https://github.com/nodejs/node/pull/24160)
* \[[`fc84ccd0f0`](https://github.com/nodejs/node/commit/fc84ccd0f0)] - **test**: removed extraneous argument 's' (Jackson Chui) [#24213](https://github.com/nodejs/node/pull/24213)
* \[[`90f98905f1`](https://github.com/nodejs/node/commit/90f98905f1)] - **test**: fix arguments order in test-fs-write-buffer (razvanbh) [#24155](https://github.com/nodejs/node/pull/24155)
* \[[`1588fba73f`](https://github.com/nodejs/node/commit/1588fba73f)] - **test**: fix argument order in assert.strictEqual() (Clement) [#24147](https://github.com/nodejs/node/pull/24147)
* \[[`f46fa9072a`](https://github.com/nodejs/node/commit/f46fa9072a)] - **test**: switch arguments in strictEqual (Mathieu Pavageau) [#24141](https://github.com/nodejs/node/pull/24141)
* \[[`8f2bdaca69`](https://github.com/nodejs/node/commit/8f2bdaca69)] - **test**: fix arguments order (Simona Cotin) [#24151](https://github.com/nodejs/node/pull/24151)
* \[[`380789eb68`](https://github.com/nodejs/node/commit/380789eb68)] - **test**: fixe argument order in assert.strictEqual (Marc Posth) [#24140](https://github.com/nodejs/node/pull/24140)
* \[[`cd07b02472`](https://github.com/nodejs/node/commit/cd07b02472)] - **test**: fixing arguments order in `assert.strictEqual()` (G. Carcaci) [#24152](https://github.com/nodejs/node/pull/24152)
* \[[`6e8fa5361a`](https://github.com/nodejs/node/commit/6e8fa5361a)] - **test**: add tests for OutgoingMessage setTimeout (Robin Drexler) [#24148](https://github.com/nodejs/node/pull/24148)
* \[[`abf9bd15db`](https://github.com/nodejs/node/commit/abf9bd15db)] - **test**: swap expected and actual in assert.strictEqual (Florin-Daniel BÎLBÎE) [#24146](https://github.com/nodejs/node/pull/24146)
* \[[`f0eee63ee0`](https://github.com/nodejs/node/commit/f0eee63ee0)] - **test**: fix assert parameter order (Roland Broekema) [#24144](https://github.com/nodejs/node/pull/24144)
* \[[`78a320130d`](https://github.com/nodejs/node/commit/78a320130d)] - **test**: change order of assert.strictEqual() (Remy Parzinski) [#24142](https://github.com/nodejs/node/pull/24142)
* \[[`64fd19f102`](https://github.com/nodejs/node/commit/64fd19f102)] - **test**: fix invalid argument order in test-http-expect-continue.js (Morgan Roderick) [#24138](https://github.com/nodejs/node/pull/24138)
* \[[`2d88af354f`](https://github.com/nodejs/node/commit/2d88af354f)] - **test**: strictEqual argument order (actual, expected) (Ahmad Nassri) [#24137](https://github.com/nodejs/node/pull/24137)
* \[[`11a84a7b32`](https://github.com/nodejs/node/commit/11a84a7b32)] - **test**: swap the order of arguments (Musa Hamwala) [#24134](https://github.com/nodejs/node/pull/24134)
* \[[`e599889649`](https://github.com/nodejs/node/commit/e599889649)] - **test**: fs readfile, swap arguments in strictEqual (Petar Dodev) [#24133](https://github.com/nodejs/node/pull/24133)
* \[[`c37b3196b6`](https://github.com/nodejs/node/commit/c37b3196b6)] - **test**: fix arguments order (Fran Herrero) [#24131](https://github.com/nodejs/node/pull/24131)
* \[[`74f1dad613`](https://github.com/nodejs/node/commit/74f1dad613)] - **test**: http-client-timeout error assert arguments (Tadhg Creedon) [#24130](https://github.com/nodejs/node/pull/24130)
* \[[`b16311b19f`](https://github.com/nodejs/node/commit/b16311b19f)] - **test**: mark test-vm-timeout-\* known issue tests flaky (James M Snell) [#23743](https://github.com/nodejs/node/pull/23743)
* \[[`0f6a9524f8`](https://github.com/nodejs/node/commit/0f6a9524f8)] - **tls**: destroy TLS socket if StreamWrap is destroyed (Anna Henningsen) [#24290](https://github.com/nodejs/node/pull/24290)
* \[[`0c73221699`](https://github.com/nodejs/node/commit/0c73221699)] - **tls**: do not rely on 'drain' handlers in StreamWrap (Anna Henningsen) [#24290](https://github.com/nodejs/node/pull/24290)
* \[[`3170cb49d8`](https://github.com/nodejs/node/commit/3170cb49d8)] - **tls**: throw if protocol too long (Andre Jodat-Danbrani) [#23606](https://github.com/nodejs/node/pull/23606)
* \[[`cc4d866697`](https://github.com/nodejs/node/commit/cc4d866697)] - **tools**: update to remark-lint-preset-node\@1.2.0 (Rich Trott) [#24391](https://github.com/nodejs/node/pull/24391)
* \[[`21843c7659`](https://github.com/nodejs/node/commit/21843c7659)] - **tools**: fix `make lint-md-rollup` and run it (Daijiro Wachi) [#24333](https://github.com/nodejs/node/pull/24333)
* \[[`e8e93df148`](https://github.com/nodejs/node/commit/e8e93df148)] - **tools**: update remark-lint to v6.0.3 from v6.0.2 (Daijiro Wachi) [#24333](https://github.com/nodejs/node/pull/24333)
* \[[`2bed68f341`](https://github.com/nodejs/node/commit/2bed68f341)] - **tools**: update remark version to v10 from v8 (Daijiro Wachi) [#24333](https://github.com/nodejs/node/pull/24333)
* \[[`39ccf1461e`](https://github.com/nodejs/node/commit/39ccf1461e)] - **tools**: update ESLint to 5.9.0 (cjihrig) [#24280](https://github.com/nodejs/node/pull/24280)
* \[[`a1d7ed7de6`](https://github.com/nodejs/node/commit/a1d7ed7de6)] - **tracing**: fix static destruction order issue (Anna Henningsen) [#24123](https://github.com/nodejs/node/pull/24123)
* \[[`8c107a37f9`](https://github.com/nodejs/node/commit/8c107a37f9)] - **url**: make the context non-enumerable (Joyee Cheung) [#24218](https://github.com/nodejs/node/pull/24218)
* \[[`eeb4715a56`](https://github.com/nodejs/node/commit/eeb4715a56)] - **util**: remove unreachable branch (rahulshuklab4u) [#24447](https://github.com/nodejs/node/pull/24447)
* \[[`7576a518b8`](https://github.com/nodejs/node/commit/7576a518b8)] - **util**: deleted unreachable code from util.inspect (kiyomizumia) [#24187](https://github.com/nodejs/node/pull/24187)
* \[[`c6a43fa2ef`](https://github.com/nodejs/node/commit/c6a43fa2ef)] - **zlib**: do not leak on destroy (Mathias Buus) [#23734](https://github.com/nodejs/node/pull/23734)

## 2018-12-26, Version 10.15.0 'Dubnium' (LTS), @MylesBorins

The 10.14.0 security release introduced some unexpected breakages on the 10.x release line.
This is a special release to fix a regression in the HTTP binary upgrade response body and add
a missing CLI flag to adjust the max header size of the http parser.

### Notable Changes

* **cli**:
  * add --max-http-header-size flag (cjihrig) [#24811](https://github.com/nodejs/node/pull/24811)
* **http**:
  * add maxHeaderSize property (cjihrig) [#24860](https://github.com/nodejs/node/pull/24860)

### Commits

* \[[`9b2ffc81c0`](https://github.com/nodejs/node/commit/9b2ffc81c0)] - **(SEMVER-MINOR)** **cli**: add --max-http-header-size flag (cjihrig) [#24811](https://github.com/nodejs/node/pull/24811)
* \[[`6183c7107d`](https://github.com/nodejs/node/commit/6183c7107d)] - **(SEMVER-MINOR)** **deps**: cherry-pick http\_parser\_set\_max\_header\_size (cjihrig) [#24811](https://github.com/nodejs/node/pull/24811)
* \[[`e669733595`](https://github.com/nodejs/node/commit/e669733595)] - **doc**: describe current HTTP header size limit (Sam Roberts) [#24700](https://github.com/nodejs/node/pull/24700)
* \[[`b6d3afb257`](https://github.com/nodejs/node/commit/b6d3afb257)] - **(SEMVER-MINOR)** **http**: add maxHeaderSize property (cjihrig) [#24860](https://github.com/nodejs/node/pull/24860)
* \[[`1aea1e3634`](https://github.com/nodejs/node/commit/1aea1e3634)] - **http**: fix regression of binary upgrade response body (Matteo Collina) [#25039](https://github.com/nodejs/node/pull/25039)
* \[[`a57aed144a`](https://github.com/nodejs/node/commit/a57aed144a)] - **(SEMVER-MINOR)** **src**: add kUInteger parsing (Matteo Collina) [#24811](https://github.com/nodejs/node/pull/24811)
* \[[`527407c49f`](https://github.com/nodejs/node/commit/527407c49f)] - **src**: cache the result of GetOptions() in JS land (Joyee Cheung) [#24091](https://github.com/nodejs/node/pull/24091)
* \[[`728bc631e5`](https://github.com/nodejs/node/commit/728bc631e5)] - **test**: fix expectation in test-bootstrap-modules (Ali Ijaz Sheikh) [#25112](https://github.com/nodejs/node/pull/25112)
* \[[`3e14212f0e`](https://github.com/nodejs/node/commit/3e14212f0e)] - **test**: remove magic numbers in test-gc-http-client-onerror (Rich Trott) [#24943](https://github.com/nodejs/node/pull/24943)

## 2018-12-11, Version 10.14.2 'Dubnium' (LTS), @MylesBorins prepared by @codebytere

This LTS release comes with 374 commits. This includes 165 which are test or benchmark related,
77 which are doc related, 29 which are build / tool related and 15 commits which update dependencies.

### Notable Changes

* **deps**:
  * upgrade to c-ares v1.15.0 (Ben Noordhuis) [#23854](https://github.com/nodejs/node/pull/23854)
* **Windows**:
  * A crashing process will now show the names of stack frames if the node.pdb file is available. (Refael Ackermann) [#23822](https://github.com/nodejs/node/pull/23822)
* **Added new collaborators**:
  * [psmarshall](https://github.com/psmarshall) - Peter Marshall. <https://github.com/nodejs/node/pull/24170>
  * [shisama](https://github.com/shisama) - Masashi Hirano. <https://github.com/nodejs/node/pull/24136>

### Commits

* \[[`dedf0e5cde`](https://github.com/nodejs/node/commit/dedf0e5cde)] - **assert**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`6a21d3e72f`](https://github.com/nodejs/node/commit/6a21d3e72f)] - **async\_hooks**: add missing async\_hooks destroys in AsyncReset (Bastian Krol) [#23272](https://github.com/nodejs/node/pull/23272)
* \[[`eed47b022d`](https://github.com/nodejs/node/commit/eed47b022d)] - **benchmark**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`c75d4bb106`](https://github.com/nodejs/node/commit/c75d4bb106)] - **benchmark**: fix bench-mkdirp to use recursive option (Klaus Meinhardt) [#23699](https://github.com/nodejs/node/pull/23699)
* \[[`60fe7f1f29`](https://github.com/nodejs/node/commit/60fe7f1f29)] - **benchmark**: coerce PORT to number (Ali Ijaz Sheikh) [#23721](https://github.com/nodejs/node/pull/23721)
* \[[`192c2af64e`](https://github.com/nodejs/node/commit/192c2af64e)] - **benchmark**: added a test benchmark for worker (Muzafar Umarov) [#23475](https://github.com/nodejs/node/pull/23475)
* \[[`0600e753b0`](https://github.com/nodejs/node/commit/0600e753b0)] - **bootstrap**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`e872089158`](https://github.com/nodejs/node/commit/e872089158)] - **bootstrapper**: move internalBinding to NativeModule (Gus Caplan) [#23025](https://github.com/nodejs/node/pull/23025)
* \[[`95814f2b08`](https://github.com/nodejs/node/commit/95814f2b08)] - **build**: change repo to https protocol in Makefile (mritunjaygoutam12) [#24073](https://github.com/nodejs/node/pull/24073)
* \[[`5ed39d987b`](https://github.com/nodejs/node/commit/5ed39d987b)] - **build**: use latest node on travis (cjihrig) [#24198](https://github.com/nodejs/node/pull/24198)
* \[[`19bda8a225`](https://github.com/nodejs/node/commit/19bda8a225)] - **build**: fix Travis non-PR builds (Richard Lau) [#24093](https://github.com/nodejs/node/pull/24093)
* \[[`3bac885b74`](https://github.com/nodejs/node/commit/3bac885b74)] - **build**: do not lint on non-PR Travis builds (Anna Henningsen) [#24076](https://github.com/nodejs/node/pull/24076)
* \[[`aa8848321b`](https://github.com/nodejs/node/commit/aa8848321b)] - **build**: only check REPLACEME & DEP...X for releases (Rod Vagg) [#24575](https://github.com/nodejs/node/pull/24575)
* \[[`d809e7485f`](https://github.com/nodejs/node/commit/d809e7485f)] - **build**: make benchmark/napi all prereq order-only (Daniel Bevenius) [#23951](https://github.com/nodejs/node/pull/23951)
* \[[`2e83f1eb20`](https://github.com/nodejs/node/commit/2e83f1eb20)] - **build**: add -Werror=undefined-inline to clang builds (Refael Ackermann) [#23961](https://github.com/nodejs/node/pull/23961)
* \[[`bf61fe5dd7`](https://github.com/nodejs/node/commit/bf61fe5dd7)] - **build**: add lint-py which uses flake8 (cclauss) [#21952](https://github.com/nodejs/node/pull/21952)
* \[[`7a39fec1db`](https://github.com/nodejs/node/commit/7a39fec1db)] - **build**: allow for overwriting of use\_openssl\_def (Shelley Vohr) [#23763](https://github.com/nodejs/node/pull/23763)
* \[[`dc38427c64`](https://github.com/nodejs/node/commit/dc38427c64)] - **build**: fix coverage generation (Michael Dawson) [#23769](https://github.com/nodejs/node/pull/23769)
* \[[`e737c71936`](https://github.com/nodejs/node/commit/e737c71936)] - **build**: fix `./configure --enable-d8` (Ben Noordhuis) [#23656](https://github.com/nodejs/node/pull/23656)
* \[[`d886095377`](https://github.com/nodejs/node/commit/d886095377)] - **build**: add .DS\_store to .gitgnore (Marcos Frony) [#23554](https://github.com/nodejs/node/pull/23554)
* \[[`83b8c1fb90`](https://github.com/nodejs/node/commit/83b8c1fb90)] - **build,meta**: don't fail Travis for commit message (Refael Ackermann) [#23739](https://github.com/nodejs/node/pull/23739)
* \[[`156fa12674`](https://github.com/nodejs/node/commit/156fa12674)] - **build,meta**: switch to gcc-4.9 on travis (Refael Ackermann) [#23778](https://github.com/nodejs/node/pull/23778)
* \[[`df5a19f468`](https://github.com/nodejs/node/commit/df5a19f468)] - **child\_process**: handle undefined/null for fork() args (Shobhit Chittora) [#22416](https://github.com/nodejs/node/pull/22416)
* \[[`a97e79ce12`](https://github.com/nodejs/node/commit/a97e79ce12)] - **crypto**: add SET\_INTEGER\_CONSANT macro (Daniel Bevenius) [#23687](https://github.com/nodejs/node/pull/23687)
* \[[`90ac77440b`](https://github.com/nodejs/node/commit/90ac77440b)] - **crypto**: strip unwanted space from openssl version (Sam Roberts) [#23678](https://github.com/nodejs/node/pull/23678)
* \[[`806242bf40`](https://github.com/nodejs/node/commit/806242bf40)] - **crypto**: remove DiffieHellman.initialised\_ (Tobias Nießen) [#23717](https://github.com/nodejs/node/pull/23717)
* \[[`4b98ff299d`](https://github.com/nodejs/node/commit/4b98ff299d)] - **crypto**: simplify internal state handling (Tobias Nießen) [#23648](https://github.com/nodejs/node/pull/23648)
* \[[`d4b5f9f591`](https://github.com/nodejs/node/commit/d4b5f9f591)] - **crypto**: simplify error handling in ECDH::New (Tobias Nießen) [#23647](https://github.com/nodejs/node/pull/23647)
* \[[`0e0c7b8bf2`](https://github.com/nodejs/node/commit/0e0c7b8bf2)] - **crypto**: move field initialization to class (Diana Holland) [#23610](https://github.com/nodejs/node/pull/23610)
* \[[`a81696accd`](https://github.com/nodejs/node/commit/a81696accd)] - **crypto**: fix length argument to snprintf() (Ben Noordhuis) [#23622](https://github.com/nodejs/node/pull/23622)
* \[[`c8b018f930`](https://github.com/nodejs/node/commit/c8b018f930)] - **deps**: c-ares float, version number patch (Ben Noordhuis) [#23854](https://github.com/nodejs/node/pull/23854)
* \[[`52afdae394`](https://github.com/nodejs/node/commit/52afdae394)] - **deps**: upgrade to c-ares v1.15.0 (Ben Noordhuis) [#23854](https://github.com/nodejs/node/pull/23854)
* \[[`2e4ef5b5c0`](https://github.com/nodejs/node/commit/2e4ef5b5c0)] - **deps**: remove old c-ares configure files (Ben Noordhuis) [#23854](https://github.com/nodejs/node/pull/23854)
* \[[`983e3a1b7c`](https://github.com/nodejs/node/commit/983e3a1b7c)] - **deps**: cherry-pick 2987946 from upstream V8 (Refael Ackermann) [#24555](https://github.com/nodejs/node/pull/24555)
* \[[`1bed1107c7`](https://github.com/nodejs/node/commit/1bed1107c7)] - **deps**: icu: apply workaround patch (Steven R. Loomis) [#23764](https://github.com/nodejs/node/pull/23764)
* \[[`e231bf5a3f`](https://github.com/nodejs/node/commit/e231bf5a3f)] - **deps**: V8: Add virtual dtor to avoid aix gcc error (Vasili Skurydzin) [#23695](https://github.com/nodejs/node/pull/23695)
* \[[`1bea8db1ef`](https://github.com/nodejs/node/commit/1bea8db1ef)] - **deps**: cherry-pick 67b5499 from V8 upstream (Vasili Skurydzin) [#23695](https://github.com/nodejs/node/pull/23695)
* \[[`4233bd977c`](https://github.com/nodejs/node/commit/4233bd977c)] - **deps**: cherry-pick d2e0166 from V8 upstream (Vasili Skurydzin) [#23695](https://github.com/nodejs/node/pull/23695)
* \[[`bb55cc178c`](https://github.com/nodejs/node/commit/bb55cc178c)] - **deps**: cherry-pick a51f429 from V8 upstream (Vasili Skurydzin) [#23695](https://github.com/nodejs/node/pull/23695)
* \[[`e9901dde82`](https://github.com/nodejs/node/commit/e9901dde82)] - **deps**: cherry-pick abab9fb from V8 upstream (Vasili Skurydzin) [#23695](https://github.com/nodejs/node/pull/23695)
* \[[`e5f795a8af`](https://github.com/nodejs/node/commit/e5f795a8af)] - **deps**: cherry-pick d9e7832 from V8 upstream (Vasili Skurydzin) [#23695](https://github.com/nodejs/node/pull/23695)
* \[[`c8304f6567`](https://github.com/nodejs/node/commit/c8304f6567)] - **deps**: backport 525b396195 from upstream V8 (Peter Marshall) [#23827](https://github.com/nodejs/node/pull/23827)
* \[[`ff57f0fb7e`](https://github.com/nodejs/node/commit/ff57f0fb7e)] - **deps**: partially revert 'increase V8 deprecation levels' (Peter Marshall) [#24195](https://github.com/nodejs/node/pull/24195)
* \[[`06782fe5a3`](https://github.com/nodejs/node/commit/06782fe5a3)] - **deps**: add missing ares\_android.h file (cjihrig) [#23682](https://github.com/nodejs/node/pull/23682)
* \[[`f928d99da9`](https://github.com/nodejs/node/commit/f928d99da9)] - **dns**: fix inconsistent (hostname vs host) (Ulises Gascón) [#23572](https://github.com/nodejs/node/pull/23572)
* \[[`5ed5f034c7`](https://github.com/nodejs/node/commit/5ed5f034c7)] - **doc**: fix linting errors (cjihrig) [#24229](https://github.com/nodejs/node/pull/24229)
* \[[`e0f99a2250`](https://github.com/nodejs/node/commit/e0f99a2250)] - **doc**: wrap GOVERNANCE.md at 80 characters (Rich Trott) [#24094](https://github.com/nodejs/node/pull/24094)
* \[[`5fae45075c`](https://github.com/nodejs/node/commit/5fae45075c)] - **doc**: add text about error.code stability (Rich Trott) [#24090](https://github.com/nodejs/node/pull/24090)
* \[[`2659a43905`](https://github.com/nodejs/node/commit/2659a43905)] - **doc**: update System Errors documentation (Rich Trott) [#24090](https://github.com/nodejs/node/pull/24090)
* \[[`bcfb824154`](https://github.com/nodejs/node/commit/bcfb824154)] - **doc**: add psmarshall to collaborators (Peter Marshall) [#24170](https://github.com/nodejs/node/pull/24170)
* \[[`ec43b3287e`](https://github.com/nodejs/node/commit/ec43b3287e)] - **doc**: add shisama to collaborators (Masashi Hirano) [#24136](https://github.com/nodejs/node/pull/24136)
* \[[`0b6c1bb346`](https://github.com/nodejs/node/commit/0b6c1bb346)] - **doc**: implement minor text fixes to path.md (Rich Trott) [#24118](https://github.com/nodejs/node/pull/24118)
* \[[`7f1e0e55f8`](https://github.com/nodejs/node/commit/7f1e0e55f8)] - **doc**: inspector security warning for changing host (Сковорода Никита Андреевич) [#23640](https://github.com/nodejs/node/pull/23640)
* \[[`1609ddaa74`](https://github.com/nodejs/node/commit/1609ddaa74)] - **doc**: fix minor text issues in stream.md (Rich Trott) [#24116](https://github.com/nodejs/node/pull/24116)
* \[[`91b81092c1`](https://github.com/nodejs/node/commit/91b81092c1)] - **doc**: streamline CONTRIBUTING.md (Rich Trott) [#24010](https://github.com/nodejs/node/pull/24010)
* \[[`f081a8cccd`](https://github.com/nodejs/node/commit/f081a8cccd)] - **doc**: add table of contents to release guide (Michaël Zasso) [#24042](https://github.com/nodejs/node/pull/24042)
* \[[`9fd209169a`](https://github.com/nodejs/node/commit/9fd209169a)] - **doc**: add missing comma in net documentation (Rich Trott) [#24074](https://github.com/nodejs/node/pull/24074)
* \[[`f5f916f344`](https://github.com/nodejs/node/commit/f5f916f344)] - **doc**: correct link to test coverage command (mritunjaygoutam12) [#24049](https://github.com/nodejs/node/pull/24049)
* \[[`d21a8b66d3`](https://github.com/nodejs/node/commit/d21a8b66d3)] - **doc**: fix socket.connecting description (Anna Henningsen) [#24066](https://github.com/nodejs/node/pull/24066)
* \[[`6dc0a1c87c`](https://github.com/nodejs/node/commit/6dc0a1c87c)] - **doc**: add SECURITY.md to readme.md (warnerp18) [#24031](https://github.com/nodejs/node/pull/24031)
* \[[`0079dd793c`](https://github.com/nodejs/node/commit/0079dd793c)] - **doc**: edit man page for superfluous "node" usage (Rich Trott) [#24029](https://github.com/nodejs/node/pull/24029)
* \[[`a7523072b8`](https://github.com/nodejs/node/commit/a7523072b8)] - **doc**: fix dublication in net.createServer() docs (Ivan Filenko) [#24026](https://github.com/nodejs/node/pull/24026)
* \[[`13ca306d4a`](https://github.com/nodejs/node/commit/13ca306d4a)] - **doc**: address bits of proof reading work (Jagannath Bhat) [#23978](https://github.com/nodejs/node/pull/23978)
* \[[`93e2035e58`](https://github.com/nodejs/node/commit/93e2035e58)] - **doc**: revise COLLABORATOR\_GUIDE.md (Rich Trott) [#23990](https://github.com/nodejs/node/pull/23990)
* \[[`985c62d9e3`](https://github.com/nodejs/node/commit/985c62d9e3)] - **doc**: simplify CODE\_OF\_CONDUCT.md (Rich Trott) [#23989](https://github.com/nodejs/node/pull/23989)
* \[[`f8ebd0efe2`](https://github.com/nodejs/node/commit/f8ebd0efe2)] - **doc**: revise CHANGELOG.md text (Rich Trott) [#23988](https://github.com/nodejs/node/pull/23988)
* \[[`52215a4c35`](https://github.com/nodejs/node/commit/52215a4c35)] - **doc**: improve COLLABORATOR\_GUIDE (Jagannath Bhat) [#23977](https://github.com/nodejs/node/pull/23977)
* \[[`4871b116f8`](https://github.com/nodejs/node/commit/4871b116f8)] - **doc**: improve BUILDING.md (Jagannath Bhat) [#23976](https://github.com/nodejs/node/pull/23976)
* \[[`8ec4856941`](https://github.com/nodejs/node/commit/8ec4856941)] - **doc**: add types and their corresponding return values (Ouyang Yadong) [#23998](https://github.com/nodejs/node/pull/23998)
* \[[`10e66814ff`](https://github.com/nodejs/node/commit/10e66814ff)] - **doc**: add branding to style guide (Rich Trott) [#23967](https://github.com/nodejs/node/pull/23967)
* \[[`3de7858f13`](https://github.com/nodejs/node/commit/3de7858f13)] - **doc**: use Node.js instead of Node (Rich Trott) [#23967](https://github.com/nodejs/node/pull/23967)
* \[[`52fe6dd286`](https://github.com/nodejs/node/commit/52fe6dd286)] - **doc**: revise BUILDING.md (Rich Trott) [#23966](https://github.com/nodejs/node/pull/23966)
* \[[`95812953be`](https://github.com/nodejs/node/commit/95812953be)] - **doc**: clarify fd behaviour with {read,write}File (Sakthipriyan Vairamani (thefourtheye)) [#23706](https://github.com/nodejs/node/pull/23706)
* \[[`f54f640704`](https://github.com/nodejs/node/commit/f54f640704)] - **doc**: fix typographical issues (Denis McDonald) [#23970](https://github.com/nodejs/node/pull/23970)
* \[[`2fb89d0b86`](https://github.com/nodejs/node/commit/2fb89d0b86)] - **doc**: document HPE\_HEADER\_OVERFLOW error (Sam Roberts) [#23963](https://github.com/nodejs/node/pull/23963)
* \[[`c68aab1705`](https://github.com/nodejs/node/commit/c68aab1705)] - **doc**: add documentation for http.IncomingMessage$complete (James M Snell) [#23914](https://github.com/nodejs/node/pull/23914)
* \[[`1ac473f3a4`](https://github.com/nodejs/node/commit/1ac473f3a4)] - **doc**: remove mailing list (Rich Trott) [#23932](https://github.com/nodejs/node/pull/23932)
* \[[`c8bf42af51`](https://github.com/nodejs/node/commit/c8bf42af51)] - **doc**: remove notice of dashes in V8 options (Denys Otrishko) [#23903](https://github.com/nodejs/node/pull/23903)
* \[[`96004d6b7a`](https://github.com/nodejs/node/commit/96004d6b7a)] - **doc**: rename README section for Release Keys (Rich Trott) [#23927](https://github.com/nodejs/node/pull/23927)
* \[[`2752091628`](https://github.com/nodejs/node/commit/2752091628)] - **doc**: add note about ABI compatibility (Myles Borins) [#22237](https://github.com/nodejs/node/pull/22237)
* \[[`cc22a2a847`](https://github.com/nodejs/node/commit/cc22a2a847)] - **doc**: add optional callback to socket.end() (Ajido) [#23937](https://github.com/nodejs/node/pull/23937)
* \[[`6099f5cbdc`](https://github.com/nodejs/node/commit/6099f5cbdc)] - **doc**: make example more clarified in cluster.md (ZYSzys) [#23931](https://github.com/nodejs/node/pull/23931)
* \[[`437908a90b`](https://github.com/nodejs/node/commit/437908a90b)] - **doc**: simplify valid security issue descriptions (Rich Trott) [#23881](https://github.com/nodejs/node/pull/23881)
* \[[`abeba5f8b5`](https://github.com/nodejs/node/commit/abeba5f8b5)] - **doc**: simplify path.basename() on POSIX and Windows (ZYSzys) [#23864](https://github.com/nodejs/node/pull/23864)
* \[[`d830033274`](https://github.com/nodejs/node/commit/d830033274)] - **doc**: document nullptr comparisons in style guide (Anna Henningsen) [#23805](https://github.com/nodejs/node/pull/23805)
* \[[`8b358ecf4d`](https://github.com/nodejs/node/commit/8b358ecf4d)] - **doc**: remove problematic example from README (Rich Trott) [#23817](https://github.com/nodejs/node/pull/23817)
* \[[`1921865be2`](https://github.com/nodejs/node/commit/1921865be2)] - **doc**: use Cookie in request.setHeader() examples (Luigi Pinca) [#23707](https://github.com/nodejs/node/pull/23707)
* \[[`913c4910c7`](https://github.com/nodejs/node/commit/913c4910c7)] - **doc**: NODE\_EXTRA\_CA\_CERTS is ignored if setuid root (Ben Noordhuis) [#23770](https://github.com/nodejs/node/pull/23770)
* \[[`ace83a24a2`](https://github.com/nodejs/node/commit/ace83a24a2)] - **doc**: add review suggestions to require() (erickwendel) [#23605](https://github.com/nodejs/node/pull/23605)
* \[[`e87e9f2567`](https://github.com/nodejs/node/commit/e87e9f2567)] - **doc**: document and warn if the ICU version is too old (Steven R. Loomis) [#23766](https://github.com/nodejs/node/pull/23766)
* \[[`070d87af65`](https://github.com/nodejs/node/commit/070d87af65)] - **doc**: move @phillipj to emeriti (Phillip Johnsen) [#23790](https://github.com/nodejs/node/pull/23790)
* \[[`98fc848545`](https://github.com/nodejs/node/commit/98fc848545)] - **doc**: add note about removeListener order (James M Snell) [#23762](https://github.com/nodejs/node/pull/23762)
* \[[`540168ce57`](https://github.com/nodejs/node/commit/540168ce57)] - **doc**: document ACL limitation for fs.access on Windows (James M Snell) [#23772](https://github.com/nodejs/node/pull/23772)
* \[[`32df77c21f`](https://github.com/nodejs/node/commit/32df77c21f)] - **doc**: document that addMembership must be called once in a cluster (James M Snell) [#23746](https://github.com/nodejs/node/pull/23746)
* \[[`2a2882b470`](https://github.com/nodejs/node/commit/2a2882b470)] - **doc**: add missing YAML labels (Vse Mozhet Byt) [#23810](https://github.com/nodejs/node/pull/23810)
* \[[`5d5f85eb2e`](https://github.com/nodejs/node/commit/5d5f85eb2e)] - **doc**: remove reference to sslv3 in tls.md (James M Snell) [#23745](https://github.com/nodejs/node/pull/23745)
* \[[`0b1e41799d`](https://github.com/nodejs/node/commit/0b1e41799d)] - **doc**: revise security-reporting example text (Rich Trott) [#23759](https://github.com/nodejs/node/pull/23759)
* \[[`75082ee15b`](https://github.com/nodejs/node/commit/75082ee15b)] - **doc**: formalize non-const reference usage in C++ style guide (Anna Henningsen) [#23155](https://github.com/nodejs/node/pull/23155)
* \[[`4315899377`](https://github.com/nodejs/node/commit/4315899377)] - **doc**: add missing deprecation labels (James M Snell) [#23761](https://github.com/nodejs/node/pull/23761)
* \[[`aaf669d284`](https://github.com/nodejs/node/commit/aaf669d284)] - **doc**: document use of buffer.swap16() for utf16be (James M Snell) [#23747](https://github.com/nodejs/node/pull/23747)
* \[[`e85d15a47f`](https://github.com/nodejs/node/commit/e85d15a47f)] - **doc**: add Backport-PR-URL info in backport guide (Ali Ijaz Sheikh) [#23701](https://github.com/nodejs/node/pull/23701)
* \[[`535f113aea`](https://github.com/nodejs/node/commit/535f113aea)] - **doc**: improve README.md (Rich Trott) [#23705](https://github.com/nodejs/node/pull/23705)
* \[[`d81b143af0`](https://github.com/nodejs/node/commit/d81b143af0)] - **doc**: simplify security reporting text (Rich Trott) [#23686](https://github.com/nodejs/node/pull/23686)
* \[[`2a19518d18`](https://github.com/nodejs/node/commit/2a19518d18)] - **doc**: cleanup and references in C++ guide (Refael Ackermann) [#23650](https://github.com/nodejs/node/pull/23650)
* \[[`5bea331d6d`](https://github.com/nodejs/node/commit/5bea331d6d)] - **doc**: fix url example to match behavior (Сковорода Никита Андреевич) [#23359](https://github.com/nodejs/node/pull/23359)
* \[[`3db26d9f2f`](https://github.com/nodejs/node/commit/3db26d9f2f)] - **doc**: use reserved domains for examples in url.md (Сковорода Никита Андреевич) [#23359](https://github.com/nodejs/node/pull/23359)
* \[[`ac752c6a8c`](https://github.com/nodejs/node/commit/ac752c6a8c)] - **doc**: fix pr-url in repl.md (Сковорода Никита Андреевич) [#23359](https://github.com/nodejs/node/pull/23359)
* \[[`6748c0517b`](https://github.com/nodejs/node/commit/6748c0517b)] - **doc**: wrap links in <> (Сковорода Никита Андреевич) [#23359](https://github.com/nodejs/node/pull/23359)
* \[[`011116cc5b`](https://github.com/nodejs/node/commit/011116cc5b)] - **doc**: edit BUILDING.md (Rich Trott) [#23435](https://github.com/nodejs/node/pull/23435)
* \[[`e449bbbd54`](https://github.com/nodejs/node/commit/e449bbbd54)] - **doc**: describe SNI host name format (Sam Roberts) [#23357](https://github.com/nodejs/node/pull/23357)
* \[[`d5b1368173`](https://github.com/nodejs/node/commit/d5b1368173)] - **doc**: revise security-reporting text in README (Rich Trott) [#23407](https://github.com/nodejs/node/pull/23407)
* \[[`2798ac1709`](https://github.com/nodejs/node/commit/2798ac1709)] - **doc**: rewrite consensus seeking in guide (Rich Trott) [#23349](https://github.com/nodejs/node/pull/23349)
* \[[`56d1bc9762`](https://github.com/nodejs/node/commit/56d1bc9762)] - **doc**: edit for minor fixes to prcoess.md (Rich Trott) [#23347](https://github.com/nodejs/node/pull/23347)
* \[[`4c04e7c321`](https://github.com/nodejs/node/commit/4c04e7c321)] - **doc**: remove personal pronoun from worker\_threads (Rich Trott) [#23347](https://github.com/nodejs/node/pull/23347)
* \[[`df512961ce`](https://github.com/nodejs/node/commit/df512961ce)] - **doc**: remove personal pronoun from domain.md (Rich Trott) [#23347](https://github.com/nodejs/node/pull/23347)
* \[[`647eba6656`](https://github.com/nodejs/node/commit/647eba6656)] - **doc**: remove style instruction that is not followed (Rich Trott) [#23346](https://github.com/nodejs/node/pull/23346)
* \[[`457d22fa43`](https://github.com/nodejs/node/commit/457d22fa43)] - **doc**: add WebAssembly to globals (Steven) [#23339](https://github.com/nodejs/node/pull/23339)
* \[[`73f490a5fd`](https://github.com/nodejs/node/commit/73f490a5fd)] - **doc,meta**: assign PR semantics (Refael Ackermann) [#23292](https://github.com/nodejs/node/pull/23292)
* \[[`2ddf867030`](https://github.com/nodejs/node/commit/2ddf867030)] - **doc,meta**: refresh wording in colab guide (Refael Ackermann) [#23292](https://github.com/nodejs/node/pull/23292)
* \[[`04f27aa764`](https://github.com/nodejs/node/commit/04f27aa764)] - **doc,meta**: add references to outside C++ guides (Refael Ackermann) [#23317](https://github.com/nodejs/node/pull/23317)
* \[[`1491f32144`](https://github.com/nodejs/node/commit/1491f32144)] - **esm**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`e2b96da6ba`](https://github.com/nodejs/node/commit/e2b96da6ba)] - **events**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`a5462baf57`](https://github.com/nodejs/node/commit/a5462baf57)] - **fs**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`765a3a9466`](https://github.com/nodejs/node/commit/765a3a9466)] - **fs**: handle result of access binding directly in fs.existsSync (Joyee Cheung) [#24015](https://github.com/nodejs/node/pull/24015)
* \[[`63f2649577`](https://github.com/nodejs/node/commit/63f2649577)] - **http**: reduce duplicated code for cleaning parser (Weijia Wang) [#23351](https://github.com/nodejs/node/pull/23351)
* \[[`d08d252a94`](https://github.com/nodejs/node/commit/d08d252a94)] - **http2**: make Http2Settings constructors delegate (Daniel Bevenius) [#23326](https://github.com/nodejs/node/pull/23326)
* \[[`d79d978cd8`](https://github.com/nodejs/node/commit/d79d978cd8)] - **inspector**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`4035ca16c5`](https://github.com/nodejs/node/commit/4035ca16c5)] - **lib**: add crypto dependant modules cannotUseCache (Daniel Bevenius) [#24100](https://github.com/nodejs/node/pull/24100)
* \[[`a0b4f7a10e`](https://github.com/nodejs/node/commit/a0b4f7a10e)] - **lib**: move process prototype manipulation into setupProcessObject (Joyee Cheung) [#24089](https://github.com/nodejs/node/pull/24089)
* \[[`cb883bcbb0`](https://github.com/nodejs/node/commit/cb883bcbb0)] - **lib**: fix grammar error and make it clearer for comments (MaleDong) [#23799](https://github.com/nodejs/node/pull/23799)
* \[[`8ef5de55fd`](https://github.com/nodejs/node/commit/8ef5de55fd)] - **lib**: move module exports proxy into a separate method (Joyee Cheung) [#24057](https://github.com/nodejs/node/pull/24057)
* \[[`1841d0f776`](https://github.com/nodejs/node/commit/1841d0f776)] - **lib**: fix code cache generation (Joyee Cheung) [#23855](https://github.com/nodejs/node/pull/23855)
* \[[`b5eacfa5bd`](https://github.com/nodejs/node/commit/b5eacfa5bd)] - **lib**: remove useless cwd in posix.resolve (ZYSzys) [#23902](https://github.com/nodejs/node/pull/23902)
* \[[`d07cef7ed4`](https://github.com/nodejs/node/commit/d07cef7ed4)] - **lib**: migrate from process.binding('config') to getOptions() (Vladimir Ilic) [#23588](https://github.com/nodejs/node/pull/23588)
* \[[`5ebe7f7fc7`](https://github.com/nodejs/node/commit/5ebe7f7fc7)] - **lib**: migrate process.binding to internalBinding (surreal8) [#23517](https://github.com/nodejs/node/pull/23517)
* \[[`9b22e2a53a`](https://github.com/nodejs/node/commit/9b22e2a53a)] - **lib**: migrate process.binding to getOptions (Randy Wressell) [#23522](https://github.com/nodejs/node/pull/23522)
* \[[`83f4fcc176`](https://github.com/nodejs/node/commit/83f4fcc176)] - **lib**: migrate process.binding('config') to getOptions() (Jonny Kalambay) [#23526](https://github.com/nodejs/node/pull/23526)
* \[[`66119ed158`](https://github.com/nodejs/node/commit/66119ed158)] - **lib**: removed unused variable (Long Nguyen) [#23497](https://github.com/nodejs/node/pull/23497)
* \[[`33cf3b26b0`](https://github.com/nodejs/node/commit/33cf3b26b0)] - **lib**: switch to internalBinding for cjs loader (Steven Scott) [#23492](https://github.com/nodejs/node/pull/23492)
* \[[`cb597f231a`](https://github.com/nodejs/node/commit/cb597f231a)] - **lib**: migrate from process.binding to internalBinding (Andres Monge) [#23586](https://github.com/nodejs/node/pull/23586)
* \[[`6f01a792c8`](https://github.com/nodejs/node/commit/6f01a792c8)] - **lib**: migrate to getOptions in loaders.js (David Xue) [#23455](https://github.com/nodejs/node/pull/23455)
* \[[`f219f82eb7`](https://github.com/nodejs/node/commit/f219f82eb7)] - **lib**: remove an unused variable (Claire Liu) [#23482](https://github.com/nodejs/node/pull/23482)
* \[[`2ce8f7a507`](https://github.com/nodejs/node/commit/2ce8f7a507)] - **lib**: remove unused 'e' from catch (Matt Holmes) [#23458](https://github.com/nodejs/node/pull/23458)
* \[[`1fa9d91d37`](https://github.com/nodejs/node/commit/1fa9d91d37)] - **lib**: http server, friendly error messages (Sagi Tsofan) [#22995](https://github.com/nodejs/node/pull/22995)
* \[[`9718919da9`](https://github.com/nodejs/node/commit/9718919da9)] - **meta**: clarify fast-track approval (James M Snell) [#23744](https://github.com/nodejs/node/pull/23744)
* \[[`a116e32a09`](https://github.com/nodejs/node/commit/a116e32a09)] - **meta,doc**: ping community about new release (Refael Ackermann) [#24064](https://github.com/nodejs/node/pull/24064)
* \[[`19e2e6d891`](https://github.com/nodejs/node/commit/19e2e6d891)] - **module**: removed unused variable (Martin Omander) [#23624](https://github.com/nodejs/node/pull/23624)
* \[[`9f8349c49c`](https://github.com/nodejs/node/commit/9f8349c49c)] - **n-api**: add missing handle scopes (Daniel Bevenius) [#24011](https://github.com/nodejs/node/pull/24011)
* \[[`02a54ed1fa`](https://github.com/nodejs/node/commit/02a54ed1fa)] - **n-api**: make per-`Context`-ness of `napi_env` explicit (Anna Henningsen) [#23689](https://github.com/nodejs/node/pull/23689)
* \[[`56afb7b481`](https://github.com/nodejs/node/commit/56afb7b481)] - **net**: `net.Server.listen()` avoid operations on `null` when fail (Ouyang Yadong) [#23920](https://github.com/nodejs/node/pull/23920)
* \[[`4a79bef6c6`](https://github.com/nodejs/node/commit/4a79bef6c6)] - **os**: fix memory leak in `userInfo()` (Anna Henningsen) [#23893](https://github.com/nodejs/node/pull/23893)
* \[[`8001beefac`](https://github.com/nodejs/node/commit/8001beefac)] - **querystring**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`f11907c32d`](https://github.com/nodejs/node/commit/f11907c32d)] - **readline**: assert without the use of event listener (Lian Li) [#23472](https://github.com/nodejs/node/pull/23472)
* \[[`4b456d566a`](https://github.com/nodejs/node/commit/4b456d566a)] - **repl**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`f866a0bcb9`](https://github.com/nodejs/node/commit/f866a0bcb9)] - **repl**: use promise#finally (Weijia Wang) [#23971](https://github.com/nodejs/node/pull/23971)
* \[[`307b277b15`](https://github.com/nodejs/node/commit/307b277b15)] - **repl**: migrate from process.binding('config') to getOptions() (Jose Bucio) [#23684](https://github.com/nodejs/node/pull/23684)
* \[[`d07ee1ca0b`](https://github.com/nodejs/node/commit/d07ee1ca0b)] - **repl**: remove unused variable from try catch (mmisiarek) [#23452](https://github.com/nodejs/node/pull/23452)
* \[[`4c0e7b4d66`](https://github.com/nodejs/node/commit/4c0e7b4d66)] - **repl**: remove unused variable e from try catch (Khalid Adil) [#23449](https://github.com/nodejs/node/pull/23449)
* \[[`9106ccf9ca`](https://github.com/nodejs/node/commit/9106ccf9ca)] - **src**: prefer param function check over args length (Shelley Vohr) [#23835](https://github.com/nodejs/node/pull/23835)
* \[[`c6ad469ae4`](https://github.com/nodejs/node/commit/c6ad469ae4)] - **src**: fix fully-static & large-pages combination (Suresh Srinivas) [#23964](https://github.com/nodejs/node/pull/23964)
* \[[`d82e818848`](https://github.com/nodejs/node/commit/d82e818848)] - **src**: use "constants" string instead of creating new one (Ouyang Yadong) [#23894](https://github.com/nodejs/node/pull/23894)
* \[[`bb05aa3206`](https://github.com/nodejs/node/commit/bb05aa3206)] - **src**: reduce duplication in tcp\_wrap Connect (Daniel Bevenius) [#23753](https://github.com/nodejs/node/pull/23753)
* \[[`b53b0d1475`](https://github.com/nodejs/node/commit/b53b0d1475)] - **src**: refactor deprecated v8::String::NewFromTwoByte call (Romain Lanz) [#23803](https://github.com/nodejs/node/pull/23803)
* \[[`17db407ba2`](https://github.com/nodejs/node/commit/17db407ba2)] - **src**: refactor deprecated v8::Function::Call call (Romain Lanz) [#23804](https://github.com/nodejs/node/pull/23804)
* \[[`6bc66bf756`](https://github.com/nodejs/node/commit/6bc66bf756)] - **src**: fix CreatePlatform header param mismatch (Shelley Vohr) [#23947](https://github.com/nodejs/node/pull/23947)
* \[[`511fa20983`](https://github.com/nodejs/node/commit/511fa20983)] - **src**: trace\_event: secondary storage for metadata (Ali Ijaz Sheikh) [#20900](https://github.com/nodejs/node/pull/20900)
* \[[`71557d3f70`](https://github.com/nodejs/node/commit/71557d3f70)] - **src**: initial large page (2M) support (Suresh Srinivas) [#22079](https://github.com/nodejs/node/pull/22079)
* \[[`f1fc05b45c`](https://github.com/nodejs/node/commit/f1fc05b45c)] - **src**: changed stdio\_pipes\_ to std::vector (Steven Auger) [#23615](https://github.com/nodejs/node/pull/23615)
* \[[`018a8683d6`](https://github.com/nodejs/node/commit/018a8683d6)] - **src**: update v8::Object::GetPropertyNames() usage (cjihrig) [#23660](https://github.com/nodejs/node/pull/23660)
* \[[`05409c9075`](https://github.com/nodejs/node/commit/05409c9075)] - **src**: remove OCB support ifdef OPENSSL\_NO\_OCB (Shelley Vohr) [#23635](https://github.com/nodejs/node/pull/23635)
* \[[`e7bf838b1e`](https://github.com/nodejs/node/commit/e7bf838b1e)] - **src**: change macro to fn (Gino Notto) [#23603](https://github.com/nodejs/node/pull/23603)
* \[[`d152d7fb60`](https://github.com/nodejs/node/commit/d152d7fb60)] - **src**: add default initializer in tls\_wrap (Richard Hoehn) [#23567](https://github.com/nodejs/node/pull/23567)
* \[[`3d76ab9287`](https://github.com/nodejs/node/commit/3d76ab9287)] - **src**: use MallocedBuffer abstraction for buffers (Cody Hazelwood) [#23543](https://github.com/nodejs/node/pull/23543)
* \[[`b258b377db`](https://github.com/nodejs/node/commit/b258b377db)] - **src**: use default initializers over settings fields on the constructor (Andrew J D McCann) [#23532](https://github.com/nodejs/node/pull/23532)
* \[[`e04a128731`](https://github.com/nodejs/node/commit/e04a128731)] - **src**: remove unused UVHandle methods (MarianneDr) [#23535](https://github.com/nodejs/node/pull/23535)
* \[[`c854879dd4`](https://github.com/nodejs/node/commit/c854879dd4)] - **src**: ready background workers before bootstrap (Ali Ijaz Sheikh) [#23233](https://github.com/nodejs/node/pull/23233)
* \[[`84aa6b2c59`](https://github.com/nodejs/node/commit/84aa6b2c59)] - **src**: move default assignment of async\_id\_ in async\_wrap.h (David Corona) [#23495](https://github.com/nodejs/node/pull/23495)
* \[[`a663d5674d`](https://github.com/nodejs/node/commit/a663d5674d)] - **src**: fix bug in MallocedBuffer constructor (Tobias Nießen) [#23434](https://github.com/nodejs/node/pull/23434)
* \[[`38f5644449`](https://github.com/nodejs/node/commit/38f5644449)] - **src**: improve SSL version extraction logic (Gireesh Punathil) [#23050](https://github.com/nodejs/node/pull/23050)
* \[[`8cfbce3163`](https://github.com/nodejs/node/commit/8cfbce3163)] - **src**: revert removal of SecureContext `_external` getter (Vitaly Dyatlov) [#21711](https://github.com/nodejs/node/pull/21711)
* \[[`7ed4079286`](https://github.com/nodejs/node/commit/7ed4079286)] - **src**: remove unused limits header from util-inl.h (Daniel Bevenius) [#23353](https://github.com/nodejs/node/pull/23353)
* \[[`eb71ab5f99`](https://github.com/nodejs/node/commit/eb71ab5f99)] - **src**: replace NO\_RETURN with \[\[noreturn]] (Refael Ackermann) [#23337](https://github.com/nodejs/node/pull/23337)
* \[[`a22ef72afb`](https://github.com/nodejs/node/commit/a22ef72afb)] - **src**: fix usage of deprecated v8::Date::New (Michaël Zasso) [#23288](https://github.com/nodejs/node/pull/23288)
* \[[`b4cdd478b9`](https://github.com/nodejs/node/commit/b4cdd478b9)] - **src,win**: informative stack traces (Refael Ackermann) [#23822](https://github.com/nodejs/node/pull/23822)
* \[[`cb861a4897`](https://github.com/nodejs/node/commit/cb861a4897)] - **stream**: do not error async iterators on destroy(null) (Matteo Collina) [#23901](https://github.com/nodejs/node/pull/23901)
* \[[`6f4a638175`](https://github.com/nodejs/node/commit/6f4a638175)] - **stream**: ended streams should resolve the async iteration (Matteo Collina) [#23901](https://github.com/nodejs/node/pull/23901)
* \[[`ce79ae6544`](https://github.com/nodejs/node/commit/ce79ae6544)] - **stream**: async iteration should work with destroyed stream (Matteo Collina) [#23785](https://github.com/nodejs/node/pull/23785)
* \[[`78be4771a6`](https://github.com/nodejs/node/commit/78be4771a6)] - **test**: remove unused catch bindings (cjihrig) [#24079](https://github.com/nodejs/node/pull/24079)
* \[[`43097d9d7f`](https://github.com/nodejs/node/commit/43097d9d7f)] - **test**: disable color formating for test-internal-errors.js (Refael Ackermann) [#24204](https://github.com/nodejs/node/pull/24204)
* \[[`dddb466f59`](https://github.com/nodejs/node/commit/dddb466f59)] - **test**: add crypto check to test-benchmark-http2 (Daniel Bevenius) [#24096](https://github.com/nodejs/node/pull/24096)
* \[[`1b6c00e3fa`](https://github.com/nodejs/node/commit/1b6c00e3fa)] - **test**: increase --stack\_size test-async-wrap-pop (Daniel Bevenius) [#23996](https://github.com/nodejs/node/pull/23996)
* \[[`b3ab546b37`](https://github.com/nodejs/node/commit/b3ab546b37)] - **test**: assert that invalidcmd throws error code (Jerome Covington) [#23942](https://github.com/nodejs/node/pull/23942)
* \[[`52c9209f1c`](https://github.com/nodejs/node/commit/52c9209f1c)] - **test**: fix strictEqual arguments order (Esteban Sotillo) [#23956](https://github.com/nodejs/node/pull/23956)
* \[[`1d6dd961ef`](https://github.com/nodejs/node/commit/1d6dd961ef)] - **test**: add property for RangeError in test-buffer-copy (mritunjaygoutam12) [#23968](https://github.com/nodejs/node/pull/23968)
* \[[`5bedd1ce2f`](https://github.com/nodejs/node/commit/5bedd1ce2f)] - **test**: fix test-fs-watch-system-limit (Ali Ijaz Sheikh) [#23986](https://github.com/nodejs/node/pull/23986)
* \[[`c5577c17ac`](https://github.com/nodejs/node/commit/c5577c17ac)] - **test**: run code cache test by default and test generator (Joyee Cheung) [#23855](https://github.com/nodejs/node/pull/23855)
* \[[`4eab8a1079`](https://github.com/nodejs/node/commit/4eab8a1079)] - **test**: fix regression when compiled with FIPS (Adam Majer) [#23871](https://github.com/nodejs/node/pull/23871)
* \[[`682361cd4a`](https://github.com/nodejs/node/commit/682361cd4a)] - **test**: fix strictEqual() argument order (Loic) [#23829](https://github.com/nodejs/node/pull/23829)
* \[[`d1c6238e1d`](https://github.com/nodejs/node/commit/d1c6238e1d)] - **test**: verify `performance.timerify()` works w/ non-Node Contexts (Anna Henningsen) [#23784](https://github.com/nodejs/node/pull/23784)
* \[[`55ca2a71fd`](https://github.com/nodejs/node/commit/55ca2a71fd)] - **test**: add test-benchmark-napi (Emily Marigold Klassen) [#23585](https://github.com/nodejs/node/pull/23585)
* \[[`ce6ddc404d`](https://github.com/nodejs/node/commit/ce6ddc404d)] - **test**: increase coverage of internal/stream/end-of-stream (Tyler Vann-Campbell) [#23751](https://github.com/nodejs/node/pull/23751)
* \[[`0ce76be843`](https://github.com/nodejs/node/commit/0ce76be843)] - **test**: fix strictEqual() arguments order (Nolan Rigo) [#23800](https://github.com/nodejs/node/pull/23800)
* \[[`1747e473bd`](https://github.com/nodejs/node/commit/1747e473bd)] - **test**: fix invalid modulesLength for DSA keygen (Adam Majer) [#23732](https://github.com/nodejs/node/pull/23732)
* \[[`9b6b2800e6`](https://github.com/nodejs/node/commit/9b6b2800e6)] - **test**: fix test-require-symlink on Windows (Bartosz Sosnowski) [#23691](https://github.com/nodejs/node/pull/23691)
* \[[`874d02375b`](https://github.com/nodejs/node/commit/874d02375b)] - **test**: fix strictEqual() argument order (Romain Lanz) [#23768](https://github.com/nodejs/node/pull/23768)
* \[[`3d43679907`](https://github.com/nodejs/node/commit/3d43679907)] - **test**: fix strictEqual() arguments order (Thomas GENTILHOMME) [#23771](https://github.com/nodejs/node/pull/23771)
* \[[`cc040f6887`](https://github.com/nodejs/node/commit/cc040f6887)] - **test**: fix assertion arguments order (Elian Gutierrez) [#23787](https://github.com/nodejs/node/pull/23787)
* \[[`5844932b6c`](https://github.com/nodejs/node/commit/5844932b6c)] - **test**: add blocks and comments to fs-promises tests (Ian Sutherland) [#23627](https://github.com/nodejs/node/pull/23627)
* \[[`9aced4c384`](https://github.com/nodejs/node/commit/9aced4c384)] - **test**: add a test for `tls.Socket` with `allowHalfOpen` (Ouyang Yadong) [#23866](https://github.com/nodejs/node/pull/23866)
* \[[`9979c71d67`](https://github.com/nodejs/node/commit/9979c71d67)] - **test**: increase coverage for readfile with withFileTypes (christian-bromann) [#23557](https://github.com/nodejs/node/pull/23557)
* \[[`3bc7b5efd2`](https://github.com/nodejs/node/commit/3bc7b5efd2)] - **test**: skip failing tests for osx mojave (jn99) [#23550](https://github.com/nodejs/node/pull/23550)
* \[[`51ceaf5bc1`](https://github.com/nodejs/node/commit/51ceaf5bc1)] - **test**: enable trace-events tests for workers (Richard Lau) [#23698](https://github.com/nodejs/node/pull/23698)
* \[[`3e143dfdd9`](https://github.com/nodejs/node/commit/3e143dfdd9)] - **test**: improve test coverage for fs module (<garrik.leonardo@gmail.com>) [#23601](https://github.com/nodejs/node/pull/23601)
* \[[`65b37324c2`](https://github.com/nodejs/node/commit/65b37324c2)] - **test**: fix argument order in assertion (Illescas, Ricardo) [#23581](https://github.com/nodejs/node/pull/23581)
* \[[`d61901499a`](https://github.com/nodejs/node/commit/d61901499a)] - **test**: reversed params in assert.strictEqual() (Dusan Radovanovic) [#23591](https://github.com/nodejs/node/pull/23591)
* \[[`6baba1d54a`](https://github.com/nodejs/node/commit/6baba1d54a)] - **test**: correct order of args in buffer compare (James Irwin) [#23521](https://github.com/nodejs/node/pull/23521)
* \[[`232fe58a4c`](https://github.com/nodejs/node/commit/232fe58a4c)] - **test**: check codes of thrown errors (Nancy Truong) [#23519](https://github.com/nodejs/node/pull/23519)
* \[[`c2aa762fd7`](https://github.com/nodejs/node/commit/c2aa762fd7)] - **test**: fix strictEqual arguments order (Jonathan Samines) [#23486](https://github.com/nodejs/node/pull/23486)
* \[[`dc12fa19ab`](https://github.com/nodejs/node/commit/dc12fa19ab)] - **test**: add test coverage for fs.truncate (christian-bromann) [#23620](https://github.com/nodejs/node/pull/23620)
* \[[`4daf8e0910`](https://github.com/nodejs/node/commit/4daf8e0910)] - **test**: use smaller keys for a faster keygen test (Sam Roberts) [#23430](https://github.com/nodejs/node/pull/23430)
* \[[`6d8669c5d8`](https://github.com/nodejs/node/commit/6d8669c5d8)] - **test**: increased code coverage for slowCases (Jared Haines) [#23592](https://github.com/nodejs/node/pull/23592)
* \[[`51c3685dbd`](https://github.com/nodejs/node/commit/51c3685dbd)] - **test**: assertions arguments match docs (Amanuel Ghebreweldi) [#23594](https://github.com/nodejs/node/pull/23594)
* \[[`4ab822329e`](https://github.com/nodejs/node/commit/4ab822329e)] - **test**: fix assert.strictEqual() argument order (Derek) [#23598](https://github.com/nodejs/node/pull/23598)
* \[[`779d5ec0fe`](https://github.com/nodejs/node/commit/779d5ec0fe)] - **test**: fix assert parameter order in test-https-localaddress.js (Ian Sutherland) [#23599](https://github.com/nodejs/node/pull/23599)
* \[[`fad9d805ef`](https://github.com/nodejs/node/commit/fad9d805ef)] - **test**: change order of assert.strictEquals arguments (Chuck Theobald) [#23600](https://github.com/nodejs/node/pull/23600)
* \[[`07c8a9e7a7`](https://github.com/nodejs/node/commit/07c8a9e7a7)] - **test**: fix assert equal order of arguments (David Jiang) [#23602](https://github.com/nodejs/node/pull/23602)
